/**************************************************************************\
*          Copyright (c) 1995 INRIA Sophia Antipolis, FRANCE.              *
*                                                                          *
* Permission to use, copy, modify, and distribute this material for any    *
* purpose and without fee is hereby granted, provided that the above       *
* copyright notice and this permission notice appear in all copies.        *
* WE MAKE NO REPRESENTATIONS ABOUT THE ACCURACY OR SUITABILITY OF THIS     *
* MATERIAL FOR ANY PURPOSE.  IT IS PROVIDED "AS IS", WITHOUT ANY EXPRESS   *
* OR IMPLIED WARRANTIES.                                                   *
\**************************************************************************/
/**************************************************************************\
*                                                                          *
*  File    : quantizer.h                                                   *
*  Date    : 1995/2/15                                                     *
*  Author  : Thierry Turletti                                              *
*--------------------------------------------------------------------------*
*  Description :  Reconstruction levels (REC).                             *
*     - tab_rec1 --> (int)(REC*Rac2Sur16).                                 *
*     - tab_rec2 --> (int)(REC / 16).                                      *
*                                                                          *
\**************************************************************************/


#ifdef OLD_RECTAB

int tab_rec1[31][255] = {
{
 -23,  -22,  -22,  -22,  -22,  -22,  -21,  -21,  -21,  -21, 
 -21,  -21,  -20,  -20,  -20,  -20,  -20,  -20,  -19,  -19, 
 -19,  -19,  -19,  -18,  -18,  -18,  -18,  -18,  -18,  -17, 
 -17,  -17,  -17,  -17,  -17,  -16,  -16,  -16,  -16,  -16, 
 -15,  -15,  -15,  -15,  -15,  -15,  -14,  -14,  -14,  -14, 
 -14,  -14,  -13,  -13,  -13,  -13,  -13,  -12,  -12,  -12, 
 -12,  -12,  -12,  -11,  -11,  -11,  -11,  -11,  -11,  -10, 
 -10,  -10,  -10,  -10,   -9,   -9,   -9,   -9,   -9,   -9, 
  -8,   -8,   -8,   -8,   -8,   -8,   -7,   -7,   -7,   -7, 
  -7,   -6,   -6,   -6,   -6,   -6,   -6,   -5,   -5,   -5, 
  -5,   -5,   -5,   -4,   -4,   -4,   -4,   -4,   -3,   -3, 
  -3,   -3,   -3,   -3,   -2,   -2,   -2,   -2,   -2,   -2, 
  -1,   -1,   -1,   -1,   -1,    0,    0,    0,    0,    0, 
   1,    1,    1,    1,    1,    2,    2,    2,    2,    2, 
   2,    3,    3,    3,    3,    3,    3,    4,    4,    4, 
   4,    4,    5,    5,    5,    5,    5,    5,    6,    6, 
   6,    6,    6,    6,    7,    7,    7,    7,    7,    8, 
   8,    8,    8,    8,    8,    9,    9,    9,    9,    9, 
   9,   10,   10,   10,   10,   10,   11,   11,   11,   11, 
  11,   11,   12,   12,   12,   12,   12,   12,   13,   13, 
  13,   13,   13,   14,   14,   14,   14,   14,   14,   15, 
  15,   15,   15,   15,   15,   16,   16,   16,   16,   16, 
  17,   17,   17,   17,   17,   17,   18,   18,   18,   18, 
  18,   18,   19,   19,   19,   19,   19,   20,   20,   20, 
  20,   20,   20,   21,   21,   21,   21,   21,   21,   22, 
  22,   22,   22,   22,   23, },
{
 -45,  -45,  -44,  -44,  -44,  -43,  -43,  -43,  -42,  -42, 
 -41,  -41,  -41,  -40,  -40,  -40,  -39,  -39,  -39,  -38, 
 -38,  -38,  -37,  -37,  -37,  -36,  -36,  -35,  -35,  -35, 
 -34,  -34,  -34,  -33,  -33,  -33,  -32,  -32,  -32,  -31, 
 -31,  -30,  -30,  -30,  -29,  -29,  -29,  -28,  -28,  -28, 
 -27,  -27,  -27,  -26,  -26,  -26,  -25,  -25,  -24,  -24, 
 -24,  -23,  -23,  -23,  -22,  -22,  -22,  -21,  -21,  -21, 
 -20,  -20,  -20,  -19,  -19,  -18,  -18,  -18,  -17,  -17, 
 -17,  -16,  -16,  -16,  -15,  -15,  -15,  -14,  -14,  -14, 
 -13,  -13,  -12,  -12,  -12,  -11,  -11,  -11,  -10,  -10, 
 -10,   -9,   -9,   -9,   -8,   -8,   -8,   -7,   -7,   -6, 
  -6,   -6,   -5,   -5,   -5,   -4,   -4,   -4,   -3,   -3, 
  -3,   -2,   -2,   -2,   -1,   -1,    0,    0,    0,    1, 
   1,    2,    2,    2,    3,    3,    3,    4,    4,    4, 
   5,    5,    5,    6,    6,    6,    7,    7,    8,    8, 
   8,    9,    9,    9,   10,   10,   10,   11,   11,   11, 
  12,   12,   12,   13,   13,   14,   14,   14,   15,   15, 
  15,   16,   16,   16,   17,   17,   17,   18,   18,   18, 
  19,   19,   20,   20,   20,   21,   21,   21,   22,   22, 
  22,   23,   23,   23,   24,   24,   24,   25,   25,   26, 
  26,   26,   27,   27,   27,   28,   28,   28,   29,   29, 
  29,   30,   30,   30,   31,   31,   32,   32,   32,   33, 
  33,   33,   34,   34,   34,   35,   35,   35,   36,   36, 
  37,   37,   37,   38,   38,   38,   39,   39,   39,   40, 
  40,   40,   41,   41,   41,   42,   42,   43,   43,   43, 
  44,   44,   44,   45,   45, },
{
 -68,  -67,  -67,  -66,  -65,  -65,  -64,  -64,  -63,  -63, 
 -62,  -62,  -61,  -61,  -60,  -60,  -59,  -59,  -58,  -58, 
 -57,  -56,  -56,  -55,  -55,  -54,  -54,  -53,  -53,  -52, 
 -52,  -51,  -51,  -50,  -50,  -49,  -49,  -48,  -47,  -47, 
 -46,  -46,  -45,  -45,  -44,  -44,  -43,  -43,  -42,  -42, 
 -41,  -41,  -40,  -40,  -39,  -38,  -38,  -37,  -37,  -36, 
 -36,  -35,  -35,  -34,  -34,  -33,  -33,  -32,  -32,  -31, 
 -30,  -30,  -29,  -29,  -28,  -28,  -27,  -27,  -26,  -26, 
 -25,  -25,  -24,  -24,  -23,  -23,  -22,  -21,  -21,  -20, 
 -20,  -19,  -19,  -18,  -18,  -17,  -17,  -16,  -16,  -15, 
 -15,  -14,  -14,  -13,  -12,  -12,  -11,  -11,  -10,  -10, 
  -9,   -9,   -8,   -8,   -7,   -7,   -6,   -6,   -5,   -5, 
  -4,   -3,   -3,   -2,   -2,   -1,   -1,    0,    1,    1, 
   2,    2,    3,    3,    4,    5,    5,    6,    6,    7, 
   7,    8,    8,    9,    9,   10,   10,   11,   11,   12, 
  12,   13,   14,   14,   15,   15,   16,   16,   17,   17, 
  18,   18,   19,   19,   20,   20,   21,   21,   22,   23, 
  23,   24,   24,   25,   25,   26,   26,   27,   27,   28, 
  28,   29,   29,   30,   30,   31,   32,   32,   33,   33, 
  34,   34,   35,   35,   36,   36,   37,   37,   38,   38, 
  39,   40,   40,   41,   41,   42,   42,   43,   43,   44, 
  44,   45,   45,   46,   46,   47,   47,   48,   49,   49, 
  50,   50,   51,   51,   52,   52,   53,   53,   54,   54, 
  55,   55,   56,   56,   57,   58,   58,   59,   59,   60, 
  60,   61,   61,   62,   62,   63,   63,   64,   64,   65, 
  65,   66,   67,   67,   68, },
{
 -90,  -89,  -89,  -88,  -87,  -87,  -86,  -85,  -84,  -84, 
 -83,  -82,  -82,  -81,  -80,  -79,  -79,  -78,  -77,  -77, 
 -76,  -75,  -75,  -74,  -73,  -72,  -72,  -71,  -70,  -70, 
 -69,  -68,  -67,  -67,  -66,  -65,  -65,  -64,  -63,  -62, 
 -62,  -61,  -60,  -60,  -59,  -58,  -58,  -57,  -56,  -55, 
 -55,  -54,  -53,  -53,  -52,  -51,  -50,  -50,  -49,  -48, 
 -48,  -47,  -46,  -46,  -45,  -44,  -43,  -43,  -42,  -41, 
 -41,  -40,  -39,  -38,  -38,  -37,  -36,  -36,  -35,  -34, 
 -33,  -33,  -32,  -31,  -31,  -30,  -29,  -29,  -28,  -27, 
 -26,  -26,  -25,  -24,  -24,  -23,  -22,  -21,  -21,  -20, 
 -19,  -19,  -18,  -17,  -17,  -16,  -15,  -14,  -14,  -13, 
 -12,  -12,  -11,  -10,   -9,   -9,   -8,   -7,   -7,   -6, 
  -5,   -5,   -4,   -3,   -2,   -2,   -1,    0,    1,    2, 
   2,    3,    4,    5,    5,    6,    7,    7,    8,    9, 
   9,   10,   11,   12,   12,   13,   14,   14,   15,   16, 
  17,   17,   18,   19,   19,   20,   21,   21,   22,   23, 
  24,   24,   25,   26,   26,   27,   28,   29,   29,   30, 
  31,   31,   32,   33,   33,   34,   35,   36,   36,   37, 
  38,   38,   39,   40,   41,   41,   42,   43,   43,   44, 
  45,   46,   46,   47,   48,   48,   49,   50,   50,   51, 
  52,   53,   53,   54,   55,   55,   56,   57,   58,   58, 
  59,   60,   60,   61,   62,   62,   63,   64,   65,   65, 
  66,   67,   67,   68,   69,   70,   70,   71,   72,   72, 
  73,   74,   75,   75,   76,   77,   77,   78,   79,   79, 
  80,   81,   82,   82,   83,   84,   84,   85,   86,   87, 
  87,   88,   89,   89,   90, },
{
-113, -112, -111, -110, -109, -108, -107, -107, -106, -105, 
-104, -103, -102, -101, -100,  -99,  -99,  -98,  -97,  -96, 
 -95,  -94,  -93,  -92,  -91,  -91,  -90,  -89,  -88,  -87, 
 -86,  -85,  -84,  -84,  -83,  -82,  -81,  -80,  -79,  -78, 
 -77,  -76,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -69, 
 -69,  -68,  -67,  -66,  -65,  -64,  -63,  -62,  -61,  -61, 
 -60,  -59,  -58,  -57,  -56,  -55,  -54,  -53,  -53,  -52, 
 -51,  -50,  -49,  -48,  -47,  -46,  -46,  -45,  -44,  -43, 
 -42,  -41,  -40,  -39,  -38,  -38,  -37,  -36,  -35,  -34, 
 -33,  -32,  -31,  -30,  -30,  -29,  -28,  -27,  -26,  -25, 
 -24,  -23,  -23,  -22,  -21,  -20,  -19,  -18,  -17,  -16, 
 -15,  -15,  -14,  -13,  -12,  -11,  -10,   -9,   -8,   -8, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    8,    8,    9,   10,   11, 
  12,   13,   14,   15,   15,   16,   17,   18,   19,   20, 
  21,   22,   23,   23,   24,   25,   26,   27,   28,   29, 
  30,   30,   31,   32,   33,   34,   35,   36,   37,   38, 
  38,   39,   40,   41,   42,   43,   44,   45,   46,   46, 
  47,   48,   49,   50,   51,   52,   53,   53,   54,   55, 
  56,   57,   58,   59,   60,   61,   61,   62,   63,   64, 
  65,   66,   67,   68,   69,   69,   70,   71,   72,   73, 
  74,   75,   76,   76,   77,   78,   79,   80,   81,   82, 
  83,   84,   84,   85,   86,   87,   88,   89,   90,   91, 
  91,   92,   93,   94,   95,   96,   97,   98,   99,   99, 
 100,  101,  102,  103,  104,  105,  106,  107,  107,  108, 
 109,  110,  111,  112,  113, },
{
-135, -134, -133, -132, -131, -130, -129, -128, -127, -126, 
-125, -123, -122, -121, -120, -119, -118, -117, -116, -115, 
-114, -113, -112, -111, -110, -109, -108, -107, -105, -104, 
-103, -102, -101, -100,  -99,  -98,  -97,  -96,  -95,  -94, 
 -93,  -92,  -91,  -90,  -88,  -87,  -86,  -85,  -84,  -83, 
 -82,  -81,  -80,  -79,  -78,  -77,  -76,  -75,  -74,  -73, 
 -72,  -70,  -69,  -68,  -67,  -66,  -65,  -64,  -63,  -62, 
 -61,  -60,  -59,  -58,  -57,  -56,  -55,  -53,  -52,  -51, 
 -50,  -49,  -48,  -47,  -46,  -45,  -44,  -43,  -42,  -41, 
 -40,  -39,  -38,  -37,  -35,  -34,  -33,  -32,  -31,  -30, 
 -29,  -28,  -27,  -26,  -25,  -24,  -23,  -22,  -21,  -20, 
 -18,  -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10,   -9, 
  -8,   -7,   -6,   -5,   -4,   -3,   -2,    0,    2,    3, 
   4,    5,    6,    7,    8,    9,   10,   11,   12,   13, 
  14,   15,   16,   17,   18,   20,   21,   22,   23,   24, 
  25,   26,   27,   28,   29,   30,   31,   32,   33,   34, 
  35,   37,   38,   39,   40,   41,   42,   43,   44,   45, 
  46,   47,   48,   49,   50,   51,   52,   53,   55,   56, 
  57,   58,   59,   60,   61,   62,   63,   64,   65,   66, 
  67,   68,   69,   70,   72,   73,   74,   75,   76,   77, 
  78,   79,   80,   81,   82,   83,   84,   85,   86,   87, 
  88,   90,   91,   92,   93,   94,   95,   96,   97,   98, 
  99,  100,  101,  102,  103,  104,  105,  107,  108,  109, 
 110,  111,  112,  113,  114,  115,  116,  117,  118,  119, 
 120,  121,  122,  123,  125,  126,  127,  128,  129,  130, 
 131,  132,  133,  134,  135, },
{
-158, -157, -155, -154, -153, -152, -150, -149, -148, -147, 
-145, -144, -143, -142, -140, -139, -138, -137, -135, -134, 
-133, -132, -131, -129, -128, -127, -126, -124, -123, -122, 
-121, -119, -118, -117, -116, -114, -113, -112, -111, -110, 
-108, -107, -106, -105, -103, -102, -101, -100,  -98,  -97, 
 -96,  -95,  -93,  -92,  -91,  -90,  -88,  -87,  -86,  -85, 
 -84,  -82,  -81,  -80,  -79,  -77,  -76,  -75,  -74,  -72, 
 -71,  -70,  -69,  -67,  -66,  -65,  -64,  -62,  -61,  -60, 
 -59,  -58,  -56,  -55,  -54,  -53,  -51,  -50,  -49,  -48, 
 -46,  -45,  -44,  -43,  -41,  -40,  -39,  -38,  -37,  -35, 
 -34,  -33,  -32,  -30,  -29,  -28,  -27,  -25,  -24,  -23, 
 -22,  -20,  -19,  -18,  -17,  -15,  -14,  -13,  -12,  -11, 
  -9,   -8,   -7,   -6,   -4,   -3,   -2,    0,    2,    3, 
   4,    6,    7,    8,    9,   11,   12,   13,   14,   15, 
  17,   18,   19,   20,   22,   23,   24,   25,   27,   28, 
  29,   30,   32,   33,   34,   35,   37,   38,   39,   40, 
  41,   43,   44,   45,   46,   48,   49,   50,   51,   53, 
  54,   55,   56,   58,   59,   60,   61,   62,   64,   65, 
  66,   67,   69,   70,   71,   72,   74,   75,   76,   77, 
  79,   80,   81,   82,   84,   85,   86,   87,   88,   90, 
  91,   92,   93,   95,   96,   97,   98,  100,  101,  102, 
 103,  105,  106,  107,  108,  110,  111,  112,  113,  114, 
 116,  117,  118,  119,  121,  122,  123,  124,  126,  127, 
 128,  129,  131,  132,  133,  134,  135,  137,  138,  139, 
 140,  142,  143,  144,  145,  147,  148,  149,  150,  152, 
 153,  154,  155,  157,  158, },
{
-180, -179, -177, -176, -175, -173, -172, -170, -169, -167, 
-166, -165, -163, -162, -160, -159, -158, -156, -155, -153, 
-152, -151, -149, -148, -146, -145, -143, -142, -141, -139, 
-138, -136, -135, -134, -132, -131, -129, -128, -126, -125, 
-124, -122, -121, -119, -118, -117, -115, -114, -112, -111, 
-110, -108, -107, -105, -104, -102, -101, -100,  -98,  -97, 
 -95,  -94,  -93,  -91,  -90,  -88,  -87,  -85,  -84,  -83, 
 -81,  -80,  -78,  -77,  -76,  -74,  -73,  -71,  -70,  -69, 
 -67,  -66,  -64,  -63,  -61,  -60,  -59,  -57,  -56,  -54, 
 -53,  -52,  -50,  -49,  -47,  -46,  -44,  -43,  -42,  -40, 
 -39,  -37,  -36,  -35,  -33,  -32,  -30,  -29,  -27,  -26, 
 -25,  -23,  -22,  -20,  -19,  -18,  -16,  -15,  -13,  -12, 
 -11,   -9,   -8,   -6,   -5,   -3,   -2,    0,    2,    3, 
   5,    6,    8,    9,   11,   12,   13,   15,   16,   18, 
  19,   20,   22,   23,   25,   26,   27,   29,   30,   32, 
  33,   35,   36,   37,   39,   40,   42,   43,   44,   46, 
  47,   49,   50,   52,   53,   54,   56,   57,   59,   60, 
  61,   63,   64,   66,   67,   69,   70,   71,   73,   74, 
  76,   77,   78,   80,   81,   83,   84,   85,   87,   88, 
  90,   91,   93,   94,   95,   97,   98,  100,  101,  102, 
 104,  105,  107,  108,  110,  111,  112,  114,  115,  117, 
 118,  119,  121,  122,  124,  125,  126,  128,  129,  131, 
 132,  134,  135,  136,  138,  139,  141,  142,  143,  145, 
 146,  148,  149,  151,  152,  153,  155,  156,  158,  159, 
 160,  162,  163,  165,  166,  167,  169,  170,  172,  173, 
 175,  176,  177,  179,  180, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -179, -177, -176, -174, -173, 
-171, -169, -168, -166, -165, -163, -161, -160, -158, -157, 
-155, -154, -152, -150, -149, -147, -146, -144, -142, -141, 
-139, -138, -136, -134, -133, -131, -130, -128, -126, -125, 
-123, -122, -120, -119, -117, -115, -114, -112, -111, -109, 
-107, -106, -104, -103, -101,  -99,  -98,  -96,  -95,  -93, 
 -91,  -90,  -88,  -87,  -85,  -84,  -82,  -80,  -79,  -77, 
 -76,  -74,  -72,  -71,  -69,  -68,  -66,  -64,  -63,  -61, 
 -60,  -58,  -56,  -55,  -53,  -52,  -50,  -49,  -47,  -45, 
 -44,  -42,  -41,  -39,  -37,  -36,  -34,  -33,  -31,  -29, 
 -28,  -26,  -25,  -23,  -21,  -20,  -18,  -17,  -15,  -14, 
 -12,  -10,   -9,   -7,   -6,   -4,   -2,    0,    2,    4, 
   6,    7,    9,   10,   12,   14,   15,   17,   18,   20, 
  21,   23,   25,   26,   28,   29,   31,   33,   34,   36, 
  37,   39,   41,   42,   44,   45,   47,   49,   50,   52, 
  53,   55,   56,   58,   60,   61,   63,   64,   66,   68, 
  69,   71,   72,   74,   76,   77,   79,   80,   82,   84, 
  85,   87,   88,   90,   91,   93,   95,   96,   98,   99, 
 101,  103,  104,  106,  107,  109,  111,  112,  114,  115, 
 117,  119,  120,  122,  123,  125,  126,  128,  130,  131, 
 133,  134,  136,  138,  139,  141,  142,  144,  146,  147, 
 149,  150,  152,  154,  155,  157,  158,  160,  161,  163, 
 165,  166,  168,  169,  171,  173,  174,  176,  177,  179, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -179, -178, -176, -174, 
-172, -171, -169, -167, -165, -163, -162, -160, -158, -156, 
-155, -153, -151, -149, -148, -146, -144, -142, -140, -139, 
-137, -135, -133, -132, -130, -128, -126, -125, -123, -121, 
-119, -117, -116, -114, -112, -110, -109, -107, -105, -103, 
-102, -100,  -98,  -96,  -94,  -93,  -91,  -89,  -87,  -86, 
 -84,  -82,  -80,  -79,  -77,  -75,  -73,  -72,  -70,  -68, 
 -66,  -64,  -63,  -61,  -59,  -57,  -56,  -54,  -52,  -50, 
 -49,  -47,  -45,  -43,  -41,  -40,  -38,  -36,  -34,  -33, 
 -31,  -29,  -27,  -26,  -24,  -22,  -20,  -18,  -17,  -15, 
 -13,  -11,  -10,   -8,   -6,   -4,   -3,    0,    3,    4, 
   6,    8,   10,   11,   13,   15,   17,   18,   20,   22, 
  24,   26,   27,   29,   31,   33,   34,   36,   38,   40, 
  41,   43,   45,   47,   49,   50,   52,   54,   56,   57, 
  59,   61,   63,   64,   66,   68,   70,   72,   73,   75, 
  77,   79,   80,   82,   84,   86,   87,   89,   91,   93, 
  94,   96,   98,  100,  102,  103,  105,  107,  109,  110, 
 112,  114,  116,  117,  119,  121,  123,  125,  126,  128, 
 130,  132,  133,  135,  137,  139,  140,  142,  144,  146, 
 148,  149,  151,  153,  155,  156,  158,  160,  162,  163, 
 165,  167,  169,  171,  172,  174,  176,  178,  179,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -180, -178, -176, -174, -172, 
-170, -168, -166, -164, -162, -160, -158, -157, -155, -153, 
-151, -149, -147, -145, -143, -141, -139, -137, -135, -133, 
-131, -129, -127, -125, -123, -122, -120, -118, -116, -114, 
-112, -110, -108, -106, -104, -102, -100,  -98,  -96,  -94, 
 -92,  -90,  -88,  -87,  -85,  -83,  -81,  -79,  -77,  -75, 
 -73,  -71,  -69,  -67,  -65,  -63,  -61,  -59,  -57,  -55, 
 -53,  -52,  -50,  -48,  -46,  -44,  -42,  -40,  -38,  -36, 
 -34,  -32,  -30,  -28,  -26,  -24,  -22,  -20,  -18,  -17, 
 -15,  -13,  -11,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   11,   13,   15,   17,   18,   20,   22,   24, 
  26,   28,   30,   32,   34,   36,   38,   40,   42,   44, 
  46,   48,   50,   52,   53,   55,   57,   59,   61,   63, 
  65,   67,   69,   71,   73,   75,   77,   79,   81,   83, 
  85,   87,   88,   90,   92,   94,   96,   98,  100,  102, 
 104,  106,  108,  110,  112,  114,  116,  118,  120,  122, 
 123,  125,  127,  129,  131,  133,  135,  137,  139,  141, 
 143,  145,  147,  149,  151,  153,  155,  157,  158,  160, 
 162,  164,  166,  168,  170,  172,  174,  176,  178,  180, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -179, -177, -175, -173, -171, -169, -166, 
-164, -162, -160, -158, -156, -154, -152, -149, -147, -145, 
-143, -141, -139, -137, -135, -132, -130, -128, -126, -124, 
-122, -120, -118, -116, -113, -111, -109, -107, -105, -103, 
-101,  -99,  -96,  -94,  -92,  -90,  -88,  -86,  -84,  -82, 
 -79,  -77,  -75,  -73,  -71,  -69,  -67,  -65,  -62,  -60, 
 -58,  -56,  -54,  -52,  -50,  -48,  -46,  -43,  -41,  -39, 
 -37,  -35,  -33,  -31,  -29,  -26,  -24,  -22,  -20,  -18, 
 -16,  -14,  -12,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   12,   14,   16,   18,   20,   22,   24,   26, 
  29,   31,   33,   35,   37,   39,   41,   43,   46,   48, 
  50,   52,   54,   56,   58,   60,   62,   65,   67,   69, 
  71,   73,   75,   77,   79,   82,   84,   86,   88,   90, 
  92,   94,   96,   99,  101,  103,  105,  107,  109,  111, 
 113,  116,  118,  120,  122,  124,  126,  128,  130,  132, 
 135,  137,  139,  141,  143,  145,  147,  149,  152,  154, 
 156,  158,  160,  162,  164,  166,  169,  171,  173,  175, 
 177,  179,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -180, 
-178, -176, -174, -171, -169, -167, -164, -162, -160, -157, 
-155, -153, -151, -148, -146, -144, -141, -139, -137, -134, 
-132, -130, -128, -125, -123, -121, -118, -116, -114, -111, 
-109, -107, -105, -102, -100,  -98,  -95,  -93,  -91,  -88, 
 -86,  -84,  -82,  -79,  -77,  -75,  -72,  -70,  -68,  -65, 
 -63,  -61,  -59,  -56,  -54,  -52,  -49,  -47,  -45,  -43, 
 -40,  -38,  -36,  -33,  -31,  -29,  -26,  -24,  -22,  -20, 
 -17,  -15,  -13,  -10,   -8,   -6,   -3,    0,    3,    6, 
   8,   10,   13,   15,   17,   20,   22,   24,   26,   29, 
  31,   33,   36,   38,   40,   43,   45,   47,   49,   52, 
  54,   56,   59,   61,   63,   65,   68,   70,   72,   75, 
  77,   79,   82,   84,   86,   88,   91,   93,   95,   98, 
 100,  102,  105,  107,  109,  111,  114,  116,  118,  121, 
 123,  125,  128,  130,  132,  134,  137,  139,  141,  144, 
 146,  148,  151,  153,  155,  157,  160,  162,  164,  167, 
 169,  171,  174,  176,  178,  180,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -179, -177, -174, -172, -169, 
-167, -164, -162, -160, -157, -155, -152, -150, -147, -145, 
-142, -140, -137, -135, -132, -130, -127, -125, -122, -120, 
-117, -115, -113, -110, -108, -105, -103, -100,  -98,  -95, 
 -93,  -90,  -88,  -85,  -83,  -80,  -78,  -75,  -73,  -70, 
 -68,  -65,  -63,  -61,  -58,  -56,  -53,  -51,  -48,  -46, 
 -43,  -41,  -38,  -36,  -33,  -31,  -28,  -26,  -23,  -21, 
 -18,  -16,  -14,  -11,   -9,   -6,   -4,    0,    4,    6, 
   9,   11,   14,   16,   18,   21,   23,   26,   28,   31, 
  33,   36,   38,   41,   43,   46,   48,   51,   53,   56, 
  58,   61,   63,   65,   68,   70,   73,   75,   78,   80, 
  83,   85,   88,   90,   93,   95,   98,  100,  103,  105, 
 108,  110,  113,  115,  117,  120,  122,  125,  127,  130, 
 132,  135,  137,  140,  142,  145,  147,  150,  152,  155, 
 157,  160,  162,  164,  167,  169,  172,  174,  177,  179, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-179, -176, -174, -171, -168, -166, -163, -160, -158, -155, 
-152, -150, -147, -145, -142, -139, -137, -134, -131, -129, 
-126, -123, -121, -118, -115, -113, -110, -107, -105, -102, 
 -99,  -97,  -94,  -91,  -89,  -86,  -84,  -81,  -78,  -76, 
 -73,  -70,  -68,  -65,  -62,  -60,  -57,  -54,  -52,  -49, 
 -46,  -44,  -41,  -38,  -36,  -33,  -30,  -28,  -25,  -23, 
 -20,  -17,  -15,  -12,   -9,   -7,   -4,    0,    4,    7, 
   9,   12,   15,   17,   20,   23,   25,   28,   30,   33, 
  36,   38,   41,   44,   46,   49,   52,   54,   57,   60, 
  62,   65,   68,   70,   73,   76,   78,   81,   84,   86, 
  89,   91,   94,   97,   99,  102,  105,  107,  110,  113, 
 115,  118,  121,  123,  126,  129,  131,  134,  137,  139, 
 142,  145,  147,  150,  152,  155,  158,  160,  163,  166, 
 168,  171,  174,  176,  179,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -180, -177, -174, -171, -168, -165, 
-163, -160, -157, -154, -151, -148, -146, -143, -140, -137, 
-134, -131, -129, -126, -123, -120, -117, -114, -112, -109, 
-106, -103, -100,  -97,  -95,  -92,  -89,  -86,  -83,  -81, 
 -78,  -75,  -72,  -69,  -66,  -64,  -61,  -58,  -55,  -52, 
 -49,  -47,  -44,  -41,  -38,  -35,  -32,  -30,  -27,  -24, 
 -21,  -18,  -15,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   15,   18,   21,   24,   27,   30,   32,   35, 
  38,   41,   44,   47,   49,   52,   55,   58,   61,   64, 
  66,   69,   72,   75,   78,   81,   83,   86,   89,   92, 
  95,   97,  100,  103,  106,  109,  112,  114,  117,  120, 
 123,  126,  129,  131,  134,  137,  140,  143,  146,  148, 
 151,  154,  157,  160,  163,  165,  168,  171,  174,  177, 
 180,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -179, -176, 
-173, -170, -167, -164, -161, -158, -155, -152, -149, -146, 
-143, -140, -137, -134, -131, -128, -125, -122, -119, -116, 
-113, -110, -107, -104, -101,  -98,  -95,  -92,  -89,  -86, 
 -83,  -80,  -77,  -74,  -71,  -68,  -65,  -62,  -59,  -56, 
 -53,  -50,  -47,  -44,  -41,  -38,  -35,  -32,  -29,  -26, 
 -23,  -20,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   20,   23,   26,   29,   32,   35,   38, 
  41,   44,   47,   50,   53,   56,   59,   62,   65,   68, 
  71,   74,   77,   80,   83,   86,   89,   92,   95,   98, 
 101,  104,  107,  110,  113,  116,  119,  122,  125,  128, 
 131,  134,  137,  140,  143,  146,  149,  152,  155,  158, 
 161,  164,  167,  170,  173,  176,  179,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -180, -177, -173, -170, -167, -164, -161, -157, -154, 
-151, -148, -145, -142, -138, -135, -132, -129, -126, -122, 
-119, -116, -113, -110, -107, -103, -100,  -97,  -94,  -91, 
 -87,  -84,  -81,  -78,  -75,  -72,  -68,  -65,  -62,  -59, 
 -56,  -52,  -49,  -46,  -43,  -40,  -37,  -33,  -30,  -27, 
 -24,  -21,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   21,   24,   27,   30,   33,   37,   40, 
  43,   46,   49,   52,   56,   59,   62,   65,   68,   72, 
  75,   78,   81,   84,   87,   91,   94,   97,  100,  103, 
 107,  110,  113,  116,  119,  122,  126,  129,  132,  135, 
 138,  142,  145,  148,  151,  154,  157,  161,  164,  167, 
 170,  173,  177,  180,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -180, -176, -173, -170, -166, -163, 
-160, -156, -153, -149, -146, -143, -139, -136, -133, -129, 
-126, -123, -119, -116, -113, -109, -106, -102,  -99,  -96, 
 -92,  -89,  -86,  -82,  -79,  -76,  -72,  -69,  -65,  -62, 
 -59,  -55,  -52,  -49,  -45,  -42,  -39,  -35,  -32,  -29, 
 -25,  -22,  -18,  -15,  -12,   -8,   -5,    0,    5,    8, 
  12,   15,   18,   22,   25,   29,   32,   35,   39,   42, 
  45,   49,   52,   55,   59,   62,   65,   69,   72,   76, 
  79,   82,   86,   89,   92,   96,   99,  102,  106,  109, 
 113,  116,  119,  123,  126,  129,  133,  136,  139,  143, 
 146,  149,  153,  156,  160,  163,  166,  170,  173,  176, 
 180,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -178, -175, -171, 
-168, -164, -161, -157, -154, -150, -147, -143, -140, -136, 
-132, -129, -125, -122, -118, -115, -111, -108, -104, -101, 
 -97,  -94,  -90,  -87,  -83,  -79,  -76,  -72,  -69,  -65, 
 -62,  -58,  -55,  -51,  -48,  -44,  -41,  -37,  -33,  -30, 
 -26,  -23,  -19,  -16,  -12,   -9,   -5,    0,    5,    9, 
  12,   16,   19,   23,   26,   30,   33,   37,   41,   44, 
  48,   51,   55,   58,   62,   65,   69,   72,   76,   79, 
  83,   87,   90,   94,   97,  101,  104,  108,  111,  115, 
 118,  122,  125,  129,  132,  136,  140,  143,  147,  150, 
 154,  157,  161,  164,  168,  171,  175,  178,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -180, 
-176, -173, -169, -165, -161, -158, -154, -150, -147, -143, 
-139, -135, -132, -128, -124, -121, -117, -113, -110, -106, 
-102,  -98,  -95,  -91,  -87,  -84,  -80,  -76,  -72,  -69, 
 -65,  -61,  -58,  -54,  -50,  -46,  -43,  -39,  -35,  -32, 
 -28,  -24,  -20,  -17,  -13,   -9,   -6,    0,    6,    9, 
  13,   17,   20,   24,   28,   32,   35,   39,   43,   46, 
  50,   54,   58,   61,   65,   69,   72,   76,   80,   84, 
  87,   91,   95,   98,  102,  106,  110,  113,  117,  121, 
 124,  128,  132,  135,  139,  143,  147,  150,  154,  158, 
 161,  165,  169,  173,  176,  180,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -177, -173, -169, -165, -161, -157, -154, -150, 
-146, -142, -138, -134, -130, -126, -122, -119, -115, -111, 
-107, -103,  -99,  -95,  -91,  -87,  -84,  -80,  -76,  -72, 
 -68,  -64,  -60,  -56,  -52,  -49,  -45,  -41,  -37,  -33, 
 -29,  -25,  -21,  -17,  -14,  -10,   -6,    0,    6,   10, 
  14,   17,   21,   25,   29,   33,   37,   41,   45,   49, 
  52,   56,   60,   64,   68,   72,   76,   80,   84,   87, 
  91,   95,   99,  103,  107,  111,  115,  119,  122,  126, 
 130,  134,  138,  142,  146,  150,  154,  157,  161,  165, 
 169,  173,  177,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -177, -173, -169, -165, -161, -157, 
-152, -148, -144, -140, -136, -132, -128, -124, -120, -116, 
-112, -108, -104, -100,  -96,  -91,  -87,  -83,  -79,  -75, 
 -71,  -67,  -63,  -59,  -55,  -51,  -47,  -43,  -39,  -35, 
 -30,  -26,  -22,  -18,  -14,  -10,   -6,    0,    6,   10, 
  14,   18,   22,   26,   30,   35,   39,   43,   47,   51, 
  55,   59,   63,   67,   71,   75,   79,   83,   87,   91, 
  96,  100,  104,  108,  112,  116,  120,  124,  128,  132, 
 136,  140,  144,  148,  152,  157,  161,  165,  169,  173, 
 177,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -180, -176, -172, -167, -163, 
-159, -155, -151, -146, -142, -138, -134, -129, -125, -121, 
-117, -112, -108, -104, -100,  -95,  -91,  -87,  -83,  -78, 
 -74,  -70,  -66,  -61,  -57,  -53,  -49,  -44,  -40,  -36, 
 -32,  -27,  -23,  -19,  -15,  -11,   -6,    0,    6,   11, 
  15,   19,   23,   27,   32,   36,   40,   44,   49,   53, 
  57,   61,   66,   70,   74,   78,   83,   87,   91,   95, 
 100,  104,  108,  112,  117,  121,  125,  129,  134,  138, 
 142,  146,  151,  155,  159,  163,  167,  172,  176,  180, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -179, -175, -170, 
-166, -161, -157, -152, -148, -144, -139, -135, -130, -126, 
-122, -117, -113, -108, -104,  -99,  -95,  -91,  -86,  -82, 
 -77,  -73,  -69,  -64,  -60,  -55,  -51,  -46,  -42,  -38, 
 -33,  -29,  -24,  -20,  -15,  -11,   -7,    0,    7,   11, 
  15,   20,   24,   29,   33,   38,   42,   46,   51,   55, 
  60,   64,   69,   73,   77,   82,   86,   91,   95,   99, 
 104,  108,  113,  117,  122,  126,  130,  135,  139,  144, 
 148,  152,  157,  161,  166,  170,  175,  179,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -177, 
-172, -168, -163, -158, -154, -149, -145, -140, -135, -131, 
-126, -122, -117, -113, -108, -103,  -99,  -94,  -90,  -85, 
 -80,  -76,  -71,  -67,  -62,  -57,  -53,  -48,  -44,  -39, 
 -34,  -30,  -25,  -21,  -16,  -11,   -7,    0,    7,   11, 
  16,   21,   25,   30,   34,   39,   44,   48,   53,   57, 
  62,   67,   71,   76,   80,   85,   90,   94,   99,  103, 
 108,  113,  117,  122,  126,  131,  135,  140,  145,  149, 
 154,  158,  163,  168,  172,  177,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-179, -174, -169, -165, -160, -155, -150, -146, -141, -136, 
-131, -126, -122, -117, -112, -107, -103,  -98,  -93,  -88, 
 -84,  -79,  -74,  -69,  -64,  -60,  -55,  -50,  -45,  -41, 
 -36,  -31,  -26,  -21,  -17,  -12,   -7,    0,    7,   12, 
  17,   21,   26,   31,   36,   41,   45,   50,   55,   60, 
  64,   69,   74,   79,   84,   88,   93,   98,  103,  107, 
 112,  117,  122,  126,  131,  136,  141,  146,  150,  155, 
 160,  165,  169,  174,  179,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -176, -171, -166, -161, -156, -151, -146, -141, 
-136, -131, -126, -121, -116, -111, -106, -101,  -96,  -91, 
 -87,  -82,  -77,  -72,  -67,  -62,  -57,  -52,  -47,  -42, 
 -37,  -32,  -27,  -22,  -17,  -12,   -7,    0,    7,   12, 
  17,   22,   27,   32,   37,   42,   47,   52,   57,   62, 
  67,   72,   77,   82,   87,   91,   96,  101,  106,  111, 
 116,  121,  126,  131,  136,  141,  146,  151,  156,  161, 
 166,  171,  176,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -177, -172, -167, -161, -156, -151, -146, 
-141, -136, -131, -126, -120, -115, -110, -105, -100,  -95, 
 -90,  -85,  -79,  -74,  -69,  -64,  -59,  -54,  -49,  -44, 
 -38,  -33,  -28,  -23,  -18,  -13,   -8,    0,    8,   13, 
  18,   23,   28,   33,   38,   44,   49,   54,   59,   64, 
  69,   74,   79,   85,   90,   95,  100,  105,  110,  115, 
 120,  126,  131,  136,  141,  146,  151,  156,  161,  167, 
 172,  177,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -178, -172, -167, -162, -156, -151, 
-146, -140, -135, -130, -125, -119, -114, -109, -103,  -98, 
 -93,  -87,  -82,  -77,  -72,  -66,  -61,  -56,  -50,  -45, 
 -40,  -34,  -29,  -24,  -18,  -13,   -8,    0,    8,   13, 
  18,   24,   29,   34,   40,   45,   50,   56,   61,   66, 
  72,   77,   82,   87,   93,   98,  103,  109,  114,  119, 
 125,  130,  135,  140,  146,  151,  156,  162,  167,  172, 
 178,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
{
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -181, -181, -181, -181, -181, 
-181, -181, -181, -181, -181, -178, -173, -167, -162, -156, 
-151, -145, -140, -134, -129, -123, -118, -112, -107, -101, 
 -96,  -90,  -85,  -79,  -74,  -69,  -63,  -58,  -52,  -47, 
 -41,  -36,  -30,  -25,  -19,  -14,   -8,    0,    8,   14, 
  19,   25,   30,   36,   41,   47,   52,   58,   63,   69, 
  74,   79,   85,   90,   96,  101,  107,  112,  118,  123, 
 129,  134,  140,  145,  151,  156,  162,  167,  173,  178, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181,  181,  181,  181,  181,  181, 
 181,  181,  181,  181,  181, },
};



int tab_rec2[31][255] = {
{
 -16,  -16,  -16,  -16,  -15,  -15,  -15,  -15,  -15,  -15, 
 -15,  -15,  -14,  -14,  -14,  -14,  -14,  -14,  -14,  -14, 
 -13,  -13,  -13,  -13,  -13,  -13,  -13,  -13,  -12,  -12, 
 -12,  -12,  -12,  -12,  -12,  -12,  -11,  -11,  -11,  -11, 
 -11,  -11,  -11,  -11,  -10,  -10,  -10,  -10,  -10,  -10, 
 -10,  -10,   -9,   -9,   -9,   -9,   -9,   -9,   -9,   -9, 
  -8,   -8,   -8,   -8,   -8,   -8,   -8,   -8,   -7,   -7, 
  -7,   -7,   -7,   -7,   -7,   -7,   -6,   -6,   -6,   -6, 
  -6,   -6,   -6,   -6,   -5,   -5,   -5,   -5,   -5,   -5, 
  -5,   -5,   -4,   -4,   -4,   -4,   -4,   -4,   -4,   -4, 
  -3,   -3,   -3,   -3,   -3,   -3,   -3,   -3,   -2,   -2, 
  -2,   -2,   -2,   -2,   -2,   -2,   -1,   -1,   -1,   -1, 
  -1,   -1,   -1,   -1,    0,    0,    0,    0,    0,    0, 
   0,    1,    1,    1,    1,    1,    1,    1,    1,    2, 
   2,    2,    2,    2,    2,    2,    2,    3,    3,    3, 
   3,    3,    3,    3,    3,    4,    4,    4,    4,    4, 
   4,    4,    4,    5,    5,    5,    5,    5,    5,    5, 
   5,    6,    6,    6,    6,    6,    6,    6,    6,    7, 
   7,    7,    7,    7,    7,    7,    7,    8,    8,    8, 
   8,    8,    8,    8,    8,    9,    9,    9,    9,    9, 
   9,    9,    9,   10,   10,   10,   10,   10,   10,   10, 
  10,   11,   11,   11,   11,   11,   11,   11,   11,   12, 
  12,   12,   12,   12,   12,   12,   12,   13,   13,   13, 
  13,   13,   13,   13,   13,   14,   14,   14,   14,   14, 
  14,   14,   14,   15,   15,   15,   15,   15,   15,   15, 
  15,   16,   16,   16,   16, },
{
 -32,  -32,  -31,  -31,  -31,  -31,  -30,  -30,  -30,  -30, 
 -29,  -29,  -29,  -29,  -28,  -28,  -28,  -28,  -27,  -27, 
 -27,  -27,  -26,  -26,  -26,  -26,  -25,  -25,  -25,  -25, 
 -24,  -24,  -24,  -24,  -23,  -23,  -23,  -23,  -22,  -22, 
 -22,  -22,  -21,  -21,  -21,  -21,  -20,  -20,  -20,  -20, 
 -19,  -19,  -19,  -19,  -18,  -18,  -18,  -18,  -17,  -17, 
 -17,  -17,  -16,  -16,  -16,  -16,  -15,  -15,  -15,  -15, 
 -14,  -14,  -14,  -14,  -13,  -13,  -13,  -13,  -12,  -12, 
 -12,  -12,  -11,  -11,  -11,  -11,  -10,  -10,  -10,  -10, 
  -9,   -9,   -9,   -9,   -8,   -8,   -8,   -8,   -7,   -7, 
  -7,   -7,   -6,   -6,   -6,   -6,   -5,   -5,   -5,   -5, 
  -4,   -4,   -4,   -4,   -3,   -3,   -3,   -3,   -2,   -2, 
  -2,   -2,   -1,   -1,   -1,   -1,    0,    0,    0,    1, 
   1,    1,    1,    2,    2,    2,    2,    3,    3,    3, 
   3,    4,    4,    4,    4,    5,    5,    5,    5,    6, 
   6,    6,    6,    7,    7,    7,    7,    8,    8,    8, 
   8,    9,    9,    9,    9,   10,   10,   10,   10,   11, 
  11,   11,   11,   12,   12,   12,   12,   13,   13,   13, 
  13,   14,   14,   14,   14,   15,   15,   15,   15,   16, 
  16,   16,   16,   17,   17,   17,   17,   18,   18,   18, 
  18,   19,   19,   19,   19,   20,   20,   20,   20,   21, 
  21,   21,   21,   22,   22,   22,   22,   23,   23,   23, 
  23,   24,   24,   24,   24,   25,   25,   25,   25,   26, 
  26,   26,   26,   27,   27,   27,   27,   28,   28,   28, 
  28,   29,   29,   29,   29,   30,   30,   30,   30,   31, 
  31,   31,   31,   32,   32, },
{
 -48,  -47,  -47,  -47,  -46,  -46,  -46,  -45,  -45,  -44, 
 -44,  -44,  -43,  -43,  -43,  -42,  -42,  -41,  -41,  -41, 
 -40,  -40,  -40,  -39,  -39,  -38,  -38,  -38,  -37,  -37, 
 -37,  -36,  -36,  -35,  -35,  -35,  -34,  -34,  -34,  -33, 
 -33,  -32,  -32,  -32,  -31,  -31,  -31,  -30,  -30,  -29, 
 -29,  -29,  -28,  -28,  -28,  -27,  -27,  -26,  -26,  -26, 
 -25,  -25,  -25,  -24,  -24,  -23,  -23,  -23,  -22,  -22, 
 -22,  -21,  -21,  -20,  -20,  -20,  -19,  -19,  -19,  -18, 
 -18,  -17,  -17,  -17,  -16,  -16,  -16,  -15,  -15,  -14, 
 -14,  -14,  -13,  -13,  -13,  -12,  -12,  -11,  -11,  -11, 
 -10,  -10,  -10,   -9,   -9,   -8,   -8,   -8,   -7,   -7, 
  -7,   -6,   -6,   -5,   -5,   -5,   -4,   -4,   -4,   -3, 
  -3,   -2,   -2,   -2,   -1,   -1,   -1,    0,    1,    1, 
   1,    2,    2,    2,    3,    3,    4,    4,    4,    5, 
   5,    5,    6,    6,    7,    7,    7,    8,    8,    8, 
   9,    9,   10,   10,   10,   11,   11,   11,   12,   12, 
  13,   13,   13,   14,   14,   14,   15,   15,   16,   16, 
  16,   17,   17,   17,   18,   18,   19,   19,   19,   20, 
  20,   20,   21,   21,   22,   22,   22,   23,   23,   23, 
  24,   24,   25,   25,   25,   26,   26,   26,   27,   27, 
  28,   28,   28,   29,   29,   29,   30,   30,   31,   31, 
  31,   32,   32,   32,   33,   33,   34,   34,   34,   35, 
  35,   35,   36,   36,   37,   37,   37,   38,   38,   38, 
  39,   39,   40,   40,   40,   41,   41,   41,   42,   42, 
  43,   43,   43,   44,   44,   44,   45,   45,   46,   46, 
  46,   47,   47,   47,   48, },
{
 -64,  -63,  -63,  -62,  -62,  -61,  -61,  -60,  -60,  -59, 
 -59,  -58,  -58,  -57,  -57,  -56,  -56,  -55,  -55,  -54, 
 -54,  -53,  -53,  -52,  -52,  -51,  -51,  -50,  -50,  -49, 
 -49,  -48,  -48,  -47,  -47,  -46,  -46,  -45,  -45,  -44, 
 -44,  -43,  -43,  -42,  -42,  -41,  -41,  -40,  -40,  -39, 
 -39,  -38,  -38,  -37,  -37,  -36,  -36,  -35,  -35,  -34, 
 -34,  -33,  -33,  -32,  -32,  -31,  -31,  -30,  -30,  -29, 
 -29,  -28,  -28,  -27,  -27,  -26,  -26,  -25,  -25,  -24, 
 -24,  -23,  -23,  -22,  -22,  -21,  -21,  -20,  -20,  -19, 
 -19,  -18,  -18,  -17,  -17,  -16,  -16,  -15,  -15,  -14, 
 -14,  -13,  -13,  -12,  -12,  -11,  -11,  -10,  -10,   -9, 
  -9,   -8,   -8,   -7,   -7,   -6,   -6,   -5,   -5,   -4, 
  -4,   -3,   -3,   -2,   -2,   -1,   -1,    0,    1,    1, 
   2,    2,    3,    3,    4,    4,    5,    5,    6,    6, 
   7,    7,    8,    8,    9,    9,   10,   10,   11,   11, 
  12,   12,   13,   13,   14,   14,   15,   15,   16,   16, 
  17,   17,   18,   18,   19,   19,   20,   20,   21,   21, 
  22,   22,   23,   23,   24,   24,   25,   25,   26,   26, 
  27,   27,   28,   28,   29,   29,   30,   30,   31,   31, 
  32,   32,   33,   33,   34,   34,   35,   35,   36,   36, 
  37,   37,   38,   38,   39,   39,   40,   40,   41,   41, 
  42,   42,   43,   43,   44,   44,   45,   45,   46,   46, 
  47,   47,   48,   48,   49,   49,   50,   50,   51,   51, 
  52,   52,   53,   53,   54,   54,   55,   55,   56,   56, 
  57,   57,   58,   58,   59,   59,   60,   60,   61,   61, 
  62,   62,   63,   63,   64, },
{
 -80,  -79,  -78,  -78,  -77,  -77,  -76,  -75,  -75,  -74, 
 -73,  -73,  -72,  -72,  -71,  -70,  -70,  -69,  -68,  -68, 
 -67,  -67,  -66,  -65,  -65,  -64,  -63,  -63,  -62,  -62, 
 -61,  -60,  -60,  -59,  -58,  -58,  -57,  -57,  -56,  -55, 
 -55,  -54,  -53,  -53,  -52,  -52,  -51,  -50,  -50,  -49, 
 -48,  -48,  -47,  -47,  -46,  -45,  -45,  -44,  -43,  -43, 
 -42,  -42,  -41,  -40,  -40,  -39,  -38,  -38,  -37,  -37, 
 -36,  -35,  -35,  -34,  -33,  -33,  -32,  -32,  -31,  -30, 
 -30,  -29,  -28,  -28,  -27,  -27,  -26,  -25,  -25,  -24, 
 -23,  -23,  -22,  -22,  -21,  -20,  -20,  -19,  -18,  -18, 
 -17,  -17,  -16,  -15,  -15,  -14,  -13,  -13,  -12,  -12, 
 -11,  -10,  -10,   -9,   -8,   -8,   -7,   -7,   -6,   -5, 
  -5,   -4,   -3,   -3,   -2,   -2,   -1,    0,    1,    2, 
   2,    3,    3,    4,    5,    5,    6,    7,    7,    8, 
   8,    9,   10,   10,   11,   12,   12,   13,   13,   14, 
  15,   15,   16,   17,   17,   18,   18,   19,   20,   20, 
  21,   22,   22,   23,   23,   24,   25,   25,   26,   27, 
  27,   28,   28,   29,   30,   30,   31,   32,   32,   33, 
  33,   34,   35,   35,   36,   37,   37,   38,   38,   39, 
  40,   40,   41,   42,   42,   43,   43,   44,   45,   45, 
  46,   47,   47,   48,   48,   49,   50,   50,   51,   52, 
  52,   53,   53,   54,   55,   55,   56,   57,   57,   58, 
  58,   59,   60,   60,   61,   62,   62,   63,   63,   64, 
  65,   65,   66,   67,   67,   68,   68,   69,   70,   70, 
  71,   72,   72,   73,   73,   74,   75,   75,   76,   77, 
  77,   78,   78,   79,   80, },
{
 -96,  -95,  -94,  -93,  -93,  -92,  -91,  -90,  -90,  -89, 
 -88,  -87,  -87,  -86,  -85,  -84,  -84,  -83,  -82,  -81, 
 -81,  -80,  -79,  -78,  -78,  -77,  -76,  -75,  -75,  -74, 
 -73,  -72,  -72,  -71,  -70,  -69,  -69,  -68,  -67,  -66, 
 -66,  -65,  -64,  -63,  -63,  -62,  -61,  -60,  -60,  -59, 
 -58,  -57,  -57,  -56,  -55,  -54,  -54,  -53,  -52,  -51, 
 -51,  -50,  -49,  -48,  -48,  -47,  -46,  -45,  -45,  -44, 
 -43,  -42,  -42,  -41,  -40,  -39,  -39,  -38,  -37,  -36, 
 -36,  -35,  -34,  -33,  -33,  -32,  -31,  -30,  -30,  -29, 
 -28,  -27,  -27,  -26,  -25,  -24,  -24,  -23,  -22,  -21, 
 -21,  -20,  -19,  -18,  -18,  -17,  -16,  -15,  -15,  -14, 
 -13,  -12,  -12,  -11,  -10,   -9,   -9,   -8,   -7,   -6, 
  -6,   -5,   -4,   -3,   -3,   -2,   -1,    0,    1,    2, 
   3,    3,    4,    5,    6,    6,    7,    8,    9,    9, 
  10,   11,   12,   12,   13,   14,   15,   15,   16,   17, 
  18,   18,   19,   20,   21,   21,   22,   23,   24,   24, 
  25,   26,   27,   27,   28,   29,   30,   30,   31,   32, 
  33,   33,   34,   35,   36,   36,   37,   38,   39,   39, 
  40,   41,   42,   42,   43,   44,   45,   45,   46,   47, 
  48,   48,   49,   50,   51,   51,   52,   53,   54,   54, 
  55,   56,   57,   57,   58,   59,   60,   60,   61,   62, 
  63,   63,   64,   65,   66,   66,   67,   68,   69,   69, 
  70,   71,   72,   72,   73,   74,   75,   75,   76,   77, 
  78,   78,   79,   80,   81,   81,   82,   83,   84,   84, 
  85,   86,   87,   87,   88,   89,   90,   90,   91,   92, 
  93,   93,   94,   95,   96, },
{
-112, -111, -110, -109, -108, -107, -106, -105, -105, -104, 
-103, -102, -101, -100,  -99,  -98,  -98,  -97,  -96,  -95, 
 -94,  -93,  -92,  -91,  -91,  -90,  -89,  -88,  -87,  -86, 
 -85,  -84,  -84,  -83,  -82,  -81,  -80,  -79,  -78,  -77, 
 -77,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -70,  -69, 
 -68,  -67,  -66,  -65,  -64,  -63,  -63,  -62,  -61,  -60, 
 -59,  -58,  -57,  -56,  -56,  -55,  -54,  -53,  -52,  -51, 
 -50,  -49,  -49,  -48,  -47,  -46,  -45,  -44,  -43,  -42, 
 -42,  -41,  -40,  -39,  -38,  -37,  -36,  -35,  -35,  -34, 
 -33,  -32,  -31,  -30,  -29,  -28,  -28,  -27,  -26,  -25, 
 -24,  -23,  -22,  -21,  -21,  -20,  -19,  -18,  -17,  -16, 
 -15,  -14,  -14,  -13,  -12,  -11,  -10,   -9,   -8,   -7, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    7,    8,    9,   10,   11, 
  12,   13,   14,   14,   15,   16,   17,   18,   19,   20, 
  21,   21,   22,   23,   24,   25,   26,   27,   28,   28, 
  29,   30,   31,   32,   33,   34,   35,   35,   36,   37, 
  38,   39,   40,   41,   42,   42,   43,   44,   45,   46, 
  47,   48,   49,   49,   50,   51,   52,   53,   54,   55, 
  56,   56,   57,   58,   59,   60,   61,   62,   63,   63, 
  64,   65,   66,   67,   68,   69,   70,   70,   71,   72, 
  73,   74,   75,   76,   77,   77,   78,   79,   80,   81, 
  82,   83,   84,   84,   85,   86,   87,   88,   89,   90, 
  91,   91,   92,   93,   94,   95,   96,   97,   98,   98, 
  99,  100,  101,  102,  103,  104,  105,  105,  106,  107, 
 108,  109,  110,  111,  112, },
{
-127, -126, -125, -124, -123, -122, -121, -120, -119, -118, 
-117, -116, -115, -114, -113, -112, -111, -110, -109, -108, 
-107, -106, -105, -104, -103, -102, -101, -100,  -99,  -98, 
 -97,  -96,  -95,  -94,  -93,  -92,  -91,  -90,  -89,  -88, 
 -87,  -86,  -85,  -84,  -83,  -82,  -81,  -80,  -79,  -78, 
 -77,  -76,  -75,  -74,  -73,  -72,  -71,  -70,  -69,  -68, 
 -67,  -66,  -65,  -64,  -63,  -62,  -61,  -60,  -59,  -58, 
 -57,  -56,  -55,  -54,  -53,  -52,  -51,  -50,  -49,  -48, 
 -47,  -46,  -45,  -44,  -43,  -42,  -41,  -40,  -39,  -38, 
 -37,  -36,  -35,  -34,  -33,  -32,  -31,  -30,  -29,  -28, 
 -27,  -26,  -25,  -24,  -23,  -22,  -21,  -20,  -19,  -18, 
 -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10,   -9,   -8, 
  -7,   -6,   -5,   -4,   -3,   -2,   -1,    0,    1,    2, 
   3,    4,    5,    6,    7,    8,    9,   10,   11,   12, 
  13,   14,   15,   16,   17,   18,   19,   20,   21,   22, 
  23,   24,   25,   26,   27,   28,   29,   30,   31,   32, 
  33,   34,   35,   36,   37,   38,   39,   40,   41,   42, 
  43,   44,   45,   46,   47,   48,   49,   50,   51,   52, 
  53,   54,   55,   56,   57,   58,   59,   60,   61,   62, 
  63,   64,   65,   66,   67,   68,   69,   70,   71,   72, 
  73,   74,   75,   76,   77,   78,   79,   80,   81,   82, 
  83,   84,   85,   86,   87,   88,   89,   90,   91,   92, 
  93,   94,   95,   96,   97,   98,   99,  100,  101,  102, 
 103,  104,  105,  106,  107,  108,  109,  110,  111,  112, 
 113,  114,  115,  116,  117,  118,  119,  120,  121,  122, 
 123,  124,  125,  126,  127, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -125, -124, -123, -122, 
-121, -120, -119, -118, -116, -115, -114, -113, -112, -111, 
-110, -109, -107, -106, -105, -104, -103, -102, -101, -100, 
 -98,  -97,  -96,  -95,  -94,  -93,  -92,  -91,  -89,  -88, 
 -87,  -86,  -85,  -84,  -83,  -82,  -80,  -79,  -78,  -77, 
 -76,  -75,  -74,  -73,  -71,  -70,  -69,  -68,  -67,  -66, 
 -65,  -64,  -62,  -61,  -60,  -59,  -58,  -57,  -56,  -55, 
 -53,  -52,  -51,  -50,  -49,  -48,  -47,  -46,  -44,  -43, 
 -42,  -41,  -40,  -39,  -38,  -37,  -35,  -34,  -33,  -32, 
 -31,  -30,  -29,  -28,  -26,  -25,  -24,  -23,  -22,  -21, 
 -20,  -19,  -17,  -16,  -15,  -14,  -13,  -12,  -11,  -10, 
  -8,   -7,   -6,   -5,   -4,   -3,   -2,    0,    2,    3, 
   4,    5,    6,    7,    8,   10,   11,   12,   13,   14, 
  15,   16,   17,   19,   20,   21,   22,   23,   24,   25, 
  26,   28,   29,   30,   31,   32,   33,   34,   35,   37, 
  38,   39,   40,   41,   42,   43,   44,   46,   47,   48, 
  49,   50,   51,   52,   53,   55,   56,   57,   58,   59, 
  60,   61,   62,   64,   65,   66,   67,   68,   69,   70, 
  71,   73,   74,   75,   76,   77,   78,   79,   80,   82, 
  83,   84,   85,   86,   87,   88,   89,   91,   92,   93, 
  94,   95,   96,   97,   98,  100,  101,  102,  103,  104, 
 105,  106,  107,  109,  110,  111,  112,  113,  114,  115, 
 116,  118,  119,  120,  121,  122,  123,  124,  125,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -127, -126, -124, -123, 
-122, -121, -119, -118, -117, -116, -114, -113, -112, -111, 
-109, -108, -107, -106, -104, -103, -102, -101,  -99,  -98, 
 -97,  -96,  -94,  -93,  -92,  -91,  -89,  -88,  -87,  -86, 
 -84,  -83,  -82,  -81,  -79,  -78,  -77,  -76,  -74,  -73, 
 -72,  -71,  -69,  -68,  -67,  -66,  -64,  -63,  -62,  -61, 
 -59,  -58,  -57,  -56,  -54,  -53,  -52,  -51,  -49,  -48, 
 -47,  -46,  -44,  -43,  -42,  -41,  -39,  -38,  -37,  -36, 
 -34,  -33,  -32,  -31,  -29,  -28,  -27,  -26,  -24,  -23, 
 -22,  -21,  -19,  -18,  -17,  -16,  -14,  -13,  -12,  -11, 
  -9,   -8,   -7,   -6,   -4,   -3,   -2,    0,    2,    3, 
   4,    6,    7,    8,    9,   11,   12,   13,   14,   16, 
  17,   18,   19,   21,   22,   23,   24,   26,   27,   28, 
  29,   31,   32,   33,   34,   36,   37,   38,   39,   41, 
  42,   43,   44,   46,   47,   48,   49,   51,   52,   53, 
  54,   56,   57,   58,   59,   61,   62,   63,   64,   66, 
  67,   68,   69,   71,   72,   73,   74,   76,   77,   78, 
  79,   81,   82,   83,   84,   86,   87,   88,   89,   91, 
  92,   93,   94,   96,   97,   98,   99,  101,  102,  103, 
 104,  106,  107,  108,  109,  111,  112,  113,  114,  116, 
 117,  118,  119,  121,  122,  123,  124,  126,  127,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -126, -124, -123, -122, 
-120, -119, -118, -116, -115, -113, -112, -111, -109, -108, 
-107, -105, -104, -102, -101, -100,  -98,  -97,  -96,  -94, 
 -93,  -91,  -90,  -89,  -87,  -86,  -85,  -83,  -82,  -80, 
 -79,  -78,  -76,  -75,  -74,  -72,  -71,  -69,  -68,  -67, 
 -65,  -64,  -63,  -61,  -60,  -58,  -57,  -56,  -54,  -53, 
 -52,  -50,  -49,  -47,  -46,  -45,  -43,  -42,  -41,  -39, 
 -38,  -36,  -35,  -34,  -32,  -31,  -30,  -28,  -27,  -25, 
 -24,  -23,  -21,  -20,  -19,  -17,  -16,  -14,  -13,  -12, 
 -10,   -9,   -8,   -6,   -5,   -3,   -2,    0,    2,    3, 
   5,    6,    8,    9,   10,   12,   13,   14,   16,   17, 
  19,   20,   21,   23,   24,   25,   27,   28,   30,   31, 
  32,   34,   35,   36,   38,   39,   41,   42,   43,   45, 
  46,   47,   49,   50,   52,   53,   54,   56,   57,   58, 
  60,   61,   63,   64,   65,   67,   68,   69,   71,   72, 
  74,   75,   76,   78,   79,   80,   82,   83,   85,   86, 
  87,   89,   90,   91,   93,   94,   96,   97,   98,  100, 
 101,  102,  104,  105,  107,  108,  109,  111,  112,  113, 
 115,  116,  118,  119,  120,  122,  123,  124,  126,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -127, -125, -124, -122, -121, -119, -118, 
-116, -115, -113, -112, -110, -109, -107, -106, -104, -103, 
-101, -100,  -98,  -97,  -95,  -94,  -92,  -91,  -89,  -88, 
 -86,  -85,  -83,  -82,  -80,  -79,  -77,  -76,  -74,  -73, 
 -71,  -70,  -68,  -67,  -65,  -64,  -62,  -61,  -59,  -58, 
 -56,  -55,  -53,  -52,  -50,  -49,  -47,  -46,  -44,  -43, 
 -41,  -40,  -38,  -37,  -35,  -34,  -32,  -31,  -29,  -28, 
 -26,  -25,  -23,  -22,  -20,  -19,  -17,  -16,  -14,  -13, 
 -11,  -10,   -8,   -7,   -5,   -4,   -2,    0,    2,    4, 
   5,    7,    8,   10,   11,   13,   14,   16,   17,   19, 
  20,   22,   23,   25,   26,   28,   29,   31,   32,   34, 
  35,   37,   38,   40,   41,   43,   44,   46,   47,   49, 
  50,   52,   53,   55,   56,   58,   59,   61,   62,   64, 
  65,   67,   68,   70,   71,   73,   74,   76,   77,   79, 
  80,   82,   83,   85,   86,   88,   89,   91,   92,   94, 
  95,   97,   98,  100,  101,  103,  104,  106,  107,  109, 
 110,  112,  113,  115,  116,  118,  119,  121,  122,  124, 
 125,  127,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-126, -124, -123, -121, -119, -118, -116, -115, -113, -111, 
-110, -108, -106, -105, -103, -102, -100,  -98,  -97,  -95, 
 -93,  -92,  -90,  -89,  -87,  -85,  -84,  -82,  -80,  -79, 
 -77,  -76,  -74,  -72,  -71,  -69,  -67,  -66,  -64,  -63, 
 -61,  -59,  -58,  -56,  -54,  -53,  -51,  -50,  -48,  -46, 
 -45,  -43,  -41,  -40,  -38,  -37,  -35,  -33,  -32,  -30, 
 -28,  -27,  -25,  -24,  -22,  -20,  -19,  -17,  -15,  -14, 
 -12,  -11,   -9,   -7,   -6,   -4,   -2,    0,    2,    4, 
   6,    7,    9,   11,   12,   14,   15,   17,   19,   20, 
  22,   24,   25,   27,   28,   30,   32,   33,   35,   37, 
  38,   40,   41,   43,   45,   46,   48,   50,   51,   53, 
  54,   56,   58,   59,   61,   63,   64,   66,   67,   69, 
  71,   72,   74,   76,   77,   79,   80,   82,   84,   85, 
  87,   89,   90,   92,   93,   95,   97,   98,  100,  102, 
 103,  105,  106,  108,  110,  111,  113,  115,  116,  118, 
 119,  121,  123,  124,  126,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -125, -123, -122, -120, 
-118, -116, -115, -113, -111, -109, -108, -106, -104, -102, 
-101,  -99,  -97,  -95,  -94,  -92,  -90,  -88,  -87,  -85, 
 -83,  -81,  -80,  -78,  -76,  -74,  -73,  -71,  -69,  -67, 
 -66,  -64,  -62,  -60,  -59,  -57,  -55,  -53,  -52,  -50, 
 -48,  -46,  -45,  -43,  -41,  -39,  -38,  -36,  -34,  -32, 
 -31,  -29,  -27,  -25,  -24,  -22,  -20,  -18,  -17,  -15, 
 -13,  -11,  -10,   -8,   -6,   -4,   -3,    0,    3,    4, 
   6,    8,   10,   11,   13,   15,   17,   18,   20,   22, 
  24,   25,   27,   29,   31,   32,   34,   36,   38,   39, 
  41,   43,   45,   46,   48,   50,   52,   53,   55,   57, 
  59,   60,   62,   64,   66,   67,   69,   71,   73,   74, 
  76,   78,   80,   81,   83,   85,   87,   88,   90,   92, 
  94,   95,   97,   99,  101,  102,  104,  106,  108,  109, 
 111,  113,  115,  116,  118,  120,  122,  123,  125,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-127, -125, -123, -121, -119, -117, -115, -113, -112, -110, 
-108, -106, -104, -102, -100,  -98,  -97,  -95,  -93,  -91, 
 -89,  -87,  -85,  -83,  -82,  -80,  -78,  -76,  -74,  -72, 
 -70,  -68,  -67,  -65,  -63,  -61,  -59,  -57,  -55,  -53, 
 -52,  -50,  -48,  -46,  -44,  -42,  -40,  -38,  -37,  -35, 
 -33,  -31,  -29,  -27,  -25,  -23,  -22,  -20,  -18,  -16, 
 -14,  -12,  -10,   -8,   -7,   -5,   -3,    0,    3,    5, 
   7,    8,   10,   12,   14,   16,   18,   20,   22,   23, 
  25,   27,   29,   31,   33,   35,   37,   38,   40,   42, 
  44,   46,   48,   50,   52,   53,   55,   57,   59,   61, 
  63,   65,   67,   68,   70,   72,   74,   76,   78,   80, 
  82,   83,   85,   87,   89,   91,   93,   95,   97,   98, 
 100,  102,  104,  106,  108,  110,  112,  113,  115,  117, 
 119,  121,  123,  125,  127,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -127, -125, -123, -121, -119, -117, 
-115, -113, -111, -109, -107, -105, -103, -101,  -99,  -97, 
 -95,  -93,  -91,  -89,  -87,  -85,  -83,  -81,  -79,  -77, 
 -75,  -73,  -71,  -69,  -67,  -65,  -63,  -61,  -59,  -57, 
 -55,  -53,  -51,  -49,  -47,  -45,  -43,  -41,  -39,  -37, 
 -35,  -33,  -31,  -29,  -27,  -25,  -23,  -21,  -19,  -17, 
 -15,  -13,  -11,   -9,   -7,   -5,   -3,    0,    3,    5, 
   7,    9,   11,   13,   15,   17,   19,   21,   23,   25, 
  27,   29,   31,   33,   35,   37,   39,   41,   43,   45, 
  47,   49,   51,   53,   55,   57,   59,   61,   63,   65, 
  67,   69,   71,   73,   75,   77,   79,   81,   83,   85, 
  87,   89,   91,   93,   95,   97,   99,  101,  103,  105, 
 107,  109,  111,  113,  115,  117,  119,  121,  123,  125, 
 127,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -126, -124, 
-122, -120, -118, -116, -114, -112, -109, -107, -105, -103, 
-101,  -99,  -97,  -95,  -92,  -90,  -88,  -86,  -84,  -82, 
 -80,  -78,  -75,  -73,  -71,  -69,  -67,  -65,  -63,  -61, 
 -58,  -56,  -54,  -52,  -50,  -48,  -46,  -44,  -41,  -39, 
 -37,  -35,  -33,  -31,  -29,  -27,  -24,  -22,  -20,  -18, 
 -16,  -14,  -12,  -10,   -7,   -5,   -3,    0,    3,    5, 
   7,   10,   12,   14,   16,   18,   20,   22,   24,   27, 
  29,   31,   33,   35,   37,   39,   41,   44,   46,   48, 
  50,   52,   54,   56,   58,   61,   63,   65,   67,   69, 
  71,   73,   75,   78,   80,   82,   84,   86,   88,   90, 
  92,   95,   97,   99,  101,  103,  105,  107,  109,  112, 
 114,  116,  118,  120,  122,  124,  126,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -127, -125, -123, -120, -118, -116, -114, -111, -109, 
-107, -105, -102, -100,  -98,  -96,  -93,  -91,  -89,  -87, 
 -84,  -82,  -80,  -78,  -75,  -73,  -71,  -69,  -66,  -64, 
 -62,  -60,  -57,  -55,  -53,  -51,  -48,  -46,  -44,  -42, 
 -39,  -37,  -35,  -33,  -30,  -28,  -26,  -24,  -21,  -19, 
 -17,  -15,  -12,  -10,   -8,   -6,   -3,    0,    3,    6, 
   8,   10,   12,   15,   17,   19,   21,   24,   26,   28, 
  30,   33,   35,   37,   39,   42,   44,   46,   48,   51, 
  53,   55,   57,   60,   62,   64,   66,   69,   71,   73, 
  75,   78,   80,   82,   84,   87,   89,   91,   93,   96, 
  98,  100,  102,  105,  107,  109,  111,  114,  116,  118, 
 120,  123,  125,  127,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -127, -125, -122, -120, -118, -115, 
-113, -110, -108, -106, -103, -101,  -99,  -96,  -94,  -91, 
 -89,  -87,  -84,  -82,  -80,  -77,  -75,  -72,  -70,  -68, 
 -65,  -63,  -61,  -58,  -56,  -53,  -51,  -49,  -46,  -44, 
 -42,  -39,  -37,  -34,  -32,  -30,  -27,  -25,  -23,  -20, 
 -18,  -15,  -13,  -11,   -8,   -6,   -4,    0,    4,    6, 
   8,   11,   13,   15,   18,   20,   23,   25,   27,   30, 
  32,   34,   37,   39,   42,   44,   46,   49,   51,   53, 
  56,   58,   61,   63,   65,   68,   70,   72,   75,   77, 
  80,   82,   84,   87,   89,   91,   94,   96,   99,  101, 
 103,  106,  108,  110,  113,  115,  118,  120,  122,  125, 
 127,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -126, -124, -121, 
-119, -116, -114, -111, -109, -106, -104, -101,  -99,  -96, 
 -94,  -91,  -89,  -86,  -84,  -81,  -79,  -76,  -74,  -71, 
 -69,  -66,  -64,  -61,  -59,  -56,  -54,  -51,  -49,  -46, 
 -44,  -41,  -39,  -36,  -34,  -31,  -29,  -26,  -24,  -21, 
 -19,  -16,  -14,  -11,   -9,   -6,   -4,    0,    4,    6, 
   9,   11,   14,   16,   19,   21,   24,   26,   29,   31, 
  34,   36,   39,   41,   44,   46,   49,   51,   54,   56, 
  59,   61,   64,   66,   69,   71,   74,   76,   79,   81, 
  84,   86,   89,   91,   94,   96,   99,  101,  104,  106, 
 109,  111,  114,  116,  119,  121,  124,  126,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -127, 
-125, -122, -119, -117, -114, -112, -109, -106, -104, -101, 
 -98,  -96,  -93,  -91,  -88,  -85,  -83,  -80,  -77,  -75, 
 -72,  -70,  -67,  -64,  -62,  -59,  -56,  -54,  -51,  -49, 
 -46,  -43,  -41,  -38,  -35,  -33,  -30,  -28,  -25,  -22, 
 -20,  -17,  -14,  -12,   -9,   -7,   -4,    0,    4,    7, 
   9,   12,   14,   17,   20,   22,   25,   28,   30,   33, 
  35,   38,   41,   43,   46,   49,   51,   54,   56,   59, 
  62,   64,   67,   70,   72,   75,   77,   80,   83,   85, 
  88,   91,   93,   96,   98,  101,  104,  106,  109,  112, 
 114,  117,  119,  122,  125,  127,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -125, -122, -120, -117, -114, -111, -109, -106, 
-103, -100,  -98,  -95,  -92,  -89,  -87,  -84,  -81,  -78, 
 -76,  -73,  -70,  -67,  -65,  -62,  -59,  -56,  -54,  -51, 
 -48,  -45,  -43,  -40,  -37,  -34,  -32,  -29,  -26,  -23, 
 -21,  -18,  -15,  -12,  -10,   -7,   -4,    0,    4,    7, 
  10,   12,   15,   18,   21,   23,   26,   29,   32,   34, 
  37,   40,   43,   45,   48,   51,   54,   56,   59,   62, 
  65,   67,   70,   73,   76,   78,   81,   84,   87,   89, 
  92,   95,   98,  100,  103,  106,  109,  111,  114,  117, 
 120,  122,  125,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -125, -122, -119, -116, -114, -111, 
-108, -105, -102,  -99,  -96,  -93,  -91,  -88,  -85,  -82, 
 -79,  -76,  -73,  -70,  -68,  -65,  -62,  -59,  -56,  -53, 
 -50,  -47,  -45,  -42,  -39,  -36,  -33,  -30,  -27,  -24, 
 -22,  -19,  -16,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   16,   19,   22,   24,   27,   30,   33,   36, 
  39,   42,   45,   47,   50,   53,   56,   59,   62,   65, 
  68,   70,   73,   76,   79,   82,   85,   88,   91,   93, 
  96,   99,  102,  105,  108,  111,  114,  116,  119,  122, 
 125,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -127, -124, -121, -118, -115, 
-112, -109, -106, -103, -100,  -97,  -94,  -91,  -88,  -85, 
 -82,  -79,  -76,  -73,  -70,  -67,  -64,  -61,  -58,  -55, 
 -52,  -49,  -46,  -43,  -40,  -37,  -34,  -31,  -28,  -25, 
 -22,  -19,  -16,  -13,  -10,   -7,   -4,    0,    4,    7, 
  10,   13,   16,   19,   22,   25,   28,   31,   34,   37, 
  40,   43,   46,   49,   52,   55,   58,   61,   64,   67, 
  70,   73,   76,   79,   82,   85,   88,   91,   94,   97, 
 100,  103,  106,  109,  112,  115,  118,  121,  124,  127, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -127, -123, -120, 
-117, -114, -111, -108, -105, -102,  -98,  -95,  -92,  -89, 
 -86,  -83,  -80,  -77,  -73,  -70,  -67,  -64,  -61,  -58, 
 -55,  -52,  -48,  -45,  -42,  -39,  -36,  -33,  -30,  -27, 
 -23,  -20,  -17,  -14,  -11,   -8,   -5,    0,    5,    8, 
  11,   14,   17,   20,   23,   27,   30,   33,   36,   39, 
  42,   45,   48,   52,   55,   58,   61,   64,   67,   70, 
  73,   77,   80,   83,   86,   89,   92,   95,   98,  102, 
 105,  108,  111,  114,  117,  120,  123,  127,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -125, 
-122, -119, -115, -112, -109, -106, -102,  -99,  -96,  -93, 
 -89,  -86,  -83,  -80,  -76,  -73,  -70,  -67,  -63,  -60, 
 -57,  -54,  -50,  -47,  -44,  -41,  -37,  -34,  -31,  -28, 
 -24,  -21,  -18,  -15,  -11,   -8,   -5,    0,    5,    8, 
  11,   15,   18,   21,   24,   28,   31,   34,   37,   41, 
  44,   47,   50,   54,   57,   60,   63,   67,   70,   73, 
  76,   80,   83,   86,   89,   93,   96,   99,  102,  106, 
 109,  112,  115,  119,  122,  125,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-127, -123, -120, -116, -113, -110, -106, -103, -100,  -96, 
 -93,  -89,  -86,  -83,  -79,  -76,  -73,  -69,  -66,  -62, 
 -59,  -56,  -52,  -49,  -46,  -42,  -39,  -35,  -32,  -29, 
 -25,  -22,  -19,  -15,  -12,   -8,   -5,    0,    5,    8, 
  12,   15,   19,   22,   25,   29,   32,   35,   39,   42, 
  46,   49,   52,   56,   59,   62,   66,   69,   73,   76, 
  79,   83,   86,   89,   93,   96,  100,  103,  106,  110, 
 113,  116,  120,  123,  127,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -124, -121, -117, -114, -110, -107, -103, -100, 
 -96,  -93,  -89,  -86,  -82,  -79,  -75,  -72,  -68,  -65, 
 -61,  -58,  -54,  -51,  -47,  -44,  -40,  -37,  -33,  -30, 
 -26,  -23,  -19,  -16,  -12,   -9,   -5,    0,    5,    9, 
  12,   16,   19,   23,   26,   30,   33,   37,   40,   44, 
  47,   51,   54,   58,   61,   65,   68,   72,   75,   79, 
  82,   86,   89,   93,   96,  100,  103,  107,  110,  114, 
 117,  121,  124,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -125, -121, -118, -114, -111, -107, -103, 
-100,  -96,  -92,  -89,  -85,  -82,  -78,  -74,  -71,  -67, 
 -63,  -60,  -56,  -53,  -49,  -45,  -42,  -38,  -34,  -31, 
 -27,  -24,  -20,  -16,  -13,   -9,   -5,    0,    5,    9, 
  13,   16,   20,   24,   27,   31,   34,   38,   42,   45, 
  49,   53,   56,   60,   63,   67,   71,   74,   78,   82, 
  85,   89,   92,   96,  100,  103,  107,  111,  114,  118, 
 121,  125,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -126, -122, -118, -114, -111, -107, 
-103,  -99,  -96,  -92,  -88,  -84,  -81,  -77,  -73,  -69, 
 -66,  -62,  -58,  -54,  -51,  -47,  -43,  -39,  -36,  -32, 
 -28,  -24,  -21,  -17,  -13,   -9,   -6,    0,    6,    9, 
  13,   17,   21,   24,   28,   32,   36,   39,   43,   47, 
  51,   54,   58,   62,   66,   69,   73,   77,   81,   84, 
  88,   92,   96,   99,  103,  107,  111,  114,  118,  122, 
 126,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, },
{
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -128, -128, -128, -128, -128, 
-128, -128, -128, -128, -128, -126, -122, -118, -114, -110, 
-107, -103,  -99,  -95,  -91,  -87,  -83,  -79,  -76,  -72, 
 -68,  -64,  -60,  -56,  -52,  -48,  -45,  -41,  -37,  -33, 
 -29,  -25,  -21,  -17,  -14,  -10,   -6,    0,    6,   10, 
  14,   17,   21,   25,   29,   33,   37,   41,   45,   48, 
  52,   56,   60,   64,   68,   72,   76,   79,   83,   87, 
  91,   95,   99,  103,  107,  110,  114,  118,  122,  126, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128,  128,  128,  128,  128,  128, 
 128,  128,  128,  128,  128, }
};

#else

#include "ffct.h"

#define A(x)                  ((int)((1.41421356237 * IFCT_FACT * x)/16))
#define B(x)                  ((int)((IFCT_FACT * x)/16))

int tab_rec1[31][255] =				      
/*----------------------- H.261 REC TABLE ---------------------*/
{

/*-----------------------   QUANT  1      --------------------*/
{
 A( -255), A( -253), A( -251), A( -249), A( -247), A( -245), A( -243), A( -241),
 A( -239), A( -237), A( -235), A( -233), A( -231), A( -229), A( -227), A( -225),
 A( -223), A( -221), A( -219), A( -217), A( -215), A( -213), A( -211), A( -209),
 A( -207), A( -205), A( -203), A( -201), A( -199), A( -197), A( -195), A( -193),
 A( -191), A( -189), A( -187), A( -185), A( -183), A( -181), A( -179), A( -177),
 A( -175), A( -173), A( -171), A( -169), A( -167), A( -165), A( -163), A( -161),
 A( -159), A( -157), A( -155), A( -153), A( -151), A( -149), A( -147), A( -145),
 A( -143), A( -141), A( -139), A( -137), A( -135), A( -133), A( -131), A( -129),
 A( -127), A( -125), A( -123), A( -121), A( -119), A( -117), A( -115), A( -113),
 A( -111), A( -109), A( -107), A( -105), A( -103), A( -101), A(  -99), A(  -97),
 A(  -95), A(  -93), A(  -91), A(  -89), A(  -87), A(  -85), A(  -83), A(  -81),
 A(  -79), A(  -77), A(  -75), A(  -73), A(  -71), A(  -69), A(  -67), A(  -65),
 A(  -63), A(  -61), A(  -59), A(  -57), A(  -55), A(  -53), A(  -51), A(  -49),
 A(  -47), A(  -45), A(  -43), A(  -41), A(  -39), A(  -37), A(  -35), A(  -33),
 A(  -31), A(  -29), A(  -27), A(  -25), A(  -23), A(  -21), A(  -19), A(  -17),
 A(  -15), A(  -13), A(  -11), A(   -9), A(   -7), A(   -5), A(   -3), A(    0),
 A(    3), A(    5), A(    7), A(    9), A(   11), A(   13), A(   15), A(   17),
 A(   19), A(   21), A(   23), A(   25), A(   27), A(   29), A(   31), A(   33),
 A(   35), A(   37), A(   39), A(   41), A(   43), A(   45), A(   47), A(   49),
 A(   51), A(   53), A(   55), A(   57), A(   59), A(   61), A(   63), A(   65),
 A(   67), A(   69), A(   71), A(   73), A(   75), A(   77), A(   79), A(   81),
 A(   83), A(   85), A(   87), A(   89), A(   91), A(   93), A(   95), A(   97),
 A(   99), A(  101), A(  103), A(  105), A(  107), A(  109), A(  111), A(  113),
 A(  115), A(  117), A(  119), A(  121), A(  123), A(  125), A(  127), A(  129),
 A(  131), A(  133), A(  135), A(  137), A(  139), A(  141), A(  143), A(  145),
 A(  147), A(  149), A(  151), A(  153), A(  155), A(  157), A(  159), A(  161),
 A(  163), A(  165), A(  167), A(  169), A(  171), A(  173), A(  175), A(  177),
 A(  179), A(  181), A(  183), A(  185), A(  187), A(  189), A(  191), A(  193),
 A(  195), A(  197), A(  199), A(  201), A(  203), A(  205), A(  207), A(  209),
 A(  211), A(  213), A(  215), A(  217), A(  219), A(  221), A(  223), A(  225),
 A(  227), A(  229), A(  231), A(  233), A(  235), A(  237), A(  239), A(  241),
 A(  243), A(  245), A(  247), A(  249), A(  251), A(  253), A(  255)
},
/*-----------------------   QUANT  2      --------------------*/
{
 A( -509), A( -505), A( -501), A( -497), A( -493), A( -489), A( -485), A( -481),
 A( -477), A( -473), A( -469), A( -465), A( -461), A( -457), A( -453), A( -449),
 A( -445), A( -441), A( -437), A( -433), A( -429), A( -425), A( -421), A( -417),
 A( -413), A( -409), A( -405), A( -401), A( -397), A( -393), A( -389), A( -385),
 A( -381), A( -377), A( -373), A( -369), A( -365), A( -361), A( -357), A( -353),
 A( -349), A( -345), A( -341), A( -337), A( -333), A( -329), A( -325), A( -321),
 A( -317), A( -313), A( -309), A( -305), A( -301), A( -297), A( -293), A( -289),
 A( -285), A( -281), A( -277), A( -273), A( -269), A( -265), A( -261), A( -257),
 A( -253), A( -249), A( -245), A( -241), A( -237), A( -233), A( -229), A( -225),
 A( -221), A( -217), A( -213), A( -209), A( -205), A( -201), A( -197), A( -193),
 A( -189), A( -185), A( -181), A( -177), A( -173), A( -169), A( -165), A( -161),
 A( -157), A( -153), A( -149), A( -145), A( -141), A( -137), A( -133), A( -129),
 A( -125), A( -121), A( -117), A( -113), A( -109), A( -105), A( -101), A(  -97),
 A(  -93), A(  -89), A(  -85), A(  -81), A(  -77), A(  -73), A(  -69), A(  -65),
 A(  -61), A(  -57), A(  -53), A(  -49), A(  -45), A(  -41), A(  -37), A(  -33),
 A(  -29), A(  -25), A(  -21), A(  -17), A(  -13), A(   -9), A(   -5), A(    0),
 A(    5), A(    9), A(   13), A(   17), A(   21), A(   25), A(   29), A(   33),
 A(   37), A(   41), A(   45), A(   49), A(   53), A(   57), A(   61), A(   65),
 A(   69), A(   73), A(   77), A(   81), A(   85), A(   89), A(   93), A(   97),
 A(  101), A(  105), A(  109), A(  113), A(  117), A(  121), A(  125), A(  129),
 A(  133), A(  137), A(  141), A(  145), A(  149), A(  153), A(  157), A(  161),
 A(  165), A(  169), A(  173), A(  177), A(  181), A(  185), A(  189), A(  193),
 A(  197), A(  201), A(  205), A(  209), A(  213), A(  217), A(  221), A(  225),
 A(  229), A(  233), A(  237), A(  241), A(  245), A(  249), A(  253), A(  257),
 A(  261), A(  265), A(  269), A(  273), A(  277), A(  281), A(  285), A(  289),
 A(  293), A(  297), A(  301), A(  305), A(  309), A(  313), A(  317), A(  321),
 A(  325), A(  329), A(  333), A(  337), A(  341), A(  345), A(  349), A(  353),
 A(  357), A(  361), A(  365), A(  369), A(  373), A(  377), A(  381), A(  385),
 A(  389), A(  393), A(  397), A(  401), A(  405), A(  409), A(  413), A(  417),
 A(  421), A(  425), A(  429), A(  433), A(  437), A(  441), A(  445), A(  449),
 A(  453), A(  457), A(  461), A(  465), A(  469), A(  473), A(  477), A(  481),
 A(  485), A(  489), A(  493), A(  497), A(  501), A(  505), A(  509)
},
/*-----------------------   QUANT  3      --------------------*/
{
 A( -765), A( -759), A( -753), A( -747), A( -741), A( -735), A( -729), A( -723),
 A( -717), A( -711), A( -705), A( -699), A( -693), A( -687), A( -681), A( -675),
 A( -669), A( -663), A( -657), A( -651), A( -645), A( -639), A( -633), A( -627),
 A( -621), A( -615), A( -609), A( -603), A( -597), A( -591), A( -585), A( -579),
 A( -573), A( -567), A( -561), A( -555), A( -549), A( -543), A( -537), A( -531),
 A( -525), A( -519), A( -513), A( -507), A( -501), A( -495), A( -489), A( -483),
 A( -477), A( -471), A( -465), A( -459), A( -453), A( -447), A( -441), A( -435),
 A( -429), A( -423), A( -417), A( -411), A( -405), A( -399), A( -393), A( -387),
 A( -381), A( -375), A( -369), A( -363), A( -357), A( -351), A( -345), A( -339),
 A( -333), A( -327), A( -321), A( -315), A( -309), A( -303), A( -297), A( -291),
 A( -285), A( -279), A( -273), A( -267), A( -261), A( -255), A( -249), A( -243),
 A( -237), A( -231), A( -225), A( -219), A( -213), A( -207), A( -201), A( -195),
 A( -189), A( -183), A( -177), A( -171), A( -165), A( -159), A( -153), A( -147),
 A( -141), A( -135), A( -129), A( -123), A( -117), A( -111), A( -105), A(  -99),
 A(  -93), A(  -87), A(  -81), A(  -75), A(  -69), A(  -63), A(  -57), A(  -51),
 A(  -45), A(  -39), A(  -33), A(  -27), A(  -21), A(  -15), A(   -9), A(    0),
 A(    9), A(   15), A(   21), A(   27), A(   33), A(   39), A(   45), A(   51),
 A(   57), A(   63), A(   69), A(   75), A(   81), A(   87), A(   93), A(   99),
 A(  105), A(  111), A(  117), A(  123), A(  129), A(  135), A(  141), A(  147),
 A(  153), A(  159), A(  165), A(  171), A(  177), A(  183), A(  189), A(  195),
 A(  201), A(  207), A(  213), A(  219), A(  225), A(  231), A(  237), A(  243),
 A(  249), A(  255), A(  261), A(  267), A(  273), A(  279), A(  285), A(  291),
 A(  297), A(  303), A(  309), A(  315), A(  321), A(  327), A(  333), A(  339),
 A(  345), A(  351), A(  357), A(  363), A(  369), A(  375), A(  381), A(  387),
 A(  393), A(  399), A(  405), A(  411), A(  417), A(  423), A(  429), A(  435),
 A(  441), A(  447), A(  453), A(  459), A(  465), A(  471), A(  477), A(  483),
 A(  489), A(  495), A(  501), A(  507), A(  513), A(  519), A(  525), A(  531),
 A(  537), A(  543), A(  549), A(  555), A(  561), A(  567), A(  573), A(  579),
 A(  585), A(  591), A(  597), A(  603), A(  609), A(  615), A(  621), A(  627),
 A(  633), A(  639), A(  645), A(  651), A(  657), A(  663), A(  669), A(  675),
 A(  681), A(  687), A(  693), A(  699), A(  705), A(  711), A(  717), A(  723),
 A(  729), A(  735), A(  741), A(  747), A(  753), A(  759), A(  765)
},
/*-----------------------   QUANT  4      --------------------*/
{
 A(-1019), A(-1011), A(-1003), A( -995), A( -987), A( -979), A( -971), A( -963),
 A( -955), A( -947), A( -939), A( -931), A( -923), A( -915), A( -907), A( -899),
 A( -891), A( -883), A( -875), A( -867), A( -859), A( -851), A( -843), A( -835),
 A( -827), A( -819), A( -811), A( -803), A( -795), A( -787), A( -779), A( -771),
 A( -763), A( -755), A( -747), A( -739), A( -731), A( -723), A( -715), A( -707),
 A( -699), A( -691), A( -683), A( -675), A( -667), A( -659), A( -651), A( -643),
 A( -635), A( -627), A( -619), A( -611), A( -603), A( -595), A( -587), A( -579),
 A( -571), A( -563), A( -555), A( -547), A( -539), A( -531), A( -523), A( -515),
 A( -507), A( -499), A( -491), A( -483), A( -475), A( -467), A( -459), A( -451),
 A( -443), A( -435), A( -427), A( -419), A( -411), A( -403), A( -395), A( -387),
 A( -379), A( -371), A( -363), A( -355), A( -347), A( -339), A( -331), A( -323),
 A( -315), A( -307), A( -299), A( -291), A( -283), A( -275), A( -267), A( -259),
 A( -251), A( -243), A( -235), A( -227), A( -219), A( -211), A( -203), A( -195),
 A( -187), A( -179), A( -171), A( -163), A( -155), A( -147), A( -139), A( -131),
 A( -123), A( -115), A( -107), A(  -99), A(  -91), A(  -83), A(  -75), A(  -67),
 A(  -59), A(  -51), A(  -43), A(  -35), A(  -27), A(  -19), A(  -11), A(    0),
 A(   11), A(   19), A(   27), A(   35), A(   43), A(   51), A(   59), A(   67),
 A(   75), A(   83), A(   91), A(   99), A(  107), A(  115), A(  123), A(  131),
 A(  139), A(  147), A(  155), A(  163), A(  171), A(  179), A(  187), A(  195),
 A(  203), A(  211), A(  219), A(  227), A(  235), A(  243), A(  251), A(  259),
 A(  267), A(  275), A(  283), A(  291), A(  299), A(  307), A(  315), A(  323),
 A(  331), A(  339), A(  347), A(  355), A(  363), A(  371), A(  379), A(  387),
 A(  395), A(  403), A(  411), A(  419), A(  427), A(  435), A(  443), A(  451),
 A(  459), A(  467), A(  475), A(  483), A(  491), A(  499), A(  507), A(  515),
 A(  523), A(  531), A(  539), A(  547), A(  555), A(  563), A(  571), A(  579),
 A(  587), A(  595), A(  603), A(  611), A(  619), A(  627), A(  635), A(  643),
 A(  651), A(  659), A(  667), A(  675), A(  683), A(  691), A(  699), A(  707),
 A(  715), A(  723), A(  731), A(  739), A(  747), A(  755), A(  763), A(  771),
 A(  779), A(  787), A(  795), A(  803), A(  811), A(  819), A(  827), A(  835),
 A(  843), A(  851), A(  859), A(  867), A(  875), A(  883), A(  891), A(  899),
 A(  907), A(  915), A(  923), A(  931), A(  939), A(  947), A(  955), A(  963),
 A(  971), A(  979), A(  987), A(  995), A( 1003), A( 1011), A( 1019)
},
/*-----------------------   QUANT  5      --------------------*/
{
 A(-1275), A(-1265), A(-1255), A(-1245), A(-1235), A(-1225), A(-1215), A(-1205),
 A(-1195), A(-1185), A(-1175), A(-1165), A(-1155), A(-1145), A(-1135), A(-1125),
 A(-1115), A(-1105), A(-1095), A(-1085), A(-1075), A(-1065), A(-1055), A(-1045),
 A(-1035), A(-1025), A(-1015), A(-1005), A( -995), A( -985), A( -975), A( -965),
 A( -955), A( -945), A( -935), A( -925), A( -915), A( -905), A( -895), A( -885),
 A( -875), A( -865), A( -855), A( -845), A( -835), A( -825), A( -815), A( -805),
 A( -795), A( -785), A( -775), A( -765), A( -755), A( -745), A( -735), A( -725),
 A( -715), A( -705), A( -695), A( -685), A( -675), A( -665), A( -655), A( -645),
 A( -635), A( -625), A( -615), A( -605), A( -595), A( -585), A( -575), A( -565),
 A( -555), A( -545), A( -535), A( -525), A( -515), A( -505), A( -495), A( -485),
 A( -475), A( -465), A( -455), A( -445), A( -435), A( -425), A( -415), A( -405),
 A( -395), A( -385), A( -375), A( -365), A( -355), A( -345), A( -335), A( -325),
 A( -315), A( -305), A( -295), A( -285), A( -275), A( -265), A( -255), A( -245),
 A( -235), A( -225), A( -215), A( -205), A( -195), A( -185), A( -175), A( -165),
 A( -155), A( -145), A( -135), A( -125), A( -115), A( -105), A(  -95), A(  -85),
 A(  -75), A(  -65), A(  -55), A(  -45), A(  -35), A(  -25), A(  -15), A(    0),
 A(   15), A(   25), A(   35), A(   45), A(   55), A(   65), A(   75), A(   85),
 A(   95), A(  105), A(  115), A(  125), A(  135), A(  145), A(  155), A(  165),
 A(  175), A(  185), A(  195), A(  205), A(  215), A(  225), A(  235), A(  245),
 A(  255), A(  265), A(  275), A(  285), A(  295), A(  305), A(  315), A(  325),
 A(  335), A(  345), A(  355), A(  365), A(  375), A(  385), A(  395), A(  405),
 A(  415), A(  425), A(  435), A(  445), A(  455), A(  465), A(  475), A(  485),
 A(  495), A(  505), A(  515), A(  525), A(  535), A(  545), A(  555), A(  565),
 A(  575), A(  585), A(  595), A(  605), A(  615), A(  625), A(  635), A(  645),
 A(  655), A(  665), A(  675), A(  685), A(  695), A(  705), A(  715), A(  725),
 A(  735), A(  745), A(  755), A(  765), A(  775), A(  785), A(  795), A(  805),
 A(  815), A(  825), A(  835), A(  845), A(  855), A(  865), A(  875), A(  885),
 A(  895), A(  905), A(  915), A(  925), A(  935), A(  945), A(  955), A(  965),
 A(  975), A(  985), A(  995), A( 1005), A( 1015), A( 1025), A( 1035), A( 1045),
 A( 1055), A( 1065), A( 1075), A( 1085), A( 1095), A( 1105), A( 1115), A( 1125),
 A( 1135), A( 1145), A( 1155), A( 1165), A( 1175), A( 1185), A( 1195), A( 1205),
 A( 1215), A( 1225), A( 1235), A( 1245), A( 1255), A( 1265), A( 1275)
},
/*-----------------------   QUANT  6      --------------------*/
{
 A(-1529), A(-1517), A(-1505), A(-1493), A(-1481), A(-1469), A(-1457), A(-1445),
 A(-1433), A(-1421), A(-1409), A(-1397), A(-1385), A(-1373), A(-1361), A(-1349),
 A(-1337), A(-1325), A(-1313), A(-1301), A(-1289), A(-1277), A(-1265), A(-1253),
 A(-1241), A(-1229), A(-1217), A(-1205), A(-1193), A(-1181), A(-1169), A(-1157),
 A(-1145), A(-1133), A(-1121), A(-1109), A(-1097), A(-1085), A(-1073), A(-1061),
 A(-1049), A(-1037), A(-1025), A(-1013), A(-1001), A( -989), A( -977), A( -965),
 A( -953), A( -941), A( -929), A( -917), A( -905), A( -893), A( -881), A( -869),
 A( -857), A( -845), A( -833), A( -821), A( -809), A( -797), A( -785), A( -773),
 A( -761), A( -749), A( -737), A( -725), A( -713), A( -701), A( -689), A( -677),
 A( -665), A( -653), A( -641), A( -629), A( -617), A( -605), A( -593), A( -581),
 A( -569), A( -557), A( -545), A( -533), A( -521), A( -509), A( -497), A( -485),
 A( -473), A( -461), A( -449), A( -437), A( -425), A( -413), A( -401), A( -389),
 A( -377), A( -365), A( -353), A( -341), A( -329), A( -317), A( -305), A( -293),
 A( -281), A( -269), A( -257), A( -245), A( -233), A( -221), A( -209), A( -197),
 A( -185), A( -173), A( -161), A( -149), A( -137), A( -125), A( -113), A( -101),
 A(  -89), A(  -77), A(  -65), A(  -53), A(  -41), A(  -29), A(  -17), A(    0),
 A(   17), A(   29), A(   41), A(   53), A(   65), A(   77), A(   89), A(  101),
 A(  113), A(  125), A(  137), A(  149), A(  161), A(  173), A(  185), A(  197),
 A(  209), A(  221), A(  233), A(  245), A(  257), A(  269), A(  281), A(  293),
 A(  305), A(  317), A(  329), A(  341), A(  353), A(  365), A(  377), A(  389),
 A(  401), A(  413), A(  425), A(  437), A(  449), A(  461), A(  473), A(  485),
 A(  497), A(  509), A(  521), A(  533), A(  545), A(  557), A(  569), A(  581),
 A(  593), A(  605), A(  617), A(  629), A(  641), A(  653), A(  665), A(  677),
 A(  689), A(  701), A(  713), A(  725), A(  737), A(  749), A(  761), A(  773),
 A(  785), A(  797), A(  809), A(  821), A(  833), A(  845), A(  857), A(  869),
 A(  881), A(  893), A(  905), A(  917), A(  929), A(  941), A(  953), A(  965),
 A(  977), A(  989), A( 1001), A( 1013), A( 1025), A( 1037), A( 1049), A( 1061),
 A( 1073), A( 1085), A( 1097), A( 1109), A( 1121), A( 1133), A( 1145), A( 1157),
 A( 1169), A( 1181), A( 1193), A( 1205), A( 1217), A( 1229), A( 1241), A( 1253),
 A( 1265), A( 1277), A( 1289), A( 1301), A( 1313), A( 1325), A( 1337), A( 1349),
 A( 1361), A( 1373), A( 1385), A( 1397), A( 1409), A( 1421), A( 1433), A( 1445),
 A( 1457), A( 1469), A( 1481), A( 1493), A( 1505), A( 1517), A( 1529)
},
/*-----------------------   QUANT  7      --------------------*/
{
 A(-1785), A(-1771), A(-1757), A(-1743), A(-1729), A(-1715), A(-1701), A(-1687),
 A(-1673), A(-1659), A(-1645), A(-1631), A(-1617), A(-1603), A(-1589), A(-1575),
 A(-1561), A(-1547), A(-1533), A(-1519), A(-1505), A(-1491), A(-1477), A(-1463),
 A(-1449), A(-1435), A(-1421), A(-1407), A(-1393), A(-1379), A(-1365), A(-1351),
 A(-1337), A(-1323), A(-1309), A(-1295), A(-1281), A(-1267), A(-1253), A(-1239),
 A(-1225), A(-1211), A(-1197), A(-1183), A(-1169), A(-1155), A(-1141), A(-1127),
 A(-1113), A(-1099), A(-1085), A(-1071), A(-1057), A(-1043), A(-1029), A(-1015),
 A(-1001), A( -987), A( -973), A( -959), A( -945), A( -931), A( -917), A( -903),
 A( -889), A( -875), A( -861), A( -847), A( -833), A( -819), A( -805), A( -791),
 A( -777), A( -763), A( -749), A( -735), A( -721), A( -707), A( -693), A( -679),
 A( -665), A( -651), A( -637), A( -623), A( -609), A( -595), A( -581), A( -567),
 A( -553), A( -539), A( -525), A( -511), A( -497), A( -483), A( -469), A( -455),
 A( -441), A( -427), A( -413), A( -399), A( -385), A( -371), A( -357), A( -343),
 A( -329), A( -315), A( -301), A( -287), A( -273), A( -259), A( -245), A( -231),
 A( -217), A( -203), A( -189), A( -175), A( -161), A( -147), A( -133), A( -119),
 A( -105), A(  -91), A(  -77), A(  -63), A(  -49), A(  -35), A(  -21), A(    0),
 A(   21), A(   35), A(   49), A(   63), A(   77), A(   91), A(  105), A(  119),
 A(  133), A(  147), A(  161), A(  175), A(  189), A(  203), A(  217), A(  231),
 A(  245), A(  259), A(  273), A(  287), A(  301), A(  315), A(  329), A(  343),
 A(  357), A(  371), A(  385), A(  399), A(  413), A(  427), A(  441), A(  455),
 A(  469), A(  483), A(  497), A(  511), A(  525), A(  539), A(  553), A(  567),
 A(  581), A(  595), A(  609), A(  623), A(  637), A(  651), A(  665), A(  679),
 A(  693), A(  707), A(  721), A(  735), A(  749), A(  763), A(  777), A(  791),
 A(  805), A(  819), A(  833), A(  847), A(  861), A(  875), A(  889), A(  903),
 A(  917), A(  931), A(  945), A(  959), A(  973), A(  987), A( 1001), A( 1015),
 A( 1029), A( 1043), A( 1057), A( 1071), A( 1085), A( 1099), A( 1113), A( 1127),
 A( 1141), A( 1155), A( 1169), A( 1183), A( 1197), A( 1211), A( 1225), A( 1239),
 A( 1253), A( 1267), A( 1281), A( 1295), A( 1309), A( 1323), A( 1337), A( 1351),
 A( 1365), A( 1379), A( 1393), A( 1407), A( 1421), A( 1435), A( 1449), A( 1463),
 A( 1477), A( 1491), A( 1505), A( 1519), A( 1533), A( 1547), A( 1561), A( 1575),
 A( 1589), A( 1603), A( 1617), A( 1631), A( 1645), A( 1659), A( 1673), A( 1687),
 A( 1701), A( 1715), A( 1729), A( 1743), A( 1757), A( 1771), A( 1785)
},
/*-----------------------   QUANT  8      --------------------*/
{
 A(-2039), A(-2023), A(-2007), A(-1991), A(-1975), A(-1959), A(-1943), A(-1927),
 A(-1911), A(-1895), A(-1879), A(-1863), A(-1847), A(-1831), A(-1815), A(-1799),
 A(-1783), A(-1767), A(-1751), A(-1735), A(-1719), A(-1703), A(-1687), A(-1671),
 A(-1655), A(-1639), A(-1623), A(-1607), A(-1591), A(-1575), A(-1559), A(-1543),
 A(-1527), A(-1511), A(-1495), A(-1479), A(-1463), A(-1447), A(-1431), A(-1415),
 A(-1399), A(-1383), A(-1367), A(-1351), A(-1335), A(-1319), A(-1303), A(-1287),
 A(-1271), A(-1255), A(-1239), A(-1223), A(-1207), A(-1191), A(-1175), A(-1159),
 A(-1143), A(-1127), A(-1111), A(-1095), A(-1079), A(-1063), A(-1047), A(-1031),
 A(-1015), A( -999), A( -983), A( -967), A( -951), A( -935), A( -919), A( -903),
 A( -887), A( -871), A( -855), A( -839), A( -823), A( -807), A( -791), A( -775),
 A( -759), A( -743), A( -727), A( -711), A( -695), A( -679), A( -663), A( -647),
 A( -631), A( -615), A( -599), A( -583), A( -567), A( -551), A( -535), A( -519),
 A( -503), A( -487), A( -471), A( -455), A( -439), A( -423), A( -407), A( -391),
 A( -375), A( -359), A( -343), A( -327), A( -311), A( -295), A( -279), A( -263),
 A( -247), A( -231), A( -215), A( -199), A( -183), A( -167), A( -151), A( -135),
 A( -119), A( -103), A(  -87), A(  -71), A(  -55), A(  -39), A(  -23), A(    0),
 A(   23), A(   39), A(   55), A(   71), A(   87), A(  103), A(  119), A(  135),
 A(  151), A(  167), A(  183), A(  199), A(  215), A(  231), A(  247), A(  263),
 A(  279), A(  295), A(  311), A(  327), A(  343), A(  359), A(  375), A(  391),
 A(  407), A(  423), A(  439), A(  455), A(  471), A(  487), A(  503), A(  519),
 A(  535), A(  551), A(  567), A(  583), A(  599), A(  615), A(  631), A(  647),
 A(  663), A(  679), A(  695), A(  711), A(  727), A(  743), A(  759), A(  775),
 A(  791), A(  807), A(  823), A(  839), A(  855), A(  871), A(  887), A(  903),
 A(  919), A(  935), A(  951), A(  967), A(  983), A(  999), A( 1015), A( 1031),
 A( 1047), A( 1063), A( 1079), A( 1095), A( 1111), A( 1127), A( 1143), A( 1159),
 A( 1175), A( 1191), A( 1207), A( 1223), A( 1239), A( 1255), A( 1271), A( 1287),
 A( 1303), A( 1319), A( 1335), A( 1351), A( 1367), A( 1383), A( 1399), A( 1415),
 A( 1431), A( 1447), A( 1463), A( 1479), A( 1495), A( 1511), A( 1527), A( 1543),
 A( 1559), A( 1575), A( 1591), A( 1607), A( 1623), A( 1639), A( 1655), A( 1671),
 A( 1687), A( 1703), A( 1719), A( 1735), A( 1751), A( 1767), A( 1783), A( 1799),
 A( 1815), A( 1831), A( 1847), A( 1863), A( 1879), A( 1895), A( 1911), A( 1927),
 A( 1943), A( 1959), A( 1975), A( 1991), A( 2007), A( 2023), A( 2039)
},
/*-----------------------   QUANT  9      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2043), A(-2025),
 A(-2007), A(-1989), A(-1971), A(-1953), A(-1935), A(-1917), A(-1899), A(-1881),
 A(-1863), A(-1845), A(-1827), A(-1809), A(-1791), A(-1773), A(-1755), A(-1737),
 A(-1719), A(-1701), A(-1683), A(-1665), A(-1647), A(-1629), A(-1611), A(-1593),
 A(-1575), A(-1557), A(-1539), A(-1521), A(-1503), A(-1485), A(-1467), A(-1449),
 A(-1431), A(-1413), A(-1395), A(-1377), A(-1359), A(-1341), A(-1323), A(-1305),
 A(-1287), A(-1269), A(-1251), A(-1233), A(-1215), A(-1197), A(-1179), A(-1161),
 A(-1143), A(-1125), A(-1107), A(-1089), A(-1071), A(-1053), A(-1035), A(-1017),
 A( -999), A( -981), A( -963), A( -945), A( -927), A( -909), A( -891), A( -873),
 A( -855), A( -837), A( -819), A( -801), A( -783), A( -765), A( -747), A( -729),
 A( -711), A( -693), A( -675), A( -657), A( -639), A( -621), A( -603), A( -585),
 A( -567), A( -549), A( -531), A( -513), A( -495), A( -477), A( -459), A( -441),
 A( -423), A( -405), A( -387), A( -369), A( -351), A( -333), A( -315), A( -297),
 A( -279), A( -261), A( -243), A( -225), A( -207), A( -189), A( -171), A( -153),
 A( -135), A( -117), A(  -99), A(  -81), A(  -63), A(  -45), A(  -27), A(    0),
 A(   27), A(   45), A(   63), A(   81), A(   99), A(  117), A(  135), A(  153),
 A(  171), A(  189), A(  207), A(  225), A(  243), A(  261), A(  279), A(  297),
 A(  315), A(  333), A(  351), A(  369), A(  387), A(  405), A(  423), A(  441),
 A(  459), A(  477), A(  495), A(  513), A(  531), A(  549), A(  567), A(  585),
 A(  603), A(  621), A(  639), A(  657), A(  675), A(  693), A(  711), A(  729),
 A(  747), A(  765), A(  783), A(  801), A(  819), A(  837), A(  855), A(  873),
 A(  891), A(  909), A(  927), A(  945), A(  963), A(  981), A(  999), A( 1017),
 A( 1035), A( 1053), A( 1071), A( 1089), A( 1107), A( 1125), A( 1143), A( 1161),
 A( 1179), A( 1197), A( 1215), A( 1233), A( 1251), A( 1269), A( 1287), A( 1305),
 A( 1323), A( 1341), A( 1359), A( 1377), A( 1395), A( 1413), A( 1431), A( 1449),
 A( 1467), A( 1485), A( 1503), A( 1521), A( 1539), A( 1557), A( 1575), A( 1593),
 A( 1611), A( 1629), A( 1647), A( 1665), A( 1683), A( 1701), A( 1719), A( 1737),
 A( 1755), A( 1773), A( 1791), A( 1809), A( 1827), A( 1845), A( 1863), A( 1881),
 A( 1899), A( 1917), A( 1935), A( 1953), A( 1971), A( 1989), A( 2007), A( 2025),
 A( 2043), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 10      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2029), A(-2009), A(-1989), A(-1969), A(-1949), A(-1929),
 A(-1909), A(-1889), A(-1869), A(-1849), A(-1829), A(-1809), A(-1789), A(-1769),
 A(-1749), A(-1729), A(-1709), A(-1689), A(-1669), A(-1649), A(-1629), A(-1609),
 A(-1589), A(-1569), A(-1549), A(-1529), A(-1509), A(-1489), A(-1469), A(-1449),
 A(-1429), A(-1409), A(-1389), A(-1369), A(-1349), A(-1329), A(-1309), A(-1289),
 A(-1269), A(-1249), A(-1229), A(-1209), A(-1189), A(-1169), A(-1149), A(-1129),
 A(-1109), A(-1089), A(-1069), A(-1049), A(-1029), A(-1009), A( -989), A( -969),
 A( -949), A( -929), A( -909), A( -889), A( -869), A( -849), A( -829), A( -809),
 A( -789), A( -769), A( -749), A( -729), A( -709), A( -689), A( -669), A( -649),
 A( -629), A( -609), A( -589), A( -569), A( -549), A( -529), A( -509), A( -489),
 A( -469), A( -449), A( -429), A( -409), A( -389), A( -369), A( -349), A( -329),
 A( -309), A( -289), A( -269), A( -249), A( -229), A( -209), A( -189), A( -169),
 A( -149), A( -129), A( -109), A(  -89), A(  -69), A(  -49), A(  -29), A(    0),
 A(   29), A(   49), A(   69), A(   89), A(  109), A(  129), A(  149), A(  169),
 A(  189), A(  209), A(  229), A(  249), A(  269), A(  289), A(  309), A(  329),
 A(  349), A(  369), A(  389), A(  409), A(  429), A(  449), A(  469), A(  489),
 A(  509), A(  529), A(  549), A(  569), A(  589), A(  609), A(  629), A(  649),
 A(  669), A(  689), A(  709), A(  729), A(  749), A(  769), A(  789), A(  809),
 A(  829), A(  849), A(  869), A(  889), A(  909), A(  929), A(  949), A(  969),
 A(  989), A( 1009), A( 1029), A( 1049), A( 1069), A( 1089), A( 1109), A( 1129),
 A( 1149), A( 1169), A( 1189), A( 1209), A( 1229), A( 1249), A( 1269), A( 1289),
 A( 1309), A( 1329), A( 1349), A( 1369), A( 1389), A( 1409), A( 1429), A( 1449),
 A( 1469), A( 1489), A( 1509), A( 1529), A( 1549), A( 1569), A( 1589), A( 1609),
 A( 1629), A( 1649), A( 1669), A( 1689), A( 1709), A( 1729), A( 1749), A( 1769),
 A( 1789), A( 1809), A( 1829), A( 1849), A( 1869), A( 1889), A( 1909), A( 1929),
 A( 1949), A( 1969), A( 1989), A( 2009), A( 2029), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 11      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2035), A(-2013), A(-1991), A(-1969), A(-1947),
 A(-1925), A(-1903), A(-1881), A(-1859), A(-1837), A(-1815), A(-1793), A(-1771),
 A(-1749), A(-1727), A(-1705), A(-1683), A(-1661), A(-1639), A(-1617), A(-1595),
 A(-1573), A(-1551), A(-1529), A(-1507), A(-1485), A(-1463), A(-1441), A(-1419),
 A(-1397), A(-1375), A(-1353), A(-1331), A(-1309), A(-1287), A(-1265), A(-1243),
 A(-1221), A(-1199), A(-1177), A(-1155), A(-1133), A(-1111), A(-1089), A(-1067),
 A(-1045), A(-1023), A(-1001), A( -979), A( -957), A( -935), A( -913), A( -891),
 A( -869), A( -847), A( -825), A( -803), A( -781), A( -759), A( -737), A( -715),
 A( -693), A( -671), A( -649), A( -627), A( -605), A( -583), A( -561), A( -539),
 A( -517), A( -495), A( -473), A( -451), A( -429), A( -407), A( -385), A( -363),
 A( -341), A( -319), A( -297), A( -275), A( -253), A( -231), A( -209), A( -187),
 A( -165), A( -143), A( -121), A(  -99), A(  -77), A(  -55), A(  -33), A(    0),
 A(   33), A(   55), A(   77), A(   99), A(  121), A(  143), A(  165), A(  187),
 A(  209), A(  231), A(  253), A(  275), A(  297), A(  319), A(  341), A(  363),
 A(  385), A(  407), A(  429), A(  451), A(  473), A(  495), A(  517), A(  539),
 A(  561), A(  583), A(  605), A(  627), A(  649), A(  671), A(  693), A(  715),
 A(  737), A(  759), A(  781), A(  803), A(  825), A(  847), A(  869), A(  891),
 A(  913), A(  935), A(  957), A(  979), A( 1001), A( 1023), A( 1045), A( 1067),
 A( 1089), A( 1111), A( 1133), A( 1155), A( 1177), A( 1199), A( 1221), A( 1243),
 A( 1265), A( 1287), A( 1309), A( 1331), A( 1353), A( 1375), A( 1397), A( 1419),
 A( 1441), A( 1463), A( 1485), A( 1507), A( 1529), A( 1551), A( 1573), A( 1595),
 A( 1617), A( 1639), A( 1661), A( 1683), A( 1705), A( 1727), A( 1749), A( 1771),
 A( 1793), A( 1815), A( 1837), A( 1859), A( 1881), A( 1903), A( 1925), A( 1947),
 A( 1969), A( 1991), A( 2013), A( 2035), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 12      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2027), A(-2003), A(-1979), A(-1955), A(-1931),
 A(-1907), A(-1883), A(-1859), A(-1835), A(-1811), A(-1787), A(-1763), A(-1739),
 A(-1715), A(-1691), A(-1667), A(-1643), A(-1619), A(-1595), A(-1571), A(-1547),
 A(-1523), A(-1499), A(-1475), A(-1451), A(-1427), A(-1403), A(-1379), A(-1355),
 A(-1331), A(-1307), A(-1283), A(-1259), A(-1235), A(-1211), A(-1187), A(-1163),
 A(-1139), A(-1115), A(-1091), A(-1067), A(-1043), A(-1019), A( -995), A( -971),
 A( -947), A( -923), A( -899), A( -875), A( -851), A( -827), A( -803), A( -779),
 A( -755), A( -731), A( -707), A( -683), A( -659), A( -635), A( -611), A( -587),
 A( -563), A( -539), A( -515), A( -491), A( -467), A( -443), A( -419), A( -395),
 A( -371), A( -347), A( -323), A( -299), A( -275), A( -251), A( -227), A( -203),
 A( -179), A( -155), A( -131), A( -107), A(  -83), A(  -59), A(  -35), A(    0),
 A(   35), A(   59), A(   83), A(  107), A(  131), A(  155), A(  179), A(  203),
 A(  227), A(  251), A(  275), A(  299), A(  323), A(  347), A(  371), A(  395),
 A(  419), A(  443), A(  467), A(  491), A(  515), A(  539), A(  563), A(  587),
 A(  611), A(  635), A(  659), A(  683), A(  707), A(  731), A(  755), A(  779),
 A(  803), A(  827), A(  851), A(  875), A(  899), A(  923), A(  947), A(  971),
 A(  995), A( 1019), A( 1043), A( 1067), A( 1091), A( 1115), A( 1139), A( 1163),
 A( 1187), A( 1211), A( 1235), A( 1259), A( 1283), A( 1307), A( 1331), A( 1355),
 A( 1379), A( 1403), A( 1427), A( 1451), A( 1475), A( 1499), A( 1523), A( 1547),
 A( 1571), A( 1595), A( 1619), A( 1643), A( 1667), A( 1691), A( 1715), A( 1739),
 A( 1763), A( 1787), A( 1811), A( 1835), A( 1859), A( 1883), A( 1907), A( 1931),
 A( 1955), A( 1979), A( 2003), A( 2027), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 13      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2041), A(-2015), A(-1989), A(-1963), A(-1937), A(-1911), A(-1885),
 A(-1859), A(-1833), A(-1807), A(-1781), A(-1755), A(-1729), A(-1703), A(-1677),
 A(-1651), A(-1625), A(-1599), A(-1573), A(-1547), A(-1521), A(-1495), A(-1469),
 A(-1443), A(-1417), A(-1391), A(-1365), A(-1339), A(-1313), A(-1287), A(-1261),
 A(-1235), A(-1209), A(-1183), A(-1157), A(-1131), A(-1105), A(-1079), A(-1053),
 A(-1027), A(-1001), A( -975), A( -949), A( -923), A( -897), A( -871), A( -845),
 A( -819), A( -793), A( -767), A( -741), A( -715), A( -689), A( -663), A( -637),
 A( -611), A( -585), A( -559), A( -533), A( -507), A( -481), A( -455), A( -429),
 A( -403), A( -377), A( -351), A( -325), A( -299), A( -273), A( -247), A( -221),
 A( -195), A( -169), A( -143), A( -117), A(  -91), A(  -65), A(  -39), A(    0),
 A(   39), A(   65), A(   91), A(  117), A(  143), A(  169), A(  195), A(  221),
 A(  247), A(  273), A(  299), A(  325), A(  351), A(  377), A(  403), A(  429),
 A(  455), A(  481), A(  507), A(  533), A(  559), A(  585), A(  611), A(  637),
 A(  663), A(  689), A(  715), A(  741), A(  767), A(  793), A(  819), A(  845),
 A(  871), A(  897), A(  923), A(  949), A(  975), A( 1001), A( 1027), A( 1053),
 A( 1079), A( 1105), A( 1131), A( 1157), A( 1183), A( 1209), A( 1235), A( 1261),
 A( 1287), A( 1313), A( 1339), A( 1365), A( 1391), A( 1417), A( 1443), A( 1469),
 A( 1495), A( 1521), A( 1547), A( 1573), A( 1599), A( 1625), A( 1651), A( 1677),
 A( 1703), A( 1729), A( 1755), A( 1781), A( 1807), A( 1833), A( 1859), A( 1885),
 A( 1911), A( 1937), A( 1963), A( 1989), A( 2015), A( 2041), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 14      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2029),
 A(-2001), A(-1973), A(-1945), A(-1917), A(-1889), A(-1861), A(-1833), A(-1805),
 A(-1777), A(-1749), A(-1721), A(-1693), A(-1665), A(-1637), A(-1609), A(-1581),
 A(-1553), A(-1525), A(-1497), A(-1469), A(-1441), A(-1413), A(-1385), A(-1357),
 A(-1329), A(-1301), A(-1273), A(-1245), A(-1217), A(-1189), A(-1161), A(-1133),
 A(-1105), A(-1077), A(-1049), A(-1021), A( -993), A( -965), A( -937), A( -909),
 A( -881), A( -853), A( -825), A( -797), A( -769), A( -741), A( -713), A( -685),
 A( -657), A( -629), A( -601), A( -573), A( -545), A( -517), A( -489), A( -461),
 A( -433), A( -405), A( -377), A( -349), A( -321), A( -293), A( -265), A( -237),
 A( -209), A( -181), A( -153), A( -125), A(  -97), A(  -69), A(  -41), A(    0),
 A(   41), A(   69), A(   97), A(  125), A(  153), A(  181), A(  209), A(  237),
 A(  265), A(  293), A(  321), A(  349), A(  377), A(  405), A(  433), A(  461),
 A(  489), A(  517), A(  545), A(  573), A(  601), A(  629), A(  657), A(  685),
 A(  713), A(  741), A(  769), A(  797), A(  825), A(  853), A(  881), A(  909),
 A(  937), A(  965), A(  993), A( 1021), A( 1049), A( 1077), A( 1105), A( 1133),
 A( 1161), A( 1189), A( 1217), A( 1245), A( 1273), A( 1301), A( 1329), A( 1357),
 A( 1385), A( 1413), A( 1441), A( 1469), A( 1497), A( 1525), A( 1553), A( 1581),
 A( 1609), A( 1637), A( 1665), A( 1693), A( 1721), A( 1749), A( 1777), A( 1805),
 A( 1833), A( 1861), A( 1889), A( 1917), A( 1945), A( 1973), A( 2001), A( 2029),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 15      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2025), A(-1995), A(-1965), A(-1935),
 A(-1905), A(-1875), A(-1845), A(-1815), A(-1785), A(-1755), A(-1725), A(-1695),
 A(-1665), A(-1635), A(-1605), A(-1575), A(-1545), A(-1515), A(-1485), A(-1455),
 A(-1425), A(-1395), A(-1365), A(-1335), A(-1305), A(-1275), A(-1245), A(-1215),
 A(-1185), A(-1155), A(-1125), A(-1095), A(-1065), A(-1035), A(-1005), A( -975),
 A( -945), A( -915), A( -885), A( -855), A( -825), A( -795), A( -765), A( -735),
 A( -705), A( -675), A( -645), A( -615), A( -585), A( -555), A( -525), A( -495),
 A( -465), A( -435), A( -405), A( -375), A( -345), A( -315), A( -285), A( -255),
 A( -225), A( -195), A( -165), A( -135), A( -105), A(  -75), A(  -45), A(    0),
 A(   45), A(   75), A(  105), A(  135), A(  165), A(  195), A(  225), A(  255),
 A(  285), A(  315), A(  345), A(  375), A(  405), A(  435), A(  465), A(  495),
 A(  525), A(  555), A(  585), A(  615), A(  645), A(  675), A(  705), A(  735),
 A(  765), A(  795), A(  825), A(  855), A(  885), A(  915), A(  945), A(  975),
 A( 1005), A( 1035), A( 1065), A( 1095), A( 1125), A( 1155), A( 1185), A( 1215),
 A( 1245), A( 1275), A( 1305), A( 1335), A( 1365), A( 1395), A( 1425), A( 1455),
 A( 1485), A( 1515), A( 1545), A( 1575), A( 1605), A( 1635), A( 1665), A( 1695),
 A( 1725), A( 1755), A( 1785), A( 1815), A( 1845), A( 1875), A( 1905), A( 1935),
 A( 1965), A( 1995), A( 2025), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 16      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2031), A(-1999), A(-1967), A(-1935), A(-1903), A(-1871), A(-1839), A(-1807),
 A(-1775), A(-1743), A(-1711), A(-1679), A(-1647), A(-1615), A(-1583), A(-1551),
 A(-1519), A(-1487), A(-1455), A(-1423), A(-1391), A(-1359), A(-1327), A(-1295),
 A(-1263), A(-1231), A(-1199), A(-1167), A(-1135), A(-1103), A(-1071), A(-1039),
 A(-1007), A( -975), A( -943), A( -911), A( -879), A( -847), A( -815), A( -783),
 A( -751), A( -719), A( -687), A( -655), A( -623), A( -591), A( -559), A( -527),
 A( -495), A( -463), A( -431), A( -399), A( -367), A( -335), A( -303), A( -271),
 A( -239), A( -207), A( -175), A( -143), A( -111), A(  -79), A(  -47), A(    0),
 A(   47), A(   79), A(  111), A(  143), A(  175), A(  207), A(  239), A(  271),
 A(  303), A(  335), A(  367), A(  399), A(  431), A(  463), A(  495), A(  527),
 A(  559), A(  591), A(  623), A(  655), A(  687), A(  719), A(  751), A(  783),
 A(  815), A(  847), A(  879), A(  911), A(  943), A(  975), A( 1007), A( 1039),
 A( 1071), A( 1103), A( 1135), A( 1167), A( 1199), A( 1231), A( 1263), A( 1295),
 A( 1327), A( 1359), A( 1391), A( 1423), A( 1455), A( 1487), A( 1519), A( 1551),
 A( 1583), A( 1615), A( 1647), A( 1679), A( 1711), A( 1743), A( 1775), A( 1807),
 A( 1839), A( 1871), A( 1903), A( 1935), A( 1967), A( 1999), A( 2031), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 17      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2023), A(-1989), A(-1955), A(-1921),
 A(-1887), A(-1853), A(-1819), A(-1785), A(-1751), A(-1717), A(-1683), A(-1649),
 A(-1615), A(-1581), A(-1547), A(-1513), A(-1479), A(-1445), A(-1411), A(-1377),
 A(-1343), A(-1309), A(-1275), A(-1241), A(-1207), A(-1173), A(-1139), A(-1105),
 A(-1071), A(-1037), A(-1003), A( -969), A( -935), A( -901), A( -867), A( -833),
 A( -799), A( -765), A( -731), A( -697), A( -663), A( -629), A( -595), A( -561),
 A( -527), A( -493), A( -459), A( -425), A( -391), A( -357), A( -323), A( -289),
 A( -255), A( -221), A( -187), A( -153), A( -119), A(  -85), A(  -51), A(    0),
 A(   51), A(   85), A(  119), A(  153), A(  187), A(  221), A(  255), A(  289),
 A(  323), A(  357), A(  391), A(  425), A(  459), A(  493), A(  527), A(  561),
 A(  595), A(  629), A(  663), A(  697), A(  731), A(  765), A(  799), A(  833),
 A(  867), A(  901), A(  935), A(  969), A( 1003), A( 1037), A( 1071), A( 1105),
 A( 1139), A( 1173), A( 1207), A( 1241), A( 1275), A( 1309), A( 1343), A( 1377),
 A( 1411), A( 1445), A( 1479), A( 1513), A( 1547), A( 1581), A( 1615), A( 1649),
 A( 1683), A( 1717), A( 1751), A( 1785), A( 1819), A( 1853), A( 1887), A( 1921),
 A( 1955), A( 1989), A( 2023), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 18      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2033),
 A(-1997), A(-1961), A(-1925), A(-1889), A(-1853), A(-1817), A(-1781), A(-1745),
 A(-1709), A(-1673), A(-1637), A(-1601), A(-1565), A(-1529), A(-1493), A(-1457),
 A(-1421), A(-1385), A(-1349), A(-1313), A(-1277), A(-1241), A(-1205), A(-1169),
 A(-1133), A(-1097), A(-1061), A(-1025), A( -989), A( -953), A( -917), A( -881),
 A( -845), A( -809), A( -773), A( -737), A( -701), A( -665), A( -629), A( -593),
 A( -557), A( -521), A( -485), A( -449), A( -413), A( -377), A( -341), A( -305),
 A( -269), A( -233), A( -197), A( -161), A( -125), A(  -89), A(  -53), A(    0),
 A(   53), A(   89), A(  125), A(  161), A(  197), A(  233), A(  269), A(  305),
 A(  341), A(  377), A(  413), A(  449), A(  485), A(  521), A(  557), A(  593),
 A(  629), A(  665), A(  701), A(  737), A(  773), A(  809), A(  845), A(  881),
 A(  917), A(  953), A(  989), A( 1025), A( 1061), A( 1097), A( 1133), A( 1169),
 A( 1205), A( 1241), A( 1277), A( 1313), A( 1349), A( 1385), A( 1421), A( 1457),
 A( 1493), A( 1529), A( 1565), A( 1601), A( 1637), A( 1673), A( 1709), A( 1745),
 A( 1781), A( 1817), A( 1853), A( 1889), A( 1925), A( 1961), A( 1997), A( 2033),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 19      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2033), A(-1995), A(-1957), A(-1919), A(-1881), A(-1843),
 A(-1805), A(-1767), A(-1729), A(-1691), A(-1653), A(-1615), A(-1577), A(-1539),
 A(-1501), A(-1463), A(-1425), A(-1387), A(-1349), A(-1311), A(-1273), A(-1235),
 A(-1197), A(-1159), A(-1121), A(-1083), A(-1045), A(-1007), A( -969), A( -931),
 A( -893), A( -855), A( -817), A( -779), A( -741), A( -703), A( -665), A( -627),
 A( -589), A( -551), A( -513), A( -475), A( -437), A( -399), A( -361), A( -323),
 A( -285), A( -247), A( -209), A( -171), A( -133), A(  -95), A(  -57), A(    0),
 A(   57), A(   95), A(  133), A(  171), A(  209), A(  247), A(  285), A(  323),
 A(  361), A(  399), A(  437), A(  475), A(  513), A(  551), A(  589), A(  627),
 A(  665), A(  703), A(  741), A(  779), A(  817), A(  855), A(  893), A(  931),
 A(  969), A( 1007), A( 1045), A( 1083), A( 1121), A( 1159), A( 1197), A( 1235),
 A( 1273), A( 1311), A( 1349), A( 1387), A( 1425), A( 1463), A( 1501), A( 1539),
 A( 1577), A( 1615), A( 1653), A( 1691), A( 1729), A( 1767), A( 1805), A( 1843),
 A( 1881), A( 1919), A( 1957), A( 1995), A( 2033), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 20      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2019), A(-1979), A(-1939),
 A(-1899), A(-1859), A(-1819), A(-1779), A(-1739), A(-1699), A(-1659), A(-1619),
 A(-1579), A(-1539), A(-1499), A(-1459), A(-1419), A(-1379), A(-1339), A(-1299),
 A(-1259), A(-1219), A(-1179), A(-1139), A(-1099), A(-1059), A(-1019), A( -979),
 A( -939), A( -899), A( -859), A( -819), A( -779), A( -739), A( -699), A( -659),
 A( -619), A( -579), A( -539), A( -499), A( -459), A( -419), A( -379), A( -339),
 A( -299), A( -259), A( -219), A( -179), A( -139), A(  -99), A(  -59), A(    0),
 A(   59), A(   99), A(  139), A(  179), A(  219), A(  259), A(  299), A(  339),
 A(  379), A(  419), A(  459), A(  499), A(  539), A(  579), A(  619), A(  659),
 A(  699), A(  739), A(  779), A(  819), A(  859), A(  899), A(  939), A(  979),
 A( 1019), A( 1059), A( 1099), A( 1139), A( 1179), A( 1219), A( 1259), A( 1299),
 A( 1339), A( 1379), A( 1419), A( 1459), A( 1499), A( 1539), A( 1579), A( 1619),
 A( 1659), A( 1699), A( 1739), A( 1779), A( 1819), A( 1859), A( 1899), A( 1939),
 A( 1979), A( 2019), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 21      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2037),
 A(-1995), A(-1953), A(-1911), A(-1869), A(-1827), A(-1785), A(-1743), A(-1701),
 A(-1659), A(-1617), A(-1575), A(-1533), A(-1491), A(-1449), A(-1407), A(-1365),
 A(-1323), A(-1281), A(-1239), A(-1197), A(-1155), A(-1113), A(-1071), A(-1029),
 A( -987), A( -945), A( -903), A( -861), A( -819), A( -777), A( -735), A( -693),
 A( -651), A( -609), A( -567), A( -525), A( -483), A( -441), A( -399), A( -357),
 A( -315), A( -273), A( -231), A( -189), A( -147), A( -105), A(  -63), A(    0),
 A(   63), A(  105), A(  147), A(  189), A(  231), A(  273), A(  315), A(  357),
 A(  399), A(  441), A(  483), A(  525), A(  567), A(  609), A(  651), A(  693),
 A(  735), A(  777), A(  819), A(  861), A(  903), A(  945), A(  987), A( 1029),
 A( 1071), A( 1113), A( 1155), A( 1197), A( 1239), A( 1281), A( 1323), A( 1365),
 A( 1407), A( 1449), A( 1491), A( 1533), A( 1575), A( 1617), A( 1659), A( 1701),
 A( 1743), A( 1785), A( 1827), A( 1869), A( 1911), A( 1953), A( 1995), A( 2037),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 22      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2045), A(-2001), A(-1957), A(-1913), A(-1869), A(-1825), A(-1781),
 A(-1737), A(-1693), A(-1649), A(-1605), A(-1561), A(-1517), A(-1473), A(-1429),
 A(-1385), A(-1341), A(-1297), A(-1253), A(-1209), A(-1165), A(-1121), A(-1077),
 A(-1033), A( -989), A( -945), A( -901), A( -857), A( -813), A( -769), A( -725),
 A( -681), A( -637), A( -593), A( -549), A( -505), A( -461), A( -417), A( -373),
 A( -329), A( -285), A( -241), A( -197), A( -153), A( -109), A(  -65), A(    0),
 A(   65), A(  109), A(  153), A(  197), A(  241), A(  285), A(  329), A(  373),
 A(  417), A(  461), A(  505), A(  549), A(  593), A(  637), A(  681), A(  725),
 A(  769), A(  813), A(  857), A(  901), A(  945), A(  989), A( 1033), A( 1077),
 A( 1121), A( 1165), A( 1209), A( 1253), A( 1297), A( 1341), A( 1385), A( 1429),
 A( 1473), A( 1517), A( 1561), A( 1605), A( 1649), A( 1693), A( 1737), A( 1781),
 A( 1825), A( 1869), A( 1913), A( 1957), A( 2001), A( 2045), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 23      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2047), A(-2001), A(-1955), A(-1909), A(-1863),
 A(-1817), A(-1771), A(-1725), A(-1679), A(-1633), A(-1587), A(-1541), A(-1495),
 A(-1449), A(-1403), A(-1357), A(-1311), A(-1265), A(-1219), A(-1173), A(-1127),
 A(-1081), A(-1035), A( -989), A( -943), A( -897), A( -851), A( -805), A( -759),
 A( -713), A( -667), A( -621), A( -575), A( -529), A( -483), A( -437), A( -391),
 A( -345), A( -299), A( -253), A( -207), A( -161), A( -115), A(  -69), A(    0),
 A(   69), A(  115), A(  161), A(  207), A(  253), A(  299), A(  345), A(  391),
 A(  437), A(  483), A(  529), A(  575), A(  621), A(  667), A(  713), A(  759),
 A(  805), A(  851), A(  897), A(  943), A(  989), A( 1035), A( 1081), A( 1127),
 A( 1173), A( 1219), A( 1265), A( 1311), A( 1357), A( 1403), A( 1449), A( 1495),
 A( 1541), A( 1587), A( 1633), A( 1679), A( 1725), A( 1771), A( 1817), A( 1863),
 A( 1909), A( 1955), A( 2001), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 24      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2039), A(-1991), A(-1943),
 A(-1895), A(-1847), A(-1799), A(-1751), A(-1703), A(-1655), A(-1607), A(-1559),
 A(-1511), A(-1463), A(-1415), A(-1367), A(-1319), A(-1271), A(-1223), A(-1175),
 A(-1127), A(-1079), A(-1031), A( -983), A( -935), A( -887), A( -839), A( -791),
 A( -743), A( -695), A( -647), A( -599), A( -551), A( -503), A( -455), A( -407),
 A( -359), A( -311), A( -263), A( -215), A( -167), A( -119), A(  -71), A(    0),
 A(   71), A(  119), A(  167), A(  215), A(  263), A(  311), A(  359), A(  407),
 A(  455), A(  503), A(  551), A(  599), A(  647), A(  695), A(  743), A(  791),
 A(  839), A(  887), A(  935), A(  983), A( 1031), A( 1079), A( 1127), A( 1175),
 A( 1223), A( 1271), A( 1319), A( 1367), A( 1415), A( 1463), A( 1511), A( 1559),
 A( 1607), A( 1655), A( 1703), A( 1751), A( 1799), A( 1847), A( 1895), A( 1943),
 A( 1991), A( 2039), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 25      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2025),
 A(-1975), A(-1925), A(-1875), A(-1825), A(-1775), A(-1725), A(-1675), A(-1625),
 A(-1575), A(-1525), A(-1475), A(-1425), A(-1375), A(-1325), A(-1275), A(-1225),
 A(-1175), A(-1125), A(-1075), A(-1025), A( -975), A( -925), A( -875), A( -825),
 A( -775), A( -725), A( -675), A( -625), A( -575), A( -525), A( -475), A( -425),
 A( -375), A( -325), A( -275), A( -225), A( -175), A( -125), A(  -75), A(    0),
 A(   75), A(  125), A(  175), A(  225), A(  275), A(  325), A(  375), A(  425),
 A(  475), A(  525), A(  575), A(  625), A(  675), A(  725), A(  775), A(  825),
 A(  875), A(  925), A(  975), A( 1025), A( 1075), A( 1125), A( 1175), A( 1225),
 A( 1275), A( 1325), A( 1375), A( 1425), A( 1475), A( 1525), A( 1575), A( 1625),
 A( 1675), A( 1725), A( 1775), A( 1825), A( 1875), A( 1925), A( 1975), A( 2025),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 26      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2001), A(-1949), A(-1897), A(-1845), A(-1793), A(-1741), A(-1689),
 A(-1637), A(-1585), A(-1533), A(-1481), A(-1429), A(-1377), A(-1325), A(-1273),
 A(-1221), A(-1169), A(-1117), A(-1065), A(-1013), A( -961), A( -909), A( -857),
 A( -805), A( -753), A( -701), A( -649), A( -597), A( -545), A( -493), A( -441),
 A( -389), A( -337), A( -285), A( -233), A( -181), A( -129), A(  -77), A(    0),
 A(   77), A(  129), A(  181), A(  233), A(  285), A(  337), A(  389), A(  441),
 A(  493), A(  545), A(  597), A(  649), A(  701), A(  753), A(  805), A(  857),
 A(  909), A(  961), A( 1013), A( 1065), A( 1117), A( 1169), A( 1221), A( 1273),
 A( 1325), A( 1377), A( 1429), A( 1481), A( 1533), A( 1585), A( 1637), A( 1689),
 A( 1741), A( 1793), A( 1845), A( 1897), A( 1949), A( 2001), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 27      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2025), A(-1971), A(-1917), A(-1863), A(-1809), A(-1755),
 A(-1701), A(-1647), A(-1593), A(-1539), A(-1485), A(-1431), A(-1377), A(-1323),
 A(-1269), A(-1215), A(-1161), A(-1107), A(-1053), A( -999), A( -945), A( -891),
 A( -837), A( -783), A( -729), A( -675), A( -621), A( -567), A( -513), A( -459),
 A( -405), A( -351), A( -297), A( -243), A( -189), A( -135), A(  -81), A(    0),
 A(   81), A(  135), A(  189), A(  243), A(  297), A(  351), A(  405), A(  459),
 A(  513), A(  567), A(  621), A(  675), A(  729), A(  783), A(  837), A(  891),
 A(  945), A(  999), A( 1053), A( 1107), A( 1161), A( 1215), A( 1269), A( 1323),
 A( 1377), A( 1431), A( 1485), A( 1539), A( 1593), A( 1647), A( 1701), A( 1755),
 A( 1809), A( 1863), A( 1917), A( 1971), A( 2025), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 28      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2043), A(-1987), A(-1931), A(-1875), A(-1819),
 A(-1763), A(-1707), A(-1651), A(-1595), A(-1539), A(-1483), A(-1427), A(-1371),
 A(-1315), A(-1259), A(-1203), A(-1147), A(-1091), A(-1035), A( -979), A( -923),
 A( -867), A( -811), A( -755), A( -699), A( -643), A( -587), A( -531), A( -475),
 A( -419), A( -363), A( -307), A( -251), A( -195), A( -139), A(  -83), A(    0),
 A(   83), A(  139), A(  195), A(  251), A(  307), A(  363), A(  419), A(  475),
 A(  531), A(  587), A(  643), A(  699), A(  755), A(  811), A(  867), A(  923),
 A(  979), A( 1035), A( 1091), A( 1147), A( 1203), A( 1259), A( 1315), A( 1371),
 A( 1427), A( 1483), A( 1539), A( 1595), A( 1651), A( 1707), A( 1763), A( 1819),
 A( 1875), A( 1931), A( 1987), A( 2043), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 29      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2001), A(-1943), A(-1885),
 A(-1827), A(-1769), A(-1711), A(-1653), A(-1595), A(-1537), A(-1479), A(-1421),
 A(-1363), A(-1305), A(-1247), A(-1189), A(-1131), A(-1073), A(-1015), A( -957),
 A( -899), A( -841), A( -783), A( -725), A( -667), A( -609), A( -551), A( -493),
 A( -435), A( -377), A( -319), A( -261), A( -203), A( -145), A(  -87), A(    0),
 A(   87), A(  145), A(  203), A(  261), A(  319), A(  377), A(  435), A(  493),
 A(  551), A(  609), A(  667), A(  725), A(  783), A(  841), A(  899), A(  957),
 A( 1015), A( 1073), A( 1131), A( 1189), A( 1247), A( 1305), A( 1363), A( 1421),
 A( 1479), A( 1537), A( 1595), A( 1653), A( 1711), A( 1769), A( 1827), A( 1885),
 A( 1943), A( 2001), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 30      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2009), A(-1949),
 A(-1889), A(-1829), A(-1769), A(-1709), A(-1649), A(-1589), A(-1529), A(-1469),
 A(-1409), A(-1349), A(-1289), A(-1229), A(-1169), A(-1109), A(-1049), A( -989),
 A( -929), A( -869), A( -809), A( -749), A( -689), A( -629), A( -569), A( -509),
 A( -449), A( -389), A( -329), A( -269), A( -209), A( -149), A(  -89), A(    0),
 A(   89), A(  149), A(  209), A(  269), A(  329), A(  389), A(  449), A(  509),
 A(  569), A(  629), A(  689), A(  749), A(  809), A(  869), A(  929), A(  989),
 A( 1049), A( 1109), A( 1169), A( 1229), A( 1289), A( 1349), A( 1409), A( 1469),
 A( 1529), A( 1589), A( 1649), A( 1709), A( 1769), A( 1829), A( 1889), A( 1949),
 A( 2009), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
},
/*-----------------------   QUANT 31      --------------------*/
{
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048),
 A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2048), A(-2015),
 A(-1953), A(-1891), A(-1829), A(-1767), A(-1705), A(-1643), A(-1581), A(-1519),
 A(-1457), A(-1395), A(-1333), A(-1271), A(-1209), A(-1147), A(-1085), A(-1023),
 A( -961), A( -899), A( -837), A( -775), A( -713), A( -651), A( -589), A( -527),
 A( -465), A( -403), A( -341), A( -279), A( -217), A( -155), A(  -93), A(    0),
 A(   93), A(  155), A(  217), A(  279), A(  341), A(  403), A(  465), A(  527),
 A(  589), A(  651), A(  713), A(  775), A(  837), A(  899), A(  961), A( 1023),
 A( 1085), A( 1147), A( 1209), A( 1271), A( 1333), A( 1395), A( 1457), A( 1519),
 A( 1581), A( 1643), A( 1705), A( 1767), A( 1829), A( 1891), A( 1953), A( 2015),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047),
 A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047), A( 2047)
}
}
;
/*----------------------------------------------------------*/
int tab_rec2[31][255] = 

/*----------------------- H.261 REC TABLE ---------------------*/
{

/*-----------------------   QUANT  1      --------------------*/
{
 B( -255), B( -253), B( -251), B( -249), B( -247), B( -245), B( -243), B( -241),
 B( -239), B( -237), B( -235), B( -233), B( -231), B( -229), B( -227), B( -225),
 B( -223), B( -221), B( -219), B( -217), B( -215), B( -213), B( -211), B( -209),
 B( -207), B( -205), B( -203), B( -201), B( -199), B( -197), B( -195), B( -193),
 B( -191), B( -189), B( -187), B( -185), B( -183), B( -181), B( -179), B( -177),
 B( -175), B( -173), B( -171), B( -169), B( -167), B( -165), B( -163), B( -161),
 B( -159), B( -157), B( -155), B( -153), B( -151), B( -149), B( -147), B( -145),
 B( -143), B( -141), B( -139), B( -137), B( -135), B( -133), B( -131), B( -129),
 B( -127), B( -125), B( -123), B( -121), B( -119), B( -117), B( -115), B( -113),
 B( -111), B( -109), B( -107), B( -105), B( -103), B( -101), B(  -99), B(  -97),
 B(  -95), B(  -93), B(  -91), B(  -89), B(  -87), B(  -85), B(  -83), B(  -81),
 B(  -79), B(  -77), B(  -75), B(  -73), B(  -71), B(  -69), B(  -67), B(  -65),
 B(  -63), B(  -61), B(  -59), B(  -57), B(  -55), B(  -53), B(  -51), B(  -49),
 B(  -47), B(  -45), B(  -43), B(  -41), B(  -39), B(  -37), B(  -35), B(  -33),
 B(  -31), B(  -29), B(  -27), B(  -25), B(  -23), B(  -21), B(  -19), B(  -17),
 B(  -15), B(  -13), B(  -11), B(   -9), B(   -7), B(   -5), B(   -3), B(    0),
 B(    3), B(    5), B(    7), B(    9), B(   11), B(   13), B(   15), B(   17),
 B(   19), B(   21), B(   23), B(   25), B(   27), B(   29), B(   31), B(   33),
 B(   35), B(   37), B(   39), B(   41), B(   43), B(   45), B(   47), B(   49),
 B(   51), B(   53), B(   55), B(   57), B(   59), B(   61), B(   63), B(   65),
 B(   67), B(   69), B(   71), B(   73), B(   75), B(   77), B(   79), B(   81),
 B(   83), B(   85), B(   87), B(   89), B(   91), B(   93), B(   95), B(   97),
 B(   99), B(  101), B(  103), B(  105), B(  107), B(  109), B(  111), B(  113),
 B(  115), B(  117), B(  119), B(  121), B(  123), B(  125), B(  127), B(  129),
 B(  131), B(  133), B(  135), B(  137), B(  139), B(  141), B(  143), B(  145),
 B(  147), B(  149), B(  151), B(  153), B(  155), B(  157), B(  159), B(  161),
 B(  163), B(  165), B(  167), B(  169), B(  171), B(  173), B(  175), B(  177),
 B(  179), B(  181), B(  183), B(  185), B(  187), B(  189), B(  191), B(  193),
 B(  195), B(  197), B(  199), B(  201), B(  203), B(  205), B(  207), B(  209),
 B(  211), B(  213), B(  215), B(  217), B(  219), B(  221), B(  223), B(  225),
 B(  227), B(  229), B(  231), B(  233), B(  235), B(  237), B(  239), B(  241),
 B(  243), B(  245), B(  247), B(  249), B(  251), B(  253), B(  255)
},
/*-----------------------   QUANT  2      --------------------*/
{
 B( -509), B( -505), B( -501), B( -497), B( -493), B( -489), B( -485), B( -481),
 B( -477), B( -473), B( -469), B( -465), B( -461), B( -457), B( -453), B( -449),
 B( -445), B( -441), B( -437), B( -433), B( -429), B( -425), B( -421), B( -417),
 B( -413), B( -409), B( -405), B( -401), B( -397), B( -393), B( -389), B( -385),
 B( -381), B( -377), B( -373), B( -369), B( -365), B( -361), B( -357), B( -353),
 B( -349), B( -345), B( -341), B( -337), B( -333), B( -329), B( -325), B( -321),
 B( -317), B( -313), B( -309), B( -305), B( -301), B( -297), B( -293), B( -289),
 B( -285), B( -281), B( -277), B( -273), B( -269), B( -265), B( -261), B( -257),
 B( -253), B( -249), B( -245), B( -241), B( -237), B( -233), B( -229), B( -225),
 B( -221), B( -217), B( -213), B( -209), B( -205), B( -201), B( -197), B( -193),
 B( -189), B( -185), B( -181), B( -177), B( -173), B( -169), B( -165), B( -161),
 B( -157), B( -153), B( -149), B( -145), B( -141), B( -137), B( -133), B( -129),
 B( -125), B( -121), B( -117), B( -113), B( -109), B( -105), B( -101), B(  -97),
 B(  -93), B(  -89), B(  -85), B(  -81), B(  -77), B(  -73), B(  -69), B(  -65),
 B(  -61), B(  -57), B(  -53), B(  -49), B(  -45), B(  -41), B(  -37), B(  -33),
 B(  -29), B(  -25), B(  -21), B(  -17), B(  -13), B(   -9), B(   -5), B(    0),
 B(    5), B(    9), B(   13), B(   17), B(   21), B(   25), B(   29), B(   33),
 B(   37), B(   41), B(   45), B(   49), B(   53), B(   57), B(   61), B(   65),
 B(   69), B(   73), B(   77), B(   81), B(   85), B(   89), B(   93), B(   97),
 B(  101), B(  105), B(  109), B(  113), B(  117), B(  121), B(  125), B(  129),
 B(  133), B(  137), B(  141), B(  145), B(  149), B(  153), B(  157), B(  161),
 B(  165), B(  169), B(  173), B(  177), B(  181), B(  185), B(  189), B(  193),
 B(  197), B(  201), B(  205), B(  209), B(  213), B(  217), B(  221), B(  225),
 B(  229), B(  233), B(  237), B(  241), B(  245), B(  249), B(  253), B(  257),
 B(  261), B(  265), B(  269), B(  273), B(  277), B(  281), B(  285), B(  289),
 B(  293), B(  297), B(  301), B(  305), B(  309), B(  313), B(  317), B(  321),
 B(  325), B(  329), B(  333), B(  337), B(  341), B(  345), B(  349), B(  353),
 B(  357), B(  361), B(  365), B(  369), B(  373), B(  377), B(  381), B(  385),
 B(  389), B(  393), B(  397), B(  401), B(  405), B(  409), B(  413), B(  417),
 B(  421), B(  425), B(  429), B(  433), B(  437), B(  441), B(  445), B(  449),
 B(  453), B(  457), B(  461), B(  465), B(  469), B(  473), B(  477), B(  481),
 B(  485), B(  489), B(  493), B(  497), B(  501), B(  505), B(  509)
},
/*-----------------------   QUANT  3      --------------------*/
{
 B( -765), B( -759), B( -753), B( -747), B( -741), B( -735), B( -729), B( -723),
 B( -717), B( -711), B( -705), B( -699), B( -693), B( -687), B( -681), B( -675),
 B( -669), B( -663), B( -657), B( -651), B( -645), B( -639), B( -633), B( -627),
 B( -621), B( -615), B( -609), B( -603), B( -597), B( -591), B( -585), B( -579),
 B( -573), B( -567), B( -561), B( -555), B( -549), B( -543), B( -537), B( -531),
 B( -525), B( -519), B( -513), B( -507), B( -501), B( -495), B( -489), B( -483),
 B( -477), B( -471), B( -465), B( -459), B( -453), B( -447), B( -441), B( -435),
 B( -429), B( -423), B( -417), B( -411), B( -405), B( -399), B( -393), B( -387),
 B( -381), B( -375), B( -369), B( -363), B( -357), B( -351), B( -345), B( -339),
 B( -333), B( -327), B( -321), B( -315), B( -309), B( -303), B( -297), B( -291),
 B( -285), B( -279), B( -273), B( -267), B( -261), B( -255), B( -249), B( -243),
 B( -237), B( -231), B( -225), B( -219), B( -213), B( -207), B( -201), B( -195),
 B( -189), B( -183), B( -177), B( -171), B( -165), B( -159), B( -153), B( -147),
 B( -141), B( -135), B( -129), B( -123), B( -117), B( -111), B( -105), B(  -99),
 B(  -93), B(  -87), B(  -81), B(  -75), B(  -69), B(  -63), B(  -57), B(  -51),
 B(  -45), B(  -39), B(  -33), B(  -27), B(  -21), B(  -15), B(   -9), B(    0),
 B(    9), B(   15), B(   21), B(   27), B(   33), B(   39), B(   45), B(   51),
 B(   57), B(   63), B(   69), B(   75), B(   81), B(   87), B(   93), B(   99),
 B(  105), B(  111), B(  117), B(  123), B(  129), B(  135), B(  141), B(  147),
 B(  153), B(  159), B(  165), B(  171), B(  177), B(  183), B(  189), B(  195),
 B(  201), B(  207), B(  213), B(  219), B(  225), B(  231), B(  237), B(  243),
 B(  249), B(  255), B(  261), B(  267), B(  273), B(  279), B(  285), B(  291),
 B(  297), B(  303), B(  309), B(  315), B(  321), B(  327), B(  333), B(  339),
 B(  345), B(  351), B(  357), B(  363), B(  369), B(  375), B(  381), B(  387),
 B(  393), B(  399), B(  405), B(  411), B(  417), B(  423), B(  429), B(  435),
 B(  441), B(  447), B(  453), B(  459), B(  465), B(  471), B(  477), B(  483),
 B(  489), B(  495), B(  501), B(  507), B(  513), B(  519), B(  525), B(  531),
 B(  537), B(  543), B(  549), B(  555), B(  561), B(  567), B(  573), B(  579),
 B(  585), B(  591), B(  597), B(  603), B(  609), B(  615), B(  621), B(  627),
 B(  633), B(  639), B(  645), B(  651), B(  657), B(  663), B(  669), B(  675),
 B(  681), B(  687), B(  693), B(  699), B(  705), B(  711), B(  717), B(  723),
 B(  729), B(  735), B(  741), B(  747), B(  753), B(  759), B(  765)
},
/*-----------------------   QUANT  4      --------------------*/
{
 B(-1019), B(-1011), B(-1003), B( -995), B( -987), B( -979), B( -971), B( -963),
 B( -955), B( -947), B( -939), B( -931), B( -923), B( -915), B( -907), B( -899),
 B( -891), B( -883), B( -875), B( -867), B( -859), B( -851), B( -843), B( -835),
 B( -827), B( -819), B( -811), B( -803), B( -795), B( -787), B( -779), B( -771),
 B( -763), B( -755), B( -747), B( -739), B( -731), B( -723), B( -715), B( -707),
 B( -699), B( -691), B( -683), B( -675), B( -667), B( -659), B( -651), B( -643),
 B( -635), B( -627), B( -619), B( -611), B( -603), B( -595), B( -587), B( -579),
 B( -571), B( -563), B( -555), B( -547), B( -539), B( -531), B( -523), B( -515),
 B( -507), B( -499), B( -491), B( -483), B( -475), B( -467), B( -459), B( -451),
 B( -443), B( -435), B( -427), B( -419), B( -411), B( -403), B( -395), B( -387),
 B( -379), B( -371), B( -363), B( -355), B( -347), B( -339), B( -331), B( -323),
 B( -315), B( -307), B( -299), B( -291), B( -283), B( -275), B( -267), B( -259),
 B( -251), B( -243), B( -235), B( -227), B( -219), B( -211), B( -203), B( -195),
 B( -187), B( -179), B( -171), B( -163), B( -155), B( -147), B( -139), B( -131),
 B( -123), B( -115), B( -107), B(  -99), B(  -91), B(  -83), B(  -75), B(  -67),
 B(  -59), B(  -51), B(  -43), B(  -35), B(  -27), B(  -19), B(  -11), B(    0),
 B(   11), B(   19), B(   27), B(   35), B(   43), B(   51), B(   59), B(   67),
 B(   75), B(   83), B(   91), B(   99), B(  107), B(  115), B(  123), B(  131),
 B(  139), B(  147), B(  155), B(  163), B(  171), B(  179), B(  187), B(  195),
 B(  203), B(  211), B(  219), B(  227), B(  235), B(  243), B(  251), B(  259),
 B(  267), B(  275), B(  283), B(  291), B(  299), B(  307), B(  315), B(  323),
 B(  331), B(  339), B(  347), B(  355), B(  363), B(  371), B(  379), B(  387),
 B(  395), B(  403), B(  411), B(  419), B(  427), B(  435), B(  443), B(  451),
 B(  459), B(  467), B(  475), B(  483), B(  491), B(  499), B(  507), B(  515),
 B(  523), B(  531), B(  539), B(  547), B(  555), B(  563), B(  571), B(  579),
 B(  587), B(  595), B(  603), B(  611), B(  619), B(  627), B(  635), B(  643),
 B(  651), B(  659), B(  667), B(  675), B(  683), B(  691), B(  699), B(  707),
 B(  715), B(  723), B(  731), B(  739), B(  747), B(  755), B(  763), B(  771),
 B(  779), B(  787), B(  795), B(  803), B(  811), B(  819), B(  827), B(  835),
 B(  843), B(  851), B(  859), B(  867), B(  875), B(  883), B(  891), B(  899),
 B(  907), B(  915), B(  923), B(  931), B(  939), B(  947), B(  955), B(  963),
 B(  971), B(  979), B(  987), B(  995), B( 1003), B( 1011), B( 1019)
},
/*-----------------------   QUANT  5      --------------------*/
{
 B(-1275), B(-1265), B(-1255), B(-1245), B(-1235), B(-1225), B(-1215), B(-1205),
 B(-1195), B(-1185), B(-1175), B(-1165), B(-1155), B(-1145), B(-1135), B(-1125),
 B(-1115), B(-1105), B(-1095), B(-1085), B(-1075), B(-1065), B(-1055), B(-1045),
 B(-1035), B(-1025), B(-1015), B(-1005), B( -995), B( -985), B( -975), B( -965),
 B( -955), B( -945), B( -935), B( -925), B( -915), B( -905), B( -895), B( -885),
 B( -875), B( -865), B( -855), B( -845), B( -835), B( -825), B( -815), B( -805),
 B( -795), B( -785), B( -775), B( -765), B( -755), B( -745), B( -735), B( -725),
 B( -715), B( -705), B( -695), B( -685), B( -675), B( -665), B( -655), B( -645),
 B( -635), B( -625), B( -615), B( -605), B( -595), B( -585), B( -575), B( -565),
 B( -555), B( -545), B( -535), B( -525), B( -515), B( -505), B( -495), B( -485),
 B( -475), B( -465), B( -455), B( -445), B( -435), B( -425), B( -415), B( -405),
 B( -395), B( -385), B( -375), B( -365), B( -355), B( -345), B( -335), B( -325),
 B( -315), B( -305), B( -295), B( -285), B( -275), B( -265), B( -255), B( -245),
 B( -235), B( -225), B( -215), B( -205), B( -195), B( -185), B( -175), B( -165),
 B( -155), B( -145), B( -135), B( -125), B( -115), B( -105), B(  -95), B(  -85),
 B(  -75), B(  -65), B(  -55), B(  -45), B(  -35), B(  -25), B(  -15), B(    0),
 B(   15), B(   25), B(   35), B(   45), B(   55), B(   65), B(   75), B(   85),
 B(   95), B(  105), B(  115), B(  125), B(  135), B(  145), B(  155), B(  165),
 B(  175), B(  185), B(  195), B(  205), B(  215), B(  225), B(  235), B(  245),
 B(  255), B(  265), B(  275), B(  285), B(  295), B(  305), B(  315), B(  325),
 B(  335), B(  345), B(  355), B(  365), B(  375), B(  385), B(  395), B(  405),
 B(  415), B(  425), B(  435), B(  445), B(  455), B(  465), B(  475), B(  485),
 B(  495), B(  505), B(  515), B(  525), B(  535), B(  545), B(  555), B(  565),
 B(  575), B(  585), B(  595), B(  605), B(  615), B(  625), B(  635), B(  645),
 B(  655), B(  665), B(  675), B(  685), B(  695), B(  705), B(  715), B(  725),
 B(  735), B(  745), B(  755), B(  765), B(  775), B(  785), B(  795), B(  805),
 B(  815), B(  825), B(  835), B(  845), B(  855), B(  865), B(  875), B(  885),
 B(  895), B(  905), B(  915), B(  925), B(  935), B(  945), B(  955), B(  965),
 B(  975), B(  985), B(  995), B( 1005), B( 1015), B( 1025), B( 1035), B( 1045),
 B( 1055), B( 1065), B( 1075), B( 1085), B( 1095), B( 1105), B( 1115), B( 1125),
 B( 1135), B( 1145), B( 1155), B( 1165), B( 1175), B( 1185), B( 1195), B( 1205),
 B( 1215), B( 1225), B( 1235), B( 1245), B( 1255), B( 1265), B( 1275)
},
/*-----------------------   QUANT  6      --------------------*/
{
 B(-1529), B(-1517), B(-1505), B(-1493), B(-1481), B(-1469), B(-1457), B(-1445),
 B(-1433), B(-1421), B(-1409), B(-1397), B(-1385), B(-1373), B(-1361), B(-1349),
 B(-1337), B(-1325), B(-1313), B(-1301), B(-1289), B(-1277), B(-1265), B(-1253),
 B(-1241), B(-1229), B(-1217), B(-1205), B(-1193), B(-1181), B(-1169), B(-1157),
 B(-1145), B(-1133), B(-1121), B(-1109), B(-1097), B(-1085), B(-1073), B(-1061),
 B(-1049), B(-1037), B(-1025), B(-1013), B(-1001), B( -989), B( -977), B( -965),
 B( -953), B( -941), B( -929), B( -917), B( -905), B( -893), B( -881), B( -869),
 B( -857), B( -845), B( -833), B( -821), B( -809), B( -797), B( -785), B( -773),
 B( -761), B( -749), B( -737), B( -725), B( -713), B( -701), B( -689), B( -677),
 B( -665), B( -653), B( -641), B( -629), B( -617), B( -605), B( -593), B( -581),
 B( -569), B( -557), B( -545), B( -533), B( -521), B( -509), B( -497), B( -485),
 B( -473), B( -461), B( -449), B( -437), B( -425), B( -413), B( -401), B( -389),
 B( -377), B( -365), B( -353), B( -341), B( -329), B( -317), B( -305), B( -293),
 B( -281), B( -269), B( -257), B( -245), B( -233), B( -221), B( -209), B( -197),
 B( -185), B( -173), B( -161), B( -149), B( -137), B( -125), B( -113), B( -101),
 B(  -89), B(  -77), B(  -65), B(  -53), B(  -41), B(  -29), B(  -17), B(    0),
 B(   17), B(   29), B(   41), B(   53), B(   65), B(   77), B(   89), B(  101),
 B(  113), B(  125), B(  137), B(  149), B(  161), B(  173), B(  185), B(  197),
 B(  209), B(  221), B(  233), B(  245), B(  257), B(  269), B(  281), B(  293),
 B(  305), B(  317), B(  329), B(  341), B(  353), B(  365), B(  377), B(  389),
 B(  401), B(  413), B(  425), B(  437), B(  449), B(  461), B(  473), B(  485),
 B(  497), B(  509), B(  521), B(  533), B(  545), B(  557), B(  569), B(  581),
 B(  593), B(  605), B(  617), B(  629), B(  641), B(  653), B(  665), B(  677),
 B(  689), B(  701), B(  713), B(  725), B(  737), B(  749), B(  761), B(  773),
 B(  785), B(  797), B(  809), B(  821), B(  833), B(  845), B(  857), B(  869),
 B(  881), B(  893), B(  905), B(  917), B(  929), B(  941), B(  953), B(  965),
 B(  977), B(  989), B( 1001), B( 1013), B( 1025), B( 1037), B( 1049), B( 1061),
 B( 1073), B( 1085), B( 1097), B( 1109), B( 1121), B( 1133), B( 1145), B( 1157),
 B( 1169), B( 1181), B( 1193), B( 1205), B( 1217), B( 1229), B( 1241), B( 1253),
 B( 1265), B( 1277), B( 1289), B( 1301), B( 1313), B( 1325), B( 1337), B( 1349),
 B( 1361), B( 1373), B( 1385), B( 1397), B( 1409), B( 1421), B( 1433), B( 1445),
 B( 1457), B( 1469), B( 1481), B( 1493), B( 1505), B( 1517), B( 1529)
},
/*-----------------------   QUANT  7      --------------------*/
{
 B(-1785), B(-1771), B(-1757), B(-1743), B(-1729), B(-1715), B(-1701), B(-1687),
 B(-1673), B(-1659), B(-1645), B(-1631), B(-1617), B(-1603), B(-1589), B(-1575),
 B(-1561), B(-1547), B(-1533), B(-1519), B(-1505), B(-1491), B(-1477), B(-1463),
 B(-1449), B(-1435), B(-1421), B(-1407), B(-1393), B(-1379), B(-1365), B(-1351),
 B(-1337), B(-1323), B(-1309), B(-1295), B(-1281), B(-1267), B(-1253), B(-1239),
 B(-1225), B(-1211), B(-1197), B(-1183), B(-1169), B(-1155), B(-1141), B(-1127),
 B(-1113), B(-1099), B(-1085), B(-1071), B(-1057), B(-1043), B(-1029), B(-1015),
 B(-1001), B( -987), B( -973), B( -959), B( -945), B( -931), B( -917), B( -903),
 B( -889), B( -875), B( -861), B( -847), B( -833), B( -819), B( -805), B( -791),
 B( -777), B( -763), B( -749), B( -735), B( -721), B( -707), B( -693), B( -679),
 B( -665), B( -651), B( -637), B( -623), B( -609), B( -595), B( -581), B( -567),
 B( -553), B( -539), B( -525), B( -511), B( -497), B( -483), B( -469), B( -455),
 B( -441), B( -427), B( -413), B( -399), B( -385), B( -371), B( -357), B( -343),
 B( -329), B( -315), B( -301), B( -287), B( -273), B( -259), B( -245), B( -231),
 B( -217), B( -203), B( -189), B( -175), B( -161), B( -147), B( -133), B( -119),
 B( -105), B(  -91), B(  -77), B(  -63), B(  -49), B(  -35), B(  -21), B(    0),
 B(   21), B(   35), B(   49), B(   63), B(   77), B(   91), B(  105), B(  119),
 B(  133), B(  147), B(  161), B(  175), B(  189), B(  203), B(  217), B(  231),
 B(  245), B(  259), B(  273), B(  287), B(  301), B(  315), B(  329), B(  343),
 B(  357), B(  371), B(  385), B(  399), B(  413), B(  427), B(  441), B(  455),
 B(  469), B(  483), B(  497), B(  511), B(  525), B(  539), B(  553), B(  567),
 B(  581), B(  595), B(  609), B(  623), B(  637), B(  651), B(  665), B(  679),
 B(  693), B(  707), B(  721), B(  735), B(  749), B(  763), B(  777), B(  791),
 B(  805), B(  819), B(  833), B(  847), B(  861), B(  875), B(  889), B(  903),
 B(  917), B(  931), B(  945), B(  959), B(  973), B(  987), B( 1001), B( 1015),
 B( 1029), B( 1043), B( 1057), B( 1071), B( 1085), B( 1099), B( 1113), B( 1127),
 B( 1141), B( 1155), B( 1169), B( 1183), B( 1197), B( 1211), B( 1225), B( 1239),
 B( 1253), B( 1267), B( 1281), B( 1295), B( 1309), B( 1323), B( 1337), B( 1351),
 B( 1365), B( 1379), B( 1393), B( 1407), B( 1421), B( 1435), B( 1449), B( 1463),
 B( 1477), B( 1491), B( 1505), B( 1519), B( 1533), B( 1547), B( 1561), B( 1575),
 B( 1589), B( 1603), B( 1617), B( 1631), B( 1645), B( 1659), B( 1673), B( 1687),
 B( 1701), B( 1715), B( 1729), B( 1743), B( 1757), B( 1771), B( 1785)
},
/*-----------------------   QUANT  8      --------------------*/
{
 B(-2039), B(-2023), B(-2007), B(-1991), B(-1975), B(-1959), B(-1943), B(-1927),
 B(-1911), B(-1895), B(-1879), B(-1863), B(-1847), B(-1831), B(-1815), B(-1799),
 B(-1783), B(-1767), B(-1751), B(-1735), B(-1719), B(-1703), B(-1687), B(-1671),
 B(-1655), B(-1639), B(-1623), B(-1607), B(-1591), B(-1575), B(-1559), B(-1543),
 B(-1527), B(-1511), B(-1495), B(-1479), B(-1463), B(-1447), B(-1431), B(-1415),
 B(-1399), B(-1383), B(-1367), B(-1351), B(-1335), B(-1319), B(-1303), B(-1287),
 B(-1271), B(-1255), B(-1239), B(-1223), B(-1207), B(-1191), B(-1175), B(-1159),
 B(-1143), B(-1127), B(-1111), B(-1095), B(-1079), B(-1063), B(-1047), B(-1031),
 B(-1015), B( -999), B( -983), B( -967), B( -951), B( -935), B( -919), B( -903),
 B( -887), B( -871), B( -855), B( -839), B( -823), B( -807), B( -791), B( -775),
 B( -759), B( -743), B( -727), B( -711), B( -695), B( -679), B( -663), B( -647),
 B( -631), B( -615), B( -599), B( -583), B( -567), B( -551), B( -535), B( -519),
 B( -503), B( -487), B( -471), B( -455), B( -439), B( -423), B( -407), B( -391),
 B( -375), B( -359), B( -343), B( -327), B( -311), B( -295), B( -279), B( -263),
 B( -247), B( -231), B( -215), B( -199), B( -183), B( -167), B( -151), B( -135),
 B( -119), B( -103), B(  -87), B(  -71), B(  -55), B(  -39), B(  -23), B(    0),
 B(   23), B(   39), B(   55), B(   71), B(   87), B(  103), B(  119), B(  135),
 B(  151), B(  167), B(  183), B(  199), B(  215), B(  231), B(  247), B(  263),
 B(  279), B(  295), B(  311), B(  327), B(  343), B(  359), B(  375), B(  391),
 B(  407), B(  423), B(  439), B(  455), B(  471), B(  487), B(  503), B(  519),
 B(  535), B(  551), B(  567), B(  583), B(  599), B(  615), B(  631), B(  647),
 B(  663), B(  679), B(  695), B(  711), B(  727), B(  743), B(  759), B(  775),
 B(  791), B(  807), B(  823), B(  839), B(  855), B(  871), B(  887), B(  903),
 B(  919), B(  935), B(  951), B(  967), B(  983), B(  999), B( 1015), B( 1031),
 B( 1047), B( 1063), B( 1079), B( 1095), B( 1111), B( 1127), B( 1143), B( 1159),
 B( 1175), B( 1191), B( 1207), B( 1223), B( 1239), B( 1255), B( 1271), B( 1287),
 B( 1303), B( 1319), B( 1335), B( 1351), B( 1367), B( 1383), B( 1399), B( 1415),
 B( 1431), B( 1447), B( 1463), B( 1479), B( 1495), B( 1511), B( 1527), B( 1543),
 B( 1559), B( 1575), B( 1591), B( 1607), B( 1623), B( 1639), B( 1655), B( 1671),
 B( 1687), B( 1703), B( 1719), B( 1735), B( 1751), B( 1767), B( 1783), B( 1799),
 B( 1815), B( 1831), B( 1847), B( 1863), B( 1879), B( 1895), B( 1911), B( 1927),
 B( 1943), B( 1959), B( 1975), B( 1991), B( 2007), B( 2023), B( 2039)
},
/*-----------------------   QUANT  9      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2043), B(-2025),
 B(-2007), B(-1989), B(-1971), B(-1953), B(-1935), B(-1917), B(-1899), B(-1881),
 B(-1863), B(-1845), B(-1827), B(-1809), B(-1791), B(-1773), B(-1755), B(-1737),
 B(-1719), B(-1701), B(-1683), B(-1665), B(-1647), B(-1629), B(-1611), B(-1593),
 B(-1575), B(-1557), B(-1539), B(-1521), B(-1503), B(-1485), B(-1467), B(-1449),
 B(-1431), B(-1413), B(-1395), B(-1377), B(-1359), B(-1341), B(-1323), B(-1305),
 B(-1287), B(-1269), B(-1251), B(-1233), B(-1215), B(-1197), B(-1179), B(-1161),
 B(-1143), B(-1125), B(-1107), B(-1089), B(-1071), B(-1053), B(-1035), B(-1017),
 B( -999), B( -981), B( -963), B( -945), B( -927), B( -909), B( -891), B( -873),
 B( -855), B( -837), B( -819), B( -801), B( -783), B( -765), B( -747), B( -729),
 B( -711), B( -693), B( -675), B( -657), B( -639), B( -621), B( -603), B( -585),
 B( -567), B( -549), B( -531), B( -513), B( -495), B( -477), B( -459), B( -441),
 B( -423), B( -405), B( -387), B( -369), B( -351), B( -333), B( -315), B( -297),
 B( -279), B( -261), B( -243), B( -225), B( -207), B( -189), B( -171), B( -153),
 B( -135), B( -117), B(  -99), B(  -81), B(  -63), B(  -45), B(  -27), B(    0),
 B(   27), B(   45), B(   63), B(   81), B(   99), B(  117), B(  135), B(  153),
 B(  171), B(  189), B(  207), B(  225), B(  243), B(  261), B(  279), B(  297),
 B(  315), B(  333), B(  351), B(  369), B(  387), B(  405), B(  423), B(  441),
 B(  459), B(  477), B(  495), B(  513), B(  531), B(  549), B(  567), B(  585),
 B(  603), B(  621), B(  639), B(  657), B(  675), B(  693), B(  711), B(  729),
 B(  747), B(  765), B(  783), B(  801), B(  819), B(  837), B(  855), B(  873),
 B(  891), B(  909), B(  927), B(  945), B(  963), B(  981), B(  999), B( 1017),
 B( 1035), B( 1053), B( 1071), B( 1089), B( 1107), B( 1125), B( 1143), B( 1161),
 B( 1179), B( 1197), B( 1215), B( 1233), B( 1251), B( 1269), B( 1287), B( 1305),
 B( 1323), B( 1341), B( 1359), B( 1377), B( 1395), B( 1413), B( 1431), B( 1449),
 B( 1467), B( 1485), B( 1503), B( 1521), B( 1539), B( 1557), B( 1575), B( 1593),
 B( 1611), B( 1629), B( 1647), B( 1665), B( 1683), B( 1701), B( 1719), B( 1737),
 B( 1755), B( 1773), B( 1791), B( 1809), B( 1827), B( 1845), B( 1863), B( 1881),
 B( 1899), B( 1917), B( 1935), B( 1953), B( 1971), B( 1989), B( 2007), B( 2025),
 B( 2043), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 10      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2029), B(-2009), B(-1989), B(-1969), B(-1949), B(-1929),
 B(-1909), B(-1889), B(-1869), B(-1849), B(-1829), B(-1809), B(-1789), B(-1769),
 B(-1749), B(-1729), B(-1709), B(-1689), B(-1669), B(-1649), B(-1629), B(-1609),
 B(-1589), B(-1569), B(-1549), B(-1529), B(-1509), B(-1489), B(-1469), B(-1449),
 B(-1429), B(-1409), B(-1389), B(-1369), B(-1349), B(-1329), B(-1309), B(-1289),
 B(-1269), B(-1249), B(-1229), B(-1209), B(-1189), B(-1169), B(-1149), B(-1129),
 B(-1109), B(-1089), B(-1069), B(-1049), B(-1029), B(-1009), B( -989), B( -969),
 B( -949), B( -929), B( -909), B( -889), B( -869), B( -849), B( -829), B( -809),
 B( -789), B( -769), B( -749), B( -729), B( -709), B( -689), B( -669), B( -649),
 B( -629), B( -609), B( -589), B( -569), B( -549), B( -529), B( -509), B( -489),
 B( -469), B( -449), B( -429), B( -409), B( -389), B( -369), B( -349), B( -329),
 B( -309), B( -289), B( -269), B( -249), B( -229), B( -209), B( -189), B( -169),
 B( -149), B( -129), B( -109), B(  -89), B(  -69), B(  -49), B(  -29), B(    0),
 B(   29), B(   49), B(   69), B(   89), B(  109), B(  129), B(  149), B(  169),
 B(  189), B(  209), B(  229), B(  249), B(  269), B(  289), B(  309), B(  329),
 B(  349), B(  369), B(  389), B(  409), B(  429), B(  449), B(  469), B(  489),
 B(  509), B(  529), B(  549), B(  569), B(  589), B(  609), B(  629), B(  649),
 B(  669), B(  689), B(  709), B(  729), B(  749), B(  769), B(  789), B(  809),
 B(  829), B(  849), B(  869), B(  889), B(  909), B(  929), B(  949), B(  969),
 B(  989), B( 1009), B( 1029), B( 1049), B( 1069), B( 1089), B( 1109), B( 1129),
 B( 1149), B( 1169), B( 1189), B( 1209), B( 1229), B( 1249), B( 1269), B( 1289),
 B( 1309), B( 1329), B( 1349), B( 1369), B( 1389), B( 1409), B( 1429), B( 1449),
 B( 1469), B( 1489), B( 1509), B( 1529), B( 1549), B( 1569), B( 1589), B( 1609),
 B( 1629), B( 1649), B( 1669), B( 1689), B( 1709), B( 1729), B( 1749), B( 1769),
 B( 1789), B( 1809), B( 1829), B( 1849), B( 1869), B( 1889), B( 1909), B( 1929),
 B( 1949), B( 1969), B( 1989), B( 2009), B( 2029), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 11      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2035), B(-2013), B(-1991), B(-1969), B(-1947),
 B(-1925), B(-1903), B(-1881), B(-1859), B(-1837), B(-1815), B(-1793), B(-1771),
 B(-1749), B(-1727), B(-1705), B(-1683), B(-1661), B(-1639), B(-1617), B(-1595),
 B(-1573), B(-1551), B(-1529), B(-1507), B(-1485), B(-1463), B(-1441), B(-1419),
 B(-1397), B(-1375), B(-1353), B(-1331), B(-1309), B(-1287), B(-1265), B(-1243),
 B(-1221), B(-1199), B(-1177), B(-1155), B(-1133), B(-1111), B(-1089), B(-1067),
 B(-1045), B(-1023), B(-1001), B( -979), B( -957), B( -935), B( -913), B( -891),
 B( -869), B( -847), B( -825), B( -803), B( -781), B( -759), B( -737), B( -715),
 B( -693), B( -671), B( -649), B( -627), B( -605), B( -583), B( -561), B( -539),
 B( -517), B( -495), B( -473), B( -451), B( -429), B( -407), B( -385), B( -363),
 B( -341), B( -319), B( -297), B( -275), B( -253), B( -231), B( -209), B( -187),
 B( -165), B( -143), B( -121), B(  -99), B(  -77), B(  -55), B(  -33), B(    0),
 B(   33), B(   55), B(   77), B(   99), B(  121), B(  143), B(  165), B(  187),
 B(  209), B(  231), B(  253), B(  275), B(  297), B(  319), B(  341), B(  363),
 B(  385), B(  407), B(  429), B(  451), B(  473), B(  495), B(  517), B(  539),
 B(  561), B(  583), B(  605), B(  627), B(  649), B(  671), B(  693), B(  715),
 B(  737), B(  759), B(  781), B(  803), B(  825), B(  847), B(  869), B(  891),
 B(  913), B(  935), B(  957), B(  979), B( 1001), B( 1023), B( 1045), B( 1067),
 B( 1089), B( 1111), B( 1133), B( 1155), B( 1177), B( 1199), B( 1221), B( 1243),
 B( 1265), B( 1287), B( 1309), B( 1331), B( 1353), B( 1375), B( 1397), B( 1419),
 B( 1441), B( 1463), B( 1485), B( 1507), B( 1529), B( 1551), B( 1573), B( 1595),
 B( 1617), B( 1639), B( 1661), B( 1683), B( 1705), B( 1727), B( 1749), B( 1771),
 B( 1793), B( 1815), B( 1837), B( 1859), B( 1881), B( 1903), B( 1925), B( 1947),
 B( 1969), B( 1991), B( 2013), B( 2035), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 12      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2027), B(-2003), B(-1979), B(-1955), B(-1931),
 B(-1907), B(-1883), B(-1859), B(-1835), B(-1811), B(-1787), B(-1763), B(-1739),
 B(-1715), B(-1691), B(-1667), B(-1643), B(-1619), B(-1595), B(-1571), B(-1547),
 B(-1523), B(-1499), B(-1475), B(-1451), B(-1427), B(-1403), B(-1379), B(-1355),
 B(-1331), B(-1307), B(-1283), B(-1259), B(-1235), B(-1211), B(-1187), B(-1163),
 B(-1139), B(-1115), B(-1091), B(-1067), B(-1043), B(-1019), B( -995), B( -971),
 B( -947), B( -923), B( -899), B( -875), B( -851), B( -827), B( -803), B( -779),
 B( -755), B( -731), B( -707), B( -683), B( -659), B( -635), B( -611), B( -587),
 B( -563), B( -539), B( -515), B( -491), B( -467), B( -443), B( -419), B( -395),
 B( -371), B( -347), B( -323), B( -299), B( -275), B( -251), B( -227), B( -203),
 B( -179), B( -155), B( -131), B( -107), B(  -83), B(  -59), B(  -35), B(    0),
 B(   35), B(   59), B(   83), B(  107), B(  131), B(  155), B(  179), B(  203),
 B(  227), B(  251), B(  275), B(  299), B(  323), B(  347), B(  371), B(  395),
 B(  419), B(  443), B(  467), B(  491), B(  515), B(  539), B(  563), B(  587),
 B(  611), B(  635), B(  659), B(  683), B(  707), B(  731), B(  755), B(  779),
 B(  803), B(  827), B(  851), B(  875), B(  899), B(  923), B(  947), B(  971),
 B(  995), B( 1019), B( 1043), B( 1067), B( 1091), B( 1115), B( 1139), B( 1163),
 B( 1187), B( 1211), B( 1235), B( 1259), B( 1283), B( 1307), B( 1331), B( 1355),
 B( 1379), B( 1403), B( 1427), B( 1451), B( 1475), B( 1499), B( 1523), B( 1547),
 B( 1571), B( 1595), B( 1619), B( 1643), B( 1667), B( 1691), B( 1715), B( 1739),
 B( 1763), B( 1787), B( 1811), B( 1835), B( 1859), B( 1883), B( 1907), B( 1931),
 B( 1955), B( 1979), B( 2003), B( 2027), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 13      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2041), B(-2015), B(-1989), B(-1963), B(-1937), B(-1911), B(-1885),
 B(-1859), B(-1833), B(-1807), B(-1781), B(-1755), B(-1729), B(-1703), B(-1677),
 B(-1651), B(-1625), B(-1599), B(-1573), B(-1547), B(-1521), B(-1495), B(-1469),
 B(-1443), B(-1417), B(-1391), B(-1365), B(-1339), B(-1313), B(-1287), B(-1261),
 B(-1235), B(-1209), B(-1183), B(-1157), B(-1131), B(-1105), B(-1079), B(-1053),
 B(-1027), B(-1001), B( -975), B( -949), B( -923), B( -897), B( -871), B( -845),
 B( -819), B( -793), B( -767), B( -741), B( -715), B( -689), B( -663), B( -637),
 B( -611), B( -585), B( -559), B( -533), B( -507), B( -481), B( -455), B( -429),
 B( -403), B( -377), B( -351), B( -325), B( -299), B( -273), B( -247), B( -221),
 B( -195), B( -169), B( -143), B( -117), B(  -91), B(  -65), B(  -39), B(    0),
 B(   39), B(   65), B(   91), B(  117), B(  143), B(  169), B(  195), B(  221),
 B(  247), B(  273), B(  299), B(  325), B(  351), B(  377), B(  403), B(  429),
 B(  455), B(  481), B(  507), B(  533), B(  559), B(  585), B(  611), B(  637),
 B(  663), B(  689), B(  715), B(  741), B(  767), B(  793), B(  819), B(  845),
 B(  871), B(  897), B(  923), B(  949), B(  975), B( 1001), B( 1027), B( 1053),
 B( 1079), B( 1105), B( 1131), B( 1157), B( 1183), B( 1209), B( 1235), B( 1261),
 B( 1287), B( 1313), B( 1339), B( 1365), B( 1391), B( 1417), B( 1443), B( 1469),
 B( 1495), B( 1521), B( 1547), B( 1573), B( 1599), B( 1625), B( 1651), B( 1677),
 B( 1703), B( 1729), B( 1755), B( 1781), B( 1807), B( 1833), B( 1859), B( 1885),
 B( 1911), B( 1937), B( 1963), B( 1989), B( 2015), B( 2041), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 14      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2029),
 B(-2001), B(-1973), B(-1945), B(-1917), B(-1889), B(-1861), B(-1833), B(-1805),
 B(-1777), B(-1749), B(-1721), B(-1693), B(-1665), B(-1637), B(-1609), B(-1581),
 B(-1553), B(-1525), B(-1497), B(-1469), B(-1441), B(-1413), B(-1385), B(-1357),
 B(-1329), B(-1301), B(-1273), B(-1245), B(-1217), B(-1189), B(-1161), B(-1133),
 B(-1105), B(-1077), B(-1049), B(-1021), B( -993), B( -965), B( -937), B( -909),
 B( -881), B( -853), B( -825), B( -797), B( -769), B( -741), B( -713), B( -685),
 B( -657), B( -629), B( -601), B( -573), B( -545), B( -517), B( -489), B( -461),
 B( -433), B( -405), B( -377), B( -349), B( -321), B( -293), B( -265), B( -237),
 B( -209), B( -181), B( -153), B( -125), B(  -97), B(  -69), B(  -41), B(    0),
 B(   41), B(   69), B(   97), B(  125), B(  153), B(  181), B(  209), B(  237),
 B(  265), B(  293), B(  321), B(  349), B(  377), B(  405), B(  433), B(  461),
 B(  489), B(  517), B(  545), B(  573), B(  601), B(  629), B(  657), B(  685),
 B(  713), B(  741), B(  769), B(  797), B(  825), B(  853), B(  881), B(  909),
 B(  937), B(  965), B(  993), B( 1021), B( 1049), B( 1077), B( 1105), B( 1133),
 B( 1161), B( 1189), B( 1217), B( 1245), B( 1273), B( 1301), B( 1329), B( 1357),
 B( 1385), B( 1413), B( 1441), B( 1469), B( 1497), B( 1525), B( 1553), B( 1581),
 B( 1609), B( 1637), B( 1665), B( 1693), B( 1721), B( 1749), B( 1777), B( 1805),
 B( 1833), B( 1861), B( 1889), B( 1917), B( 1945), B( 1973), B( 2001), B( 2029),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 15      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2025), B(-1995), B(-1965), B(-1935),
 B(-1905), B(-1875), B(-1845), B(-1815), B(-1785), B(-1755), B(-1725), B(-1695),
 B(-1665), B(-1635), B(-1605), B(-1575), B(-1545), B(-1515), B(-1485), B(-1455),
 B(-1425), B(-1395), B(-1365), B(-1335), B(-1305), B(-1275), B(-1245), B(-1215),
 B(-1185), B(-1155), B(-1125), B(-1095), B(-1065), B(-1035), B(-1005), B( -975),
 B( -945), B( -915), B( -885), B( -855), B( -825), B( -795), B( -765), B( -735),
 B( -705), B( -675), B( -645), B( -615), B( -585), B( -555), B( -525), B( -495),
 B( -465), B( -435), B( -405), B( -375), B( -345), B( -315), B( -285), B( -255),
 B( -225), B( -195), B( -165), B( -135), B( -105), B(  -75), B(  -45), B(    0),
 B(   45), B(   75), B(  105), B(  135), B(  165), B(  195), B(  225), B(  255),
 B(  285), B(  315), B(  345), B(  375), B(  405), B(  435), B(  465), B(  495),
 B(  525), B(  555), B(  585), B(  615), B(  645), B(  675), B(  705), B(  735),
 B(  765), B(  795), B(  825), B(  855), B(  885), B(  915), B(  945), B(  975),
 B( 1005), B( 1035), B( 1065), B( 1095), B( 1125), B( 1155), B( 1185), B( 1215),
 B( 1245), B( 1275), B( 1305), B( 1335), B( 1365), B( 1395), B( 1425), B( 1455),
 B( 1485), B( 1515), B( 1545), B( 1575), B( 1605), B( 1635), B( 1665), B( 1695),
 B( 1725), B( 1755), B( 1785), B( 1815), B( 1845), B( 1875), B( 1905), B( 1935),
 B( 1965), B( 1995), B( 2025), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 16      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2031), B(-1999), B(-1967), B(-1935), B(-1903), B(-1871), B(-1839), B(-1807),
 B(-1775), B(-1743), B(-1711), B(-1679), B(-1647), B(-1615), B(-1583), B(-1551),
 B(-1519), B(-1487), B(-1455), B(-1423), B(-1391), B(-1359), B(-1327), B(-1295),
 B(-1263), B(-1231), B(-1199), B(-1167), B(-1135), B(-1103), B(-1071), B(-1039),
 B(-1007), B( -975), B( -943), B( -911), B( -879), B( -847), B( -815), B( -783),
 B( -751), B( -719), B( -687), B( -655), B( -623), B( -591), B( -559), B( -527),
 B( -495), B( -463), B( -431), B( -399), B( -367), B( -335), B( -303), B( -271),
 B( -239), B( -207), B( -175), B( -143), B( -111), B(  -79), B(  -47), B(    0),
 B(   47), B(   79), B(  111), B(  143), B(  175), B(  207), B(  239), B(  271),
 B(  303), B(  335), B(  367), B(  399), B(  431), B(  463), B(  495), B(  527),
 B(  559), B(  591), B(  623), B(  655), B(  687), B(  719), B(  751), B(  783),
 B(  815), B(  847), B(  879), B(  911), B(  943), B(  975), B( 1007), B( 1039),
 B( 1071), B( 1103), B( 1135), B( 1167), B( 1199), B( 1231), B( 1263), B( 1295),
 B( 1327), B( 1359), B( 1391), B( 1423), B( 1455), B( 1487), B( 1519), B( 1551),
 B( 1583), B( 1615), B( 1647), B( 1679), B( 1711), B( 1743), B( 1775), B( 1807),
 B( 1839), B( 1871), B( 1903), B( 1935), B( 1967), B( 1999), B( 2031), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 17      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2023), B(-1989), B(-1955), B(-1921),
 B(-1887), B(-1853), B(-1819), B(-1785), B(-1751), B(-1717), B(-1683), B(-1649),
 B(-1615), B(-1581), B(-1547), B(-1513), B(-1479), B(-1445), B(-1411), B(-1377),
 B(-1343), B(-1309), B(-1275), B(-1241), B(-1207), B(-1173), B(-1139), B(-1105),
 B(-1071), B(-1037), B(-1003), B( -969), B( -935), B( -901), B( -867), B( -833),
 B( -799), B( -765), B( -731), B( -697), B( -663), B( -629), B( -595), B( -561),
 B( -527), B( -493), B( -459), B( -425), B( -391), B( -357), B( -323), B( -289),
 B( -255), B( -221), B( -187), B( -153), B( -119), B(  -85), B(  -51), B(    0),
 B(   51), B(   85), B(  119), B(  153), B(  187), B(  221), B(  255), B(  289),
 B(  323), B(  357), B(  391), B(  425), B(  459), B(  493), B(  527), B(  561),
 B(  595), B(  629), B(  663), B(  697), B(  731), B(  765), B(  799), B(  833),
 B(  867), B(  901), B(  935), B(  969), B( 1003), B( 1037), B( 1071), B( 1105),
 B( 1139), B( 1173), B( 1207), B( 1241), B( 1275), B( 1309), B( 1343), B( 1377),
 B( 1411), B( 1445), B( 1479), B( 1513), B( 1547), B( 1581), B( 1615), B( 1649),
 B( 1683), B( 1717), B( 1751), B( 1785), B( 1819), B( 1853), B( 1887), B( 1921),
 B( 1955), B( 1989), B( 2023), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 18      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2033),
 B(-1997), B(-1961), B(-1925), B(-1889), B(-1853), B(-1817), B(-1781), B(-1745),
 B(-1709), B(-1673), B(-1637), B(-1601), B(-1565), B(-1529), B(-1493), B(-1457),
 B(-1421), B(-1385), B(-1349), B(-1313), B(-1277), B(-1241), B(-1205), B(-1169),
 B(-1133), B(-1097), B(-1061), B(-1025), B( -989), B( -953), B( -917), B( -881),
 B( -845), B( -809), B( -773), B( -737), B( -701), B( -665), B( -629), B( -593),
 B( -557), B( -521), B( -485), B( -449), B( -413), B( -377), B( -341), B( -305),
 B( -269), B( -233), B( -197), B( -161), B( -125), B(  -89), B(  -53), B(    0),
 B(   53), B(   89), B(  125), B(  161), B(  197), B(  233), B(  269), B(  305),
 B(  341), B(  377), B(  413), B(  449), B(  485), B(  521), B(  557), B(  593),
 B(  629), B(  665), B(  701), B(  737), B(  773), B(  809), B(  845), B(  881),
 B(  917), B(  953), B(  989), B( 1025), B( 1061), B( 1097), B( 1133), B( 1169),
 B( 1205), B( 1241), B( 1277), B( 1313), B( 1349), B( 1385), B( 1421), B( 1457),
 B( 1493), B( 1529), B( 1565), B( 1601), B( 1637), B( 1673), B( 1709), B( 1745),
 B( 1781), B( 1817), B( 1853), B( 1889), B( 1925), B( 1961), B( 1997), B( 2033),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 19      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2033), B(-1995), B(-1957), B(-1919), B(-1881), B(-1843),
 B(-1805), B(-1767), B(-1729), B(-1691), B(-1653), B(-1615), B(-1577), B(-1539),
 B(-1501), B(-1463), B(-1425), B(-1387), B(-1349), B(-1311), B(-1273), B(-1235),
 B(-1197), B(-1159), B(-1121), B(-1083), B(-1045), B(-1007), B( -969), B( -931),
 B( -893), B( -855), B( -817), B( -779), B( -741), B( -703), B( -665), B( -627),
 B( -589), B( -551), B( -513), B( -475), B( -437), B( -399), B( -361), B( -323),
 B( -285), B( -247), B( -209), B( -171), B( -133), B(  -95), B(  -57), B(    0),
 B(   57), B(   95), B(  133), B(  171), B(  209), B(  247), B(  285), B(  323),
 B(  361), B(  399), B(  437), B(  475), B(  513), B(  551), B(  589), B(  627),
 B(  665), B(  703), B(  741), B(  779), B(  817), B(  855), B(  893), B(  931),
 B(  969), B( 1007), B( 1045), B( 1083), B( 1121), B( 1159), B( 1197), B( 1235),
 B( 1273), B( 1311), B( 1349), B( 1387), B( 1425), B( 1463), B( 1501), B( 1539),
 B( 1577), B( 1615), B( 1653), B( 1691), B( 1729), B( 1767), B( 1805), B( 1843),
 B( 1881), B( 1919), B( 1957), B( 1995), B( 2033), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 20      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2019), B(-1979), B(-1939),
 B(-1899), B(-1859), B(-1819), B(-1779), B(-1739), B(-1699), B(-1659), B(-1619),
 B(-1579), B(-1539), B(-1499), B(-1459), B(-1419), B(-1379), B(-1339), B(-1299),
 B(-1259), B(-1219), B(-1179), B(-1139), B(-1099), B(-1059), B(-1019), B( -979),
 B( -939), B( -899), B( -859), B( -819), B( -779), B( -739), B( -699), B( -659),
 B( -619), B( -579), B( -539), B( -499), B( -459), B( -419), B( -379), B( -339),
 B( -299), B( -259), B( -219), B( -179), B( -139), B(  -99), B(  -59), B(    0),
 B(   59), B(   99), B(  139), B(  179), B(  219), B(  259), B(  299), B(  339),
 B(  379), B(  419), B(  459), B(  499), B(  539), B(  579), B(  619), B(  659),
 B(  699), B(  739), B(  779), B(  819), B(  859), B(  899), B(  939), B(  979),
 B( 1019), B( 1059), B( 1099), B( 1139), B( 1179), B( 1219), B( 1259), B( 1299),
 B( 1339), B( 1379), B( 1419), B( 1459), B( 1499), B( 1539), B( 1579), B( 1619),
 B( 1659), B( 1699), B( 1739), B( 1779), B( 1819), B( 1859), B( 1899), B( 1939),
 B( 1979), B( 2019), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 21      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2037),
 B(-1995), B(-1953), B(-1911), B(-1869), B(-1827), B(-1785), B(-1743), B(-1701),
 B(-1659), B(-1617), B(-1575), B(-1533), B(-1491), B(-1449), B(-1407), B(-1365),
 B(-1323), B(-1281), B(-1239), B(-1197), B(-1155), B(-1113), B(-1071), B(-1029),
 B( -987), B( -945), B( -903), B( -861), B( -819), B( -777), B( -735), B( -693),
 B( -651), B( -609), B( -567), B( -525), B( -483), B( -441), B( -399), B( -357),
 B( -315), B( -273), B( -231), B( -189), B( -147), B( -105), B(  -63), B(    0),
 B(   63), B(  105), B(  147), B(  189), B(  231), B(  273), B(  315), B(  357),
 B(  399), B(  441), B(  483), B(  525), B(  567), B(  609), B(  651), B(  693),
 B(  735), B(  777), B(  819), B(  861), B(  903), B(  945), B(  987), B( 1029),
 B( 1071), B( 1113), B( 1155), B( 1197), B( 1239), B( 1281), B( 1323), B( 1365),
 B( 1407), B( 1449), B( 1491), B( 1533), B( 1575), B( 1617), B( 1659), B( 1701),
 B( 1743), B( 1785), B( 1827), B( 1869), B( 1911), B( 1953), B( 1995), B( 2037),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 22      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2045), B(-2001), B(-1957), B(-1913), B(-1869), B(-1825), B(-1781),
 B(-1737), B(-1693), B(-1649), B(-1605), B(-1561), B(-1517), B(-1473), B(-1429),
 B(-1385), B(-1341), B(-1297), B(-1253), B(-1209), B(-1165), B(-1121), B(-1077),
 B(-1033), B( -989), B( -945), B( -901), B( -857), B( -813), B( -769), B( -725),
 B( -681), B( -637), B( -593), B( -549), B( -505), B( -461), B( -417), B( -373),
 B( -329), B( -285), B( -241), B( -197), B( -153), B( -109), B(  -65), B(    0),
 B(   65), B(  109), B(  153), B(  197), B(  241), B(  285), B(  329), B(  373),
 B(  417), B(  461), B(  505), B(  549), B(  593), B(  637), B(  681), B(  725),
 B(  769), B(  813), B(  857), B(  901), B(  945), B(  989), B( 1033), B( 1077),
 B( 1121), B( 1165), B( 1209), B( 1253), B( 1297), B( 1341), B( 1385), B( 1429),
 B( 1473), B( 1517), B( 1561), B( 1605), B( 1649), B( 1693), B( 1737), B( 1781),
 B( 1825), B( 1869), B( 1913), B( 1957), B( 2001), B( 2045), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 23      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2047), B(-2001), B(-1955), B(-1909), B(-1863),
 B(-1817), B(-1771), B(-1725), B(-1679), B(-1633), B(-1587), B(-1541), B(-1495),
 B(-1449), B(-1403), B(-1357), B(-1311), B(-1265), B(-1219), B(-1173), B(-1127),
 B(-1081), B(-1035), B( -989), B( -943), B( -897), B( -851), B( -805), B( -759),
 B( -713), B( -667), B( -621), B( -575), B( -529), B( -483), B( -437), B( -391),
 B( -345), B( -299), B( -253), B( -207), B( -161), B( -115), B(  -69), B(    0),
 B(   69), B(  115), B(  161), B(  207), B(  253), B(  299), B(  345), B(  391),
 B(  437), B(  483), B(  529), B(  575), B(  621), B(  667), B(  713), B(  759),
 B(  805), B(  851), B(  897), B(  943), B(  989), B( 1035), B( 1081), B( 1127),
 B( 1173), B( 1219), B( 1265), B( 1311), B( 1357), B( 1403), B( 1449), B( 1495),
 B( 1541), B( 1587), B( 1633), B( 1679), B( 1725), B( 1771), B( 1817), B( 1863),
 B( 1909), B( 1955), B( 2001), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 24      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2039), B(-1991), B(-1943),
 B(-1895), B(-1847), B(-1799), B(-1751), B(-1703), B(-1655), B(-1607), B(-1559),
 B(-1511), B(-1463), B(-1415), B(-1367), B(-1319), B(-1271), B(-1223), B(-1175),
 B(-1127), B(-1079), B(-1031), B( -983), B( -935), B( -887), B( -839), B( -791),
 B( -743), B( -695), B( -647), B( -599), B( -551), B( -503), B( -455), B( -407),
 B( -359), B( -311), B( -263), B( -215), B( -167), B( -119), B(  -71), B(    0),
 B(   71), B(  119), B(  167), B(  215), B(  263), B(  311), B(  359), B(  407),
 B(  455), B(  503), B(  551), B(  599), B(  647), B(  695), B(  743), B(  791),
 B(  839), B(  887), B(  935), B(  983), B( 1031), B( 1079), B( 1127), B( 1175),
 B( 1223), B( 1271), B( 1319), B( 1367), B( 1415), B( 1463), B( 1511), B( 1559),
 B( 1607), B( 1655), B( 1703), B( 1751), B( 1799), B( 1847), B( 1895), B( 1943),
 B( 1991), B( 2039), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 25      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2025),
 B(-1975), B(-1925), B(-1875), B(-1825), B(-1775), B(-1725), B(-1675), B(-1625),
 B(-1575), B(-1525), B(-1475), B(-1425), B(-1375), B(-1325), B(-1275), B(-1225),
 B(-1175), B(-1125), B(-1075), B(-1025), B( -975), B( -925), B( -875), B( -825),
 B( -775), B( -725), B( -675), B( -625), B( -575), B( -525), B( -475), B( -425),
 B( -375), B( -325), B( -275), B( -225), B( -175), B( -125), B(  -75), B(    0),
 B(   75), B(  125), B(  175), B(  225), B(  275), B(  325), B(  375), B(  425),
 B(  475), B(  525), B(  575), B(  625), B(  675), B(  725), B(  775), B(  825),
 B(  875), B(  925), B(  975), B( 1025), B( 1075), B( 1125), B( 1175), B( 1225),
 B( 1275), B( 1325), B( 1375), B( 1425), B( 1475), B( 1525), B( 1575), B( 1625),
 B( 1675), B( 1725), B( 1775), B( 1825), B( 1875), B( 1925), B( 1975), B( 2025),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 26      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2001), B(-1949), B(-1897), B(-1845), B(-1793), B(-1741), B(-1689),
 B(-1637), B(-1585), B(-1533), B(-1481), B(-1429), B(-1377), B(-1325), B(-1273),
 B(-1221), B(-1169), B(-1117), B(-1065), B(-1013), B( -961), B( -909), B( -857),
 B( -805), B( -753), B( -701), B( -649), B( -597), B( -545), B( -493), B( -441),
 B( -389), B( -337), B( -285), B( -233), B( -181), B( -129), B(  -77), B(    0),
 B(   77), B(  129), B(  181), B(  233), B(  285), B(  337), B(  389), B(  441),
 B(  493), B(  545), B(  597), B(  649), B(  701), B(  753), B(  805), B(  857),
 B(  909), B(  961), B( 1013), B( 1065), B( 1117), B( 1169), B( 1221), B( 1273),
 B( 1325), B( 1377), B( 1429), B( 1481), B( 1533), B( 1585), B( 1637), B( 1689),
 B( 1741), B( 1793), B( 1845), B( 1897), B( 1949), B( 2001), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 27      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2025), B(-1971), B(-1917), B(-1863), B(-1809), B(-1755),
 B(-1701), B(-1647), B(-1593), B(-1539), B(-1485), B(-1431), B(-1377), B(-1323),
 B(-1269), B(-1215), B(-1161), B(-1107), B(-1053), B( -999), B( -945), B( -891),
 B( -837), B( -783), B( -729), B( -675), B( -621), B( -567), B( -513), B( -459),
 B( -405), B( -351), B( -297), B( -243), B( -189), B( -135), B(  -81), B(    0),
 B(   81), B(  135), B(  189), B(  243), B(  297), B(  351), B(  405), B(  459),
 B(  513), B(  567), B(  621), B(  675), B(  729), B(  783), B(  837), B(  891),
 B(  945), B(  999), B( 1053), B( 1107), B( 1161), B( 1215), B( 1269), B( 1323),
 B( 1377), B( 1431), B( 1485), B( 1539), B( 1593), B( 1647), B( 1701), B( 1755),
 B( 1809), B( 1863), B( 1917), B( 1971), B( 2025), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 28      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2043), B(-1987), B(-1931), B(-1875), B(-1819),
 B(-1763), B(-1707), B(-1651), B(-1595), B(-1539), B(-1483), B(-1427), B(-1371),
 B(-1315), B(-1259), B(-1203), B(-1147), B(-1091), B(-1035), B( -979), B( -923),
 B( -867), B( -811), B( -755), B( -699), B( -643), B( -587), B( -531), B( -475),
 B( -419), B( -363), B( -307), B( -251), B( -195), B( -139), B(  -83), B(    0),
 B(   83), B(  139), B(  195), B(  251), B(  307), B(  363), B(  419), B(  475),
 B(  531), B(  587), B(  643), B(  699), B(  755), B(  811), B(  867), B(  923),
 B(  979), B( 1035), B( 1091), B( 1147), B( 1203), B( 1259), B( 1315), B( 1371),
 B( 1427), B( 1483), B( 1539), B( 1595), B( 1651), B( 1707), B( 1763), B( 1819),
 B( 1875), B( 1931), B( 1987), B( 2043), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 29      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2001), B(-1943), B(-1885),
 B(-1827), B(-1769), B(-1711), B(-1653), B(-1595), B(-1537), B(-1479), B(-1421),
 B(-1363), B(-1305), B(-1247), B(-1189), B(-1131), B(-1073), B(-1015), B( -957),
 B( -899), B( -841), B( -783), B( -725), B( -667), B( -609), B( -551), B( -493),
 B( -435), B( -377), B( -319), B( -261), B( -203), B( -145), B(  -87), B(    0),
 B(   87), B(  145), B(  203), B(  261), B(  319), B(  377), B(  435), B(  493),
 B(  551), B(  609), B(  667), B(  725), B(  783), B(  841), B(  899), B(  957),
 B( 1015), B( 1073), B( 1131), B( 1189), B( 1247), B( 1305), B( 1363), B( 1421),
 B( 1479), B( 1537), B( 1595), B( 1653), B( 1711), B( 1769), B( 1827), B( 1885),
 B( 1943), B( 2001), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 30      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2009), B(-1949),
 B(-1889), B(-1829), B(-1769), B(-1709), B(-1649), B(-1589), B(-1529), B(-1469),
 B(-1409), B(-1349), B(-1289), B(-1229), B(-1169), B(-1109), B(-1049), B( -989),
 B( -929), B( -869), B( -809), B( -749), B( -689), B( -629), B( -569), B( -509),
 B( -449), B( -389), B( -329), B( -269), B( -209), B( -149), B(  -89), B(    0),
 B(   89), B(  149), B(  209), B(  269), B(  329), B(  389), B(  449), B(  509),
 B(  569), B(  629), B(  689), B(  749), B(  809), B(  869), B(  929), B(  989),
 B( 1049), B( 1109), B( 1169), B( 1229), B( 1289), B( 1349), B( 1409), B( 1469),
 B( 1529), B( 1589), B( 1649), B( 1709), B( 1769), B( 1829), B( 1889), B( 1949),
 B( 2009), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
},
/*-----------------------   QUANT 31      --------------------*/
{
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048),
 B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2048), B(-2015),
 B(-1953), B(-1891), B(-1829), B(-1767), B(-1705), B(-1643), B(-1581), B(-1519),
 B(-1457), B(-1395), B(-1333), B(-1271), B(-1209), B(-1147), B(-1085), B(-1023),
 B( -961), B( -899), B( -837), B( -775), B( -713), B( -651), B( -589), B( -527),
 B( -465), B( -403), B( -341), B( -279), B( -217), B( -155), B(  -93), B(    0),
 B(   93), B(  155), B(  217), B(  279), B(  341), B(  403), B(  465), B(  527),
 B(  589), B(  651), B(  713), B(  775), B(  837), B(  899), B(  961), B( 1023),
 B( 1085), B( 1147), B( 1209), B( 1271), B( 1333), B( 1395), B( 1457), B( 1519),
 B( 1581), B( 1643), B( 1705), B( 1767), B( 1829), B( 1891), B( 1953), B( 2015),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047),
 B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047), B( 2047)
}
}

;
/*----------------------------------------------------------*/
 
#endif
